
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x80000078', '0x80002c80')]      |
| SIG_REGION                | [('0x80004204', '0x80004b1c', '582 words')]      |
| COV_LABELS                | cor      |
| TEST_NAME                 | /home/bilalsakhawat/riscof_work/src/cor-01.S/cor-01.S    |
| Total Number of coverpoints| 648     |
| Total Coverpoints Hit     | 643      |
| Total Signature Updates   | 582      |
| STAT1                     | 581      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000cae]:c.or a0, a1
      [0x80000cb0]:sw a0, 668(ra)
 -- Signature Address: 0x800044a0 Data: 0x33333334
 -- Redundant Coverpoints hit by the op
      - opcode : c.or
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs1_val==858993460 and rs2_val==858993460
      - rs2_val > 0






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                     coverpoints                                                                     |                             code                             |
|---:|--------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------|
|   1|[0x80004204]<br>0x80000000|- opcode : c.or<br> - rs1 : x12<br> - rs2 : x10<br> - rs1 != rs2<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br> - rs2_val == 0<br> |[0x80000088]:c.or a2, a0<br> [0x8000008a]:sw a2, 0(ra)<br>    |
|   2|[0x80004208]<br>0x33333334|- rs1 : x9<br> - rs2 : x9<br> - rs1 == rs2<br> - rs1_val==858993460 and rs2_val==858993460<br> - rs2_val > 0<br>                                     |[0x8000009e]:c.or s1, s1<br> [0x800000a0]:sw s1, 4(ra)<br>    |
|   3|[0x8000420c]<br>0xBFFFFFFF|- rs1 : x14<br> - rs2 : x12<br> - rs2_val == -1073741825<br> - rs1_val == 8<br> - rs2_val < 0<br>                                                    |[0x800000b0]:c.or a4, a2<br> [0x800000b2]:sw a4, 8(ra)<br>    |
|   4|[0x80004210]<br>0xDFFFFFFF|- rs1 : x15<br> - rs2 : x13<br> - rs2_val == -536870913<br> - rs1_val == 32768<br>                                                                   |[0x800000c2]:c.or a5, a3<br> [0x800000c4]:sw a5, 12(ra)<br>   |
|   5|[0x80004214]<br>0xFFFFFFFF|- rs1 : x10<br> - rs2 : x15<br> - rs2_val == -268435457<br>                                                                                          |[0x800000d4]:c.or a0, a5<br> [0x800000d6]:sw a0, 16(ra)<br>   |
|   6|[0x80004218]<br>0xF7FFFFFF|- rs1 : x11<br> - rs2 : x8<br> - rs2_val == -134217729<br>                                                                                           |[0x800000ea]:c.or a1, s0<br> [0x800000ec]:sw a1, 20(ra)<br>   |
|   7|[0x8000421c]<br>0xFFFFFFFF|- rs1 : x13<br> - rs2 : x11<br> - rs2_val == -67108865<br>                                                                                           |[0x80000100]:c.or a3, a1<br> [0x80000102]:sw a3, 24(ra)<br>   |
|   8|[0x80004220]<br>0xFDFFFFFF|- rs1 : x8<br> - rs2 : x14<br> - rs2_val == -33554433<br> - rs1_val == 2<br>                                                                         |[0x80000112]:c.or s0, a4<br> [0x80000114]:sw fp, 28(ra)<br>   |
|   9|[0x80004224]<br>0xFFFFFFFF|- rs2_val == -16777217<br> - rs1_val == -33<br>                                                                                                      |[0x80000124]:c.or a0, a1<br> [0x80000126]:sw a0, 32(ra)<br>   |
|  10|[0x80004228]<br>0xFFFFFFFF|- rs2_val == -8388609<br> - rs1_val == -1431655766<br>                                                                                               |[0x8000013a]:c.or a0, a1<br> [0x8000013c]:sw a0, 36(ra)<br>   |
|  11|[0x8000422c]<br>0xFFBFFFFF|- rs2_val == -4194305<br> - rs1_val == -4194305<br>                                                                                                  |[0x80000150]:c.or a0, a1<br> [0x80000152]:sw a0, 40(ra)<br>   |
|  12|[0x80004230]<br>0xFFFFFFFF|- rs2_val == -2097153<br> - rs1_val == -1073741825<br>                                                                                               |[0x80000166]:c.or a0, a1<br> [0x80000168]:sw a0, 44(ra)<br>   |
|  13|[0x80004234]<br>0xFFFFFFFF|- rs2_val == -1048577<br>                                                                                                                            |[0x8000017c]:c.or a0, a1<br> [0x8000017e]:sw a0, 48(ra)<br>   |
|  14|[0x80004238]<br>0xFFF7FFFF|- rs2_val == -524289<br> - rs1_val == 8192<br>                                                                                                       |[0x8000018e]:c.or a0, a1<br> [0x80000190]:sw a0, 52(ra)<br>   |
|  15|[0x8000423c]<br>0xFFFBFFFF|- rs2_val == -262145<br>                                                                                                                             |[0x800001a0]:c.or a0, a1<br> [0x800001a2]:sw a0, 56(ra)<br>   |
|  16|[0x80004240]<br>0xFFFDFFFF|- rs2_val == -131073<br> - rs1_val == 32<br>                                                                                                         |[0x800001b2]:c.or a0, a1<br> [0x800001b4]:sw a0, 60(ra)<br>   |
|  17|[0x80004244]<br>0xFFFFFFFF|- rs2_val == -65537<br> - rs1_val == -524289<br>                                                                                                     |[0x800001c8]:c.or a0, a1<br> [0x800001ca]:sw a0, 64(ra)<br>   |
|  18|[0x80004248]<br>0xFFFF7FFF|- rs2_val == -32769<br>                                                                                                                              |[0x800001da]:c.or a0, a1<br> [0x800001dc]:sw a0, 68(ra)<br>   |
|  19|[0x8000424c]<br>0xFFFFBFFF|- rs2_val == -16385<br>                                                                                                                              |[0x800001ec]:c.or a0, a1<br> [0x800001ee]:sw a0, 72(ra)<br>   |
|  20|[0x80004250]<br>0xFFFFDFFF|- rs2_val == -8193<br> - rs1_val == 16<br>                                                                                                           |[0x800001fe]:c.or a0, a1<br> [0x80000200]:sw a0, 76(ra)<br>   |
|  21|[0x80004254]<br>0xFFFFFFFF|- rs2_val == -4097<br> - rs1_val == -8388609<br>                                                                                                     |[0x80000214]:c.or a0, a1<br> [0x80000216]:sw a0, 80(ra)<br>   |
|  22|[0x80004258]<br>0xFFFFFFFF|- rs2_val == -2049<br> - rs1_val == -262145<br>                                                                                                      |[0x8000022a]:c.or a0, a1<br> [0x8000022c]:sw a0, 84(ra)<br>   |
|  23|[0x8000425c]<br>0xFFFFFFFF|- rs2_val == -1025<br>                                                                                                                               |[0x80000238]:c.or a0, a1<br> [0x8000023a]:sw a0, 88(ra)<br>   |
|  24|[0x80004260]<br>0xFFFFFFFF|- rs2_val == -513<br>                                                                                                                                |[0x8000024a]:c.or a0, a1<br> [0x8000024c]:sw a0, 92(ra)<br>   |
|  25|[0x80004264]<br>0xFFFFFEFF|- rs2_val == -257<br> - rs1_val == 64<br>                                                                                                            |[0x80000258]:c.or a0, a1<br> [0x8000025a]:sw a0, 96(ra)<br>   |
|  26|[0x80004268]<br>0xFFFFFF7F|- rs2_val == -129<br>                                                                                                                                |[0x8000026a]:c.or a0, a1<br> [0x8000026c]:sw a0, 100(ra)<br>  |
|  27|[0x8000426c]<br>0xFFFFFFBF|- rs2_val == -65<br> - rs1_val == 8388608<br>                                                                                                        |[0x80000278]:c.or a0, a1<br> [0x8000027a]:sw a0, 104(ra)<br>  |
|  28|[0x80004270]<br>0xFFFFFFFF|- rs2_val == -33<br> - rs1_val == -3<br>                                                                                                             |[0x80000286]:c.or a0, a1<br> [0x80000288]:sw a0, 108(ra)<br>  |
|  29|[0x80004274]<br>0xFFFFFFFF|- rs2_val == -17<br>                                                                                                                                 |[0x80000294]:c.or a0, a1<br> [0x80000296]:sw a0, 112(ra)<br>  |
|  30|[0x80004278]<br>0xFFFFFFF7|- rs2_val == -9<br> - rs1_val == 4<br>                                                                                                               |[0x800002a2]:c.or a0, a1<br> [0x800002a4]:sw a0, 116(ra)<br>  |
|  31|[0x8000427c]<br>0xFFFFFFFB|- rs2_val == -5<br>                                                                                                                                  |[0x800002b0]:c.or a0, a1<br> [0x800002b2]:sw a0, 120(ra)<br>  |
|  32|[0x80004280]<br>0xFFFFFFFD|- rs2_val == -3<br>                                                                                                                                  |[0x800002be]:c.or a0, a1<br> [0x800002c0]:sw a0, 124(ra)<br>  |
|  33|[0x80004284]<br>0xFFFFFFFE|- rs2_val == -2<br> - rs1_val == 134217728<br>                                                                                                       |[0x800002cc]:c.or a0, a1<br> [0x800002ce]:sw a0, 128(ra)<br>  |
|  34|[0x80004288]<br>0x7FFFFFFF|- rs1_val == 2147483647<br> - rs1_val == (2**(xlen-1)-1)<br>                                                                                         |[0x800002de]:c.or a0, a1<br> [0x800002e0]:sw a0, 132(ra)<br>  |
|  35|[0x8000428c]<br>0xDFFFFFFF|- rs1_val == -536870913<br> - rs2_val == 256<br>                                                                                                     |[0x800002f0]:c.or a0, a1<br> [0x800002f2]:sw a0, 136(ra)<br>  |
|  36|[0x80004290]<br>0xFFFFFFFF|- rs1_val == -268435457<br>                                                                                                                          |[0x80000306]:c.or a0, a1<br> [0x80000308]:sw a0, 140(ra)<br>  |
|  37|[0x80004294]<br>0xF7FFFFFF|- rs1_val == -134217729<br> - rs2_val == 67108864<br>                                                                                                |[0x80000318]:c.or a0, a1<br> [0x8000031a]:sw a0, 144(ra)<br>  |
|  38|[0x80004298]<br>0xFBFFFFFF|- rs1_val == -67108865<br>                                                                                                                           |[0x8000032e]:c.or a0, a1<br> [0x80000330]:sw a0, 148(ra)<br>  |
|  39|[0x8000429c]<br>0xFDFFFFFF|- rs1_val == -33554433<br>                                                                                                                           |[0x80000340]:c.or a0, a1<br> [0x80000342]:sw a0, 152(ra)<br>  |
|  40|[0x800042a0]<br>0xFEFFFFFF|- rs1_val == -16777217<br>                                                                                                                           |[0x80000352]:c.or a0, a1<br> [0x80000354]:sw a0, 156(ra)<br>  |
|  41|[0x800042a4]<br>0xFFFFFFFF|- rs1_val == -2097153<br>                                                                                                                            |[0x80000364]:c.or a0, a1<br> [0x80000366]:sw a0, 160(ra)<br>  |
|  42|[0x800042a8]<br>0xFFEFFFFF|- rs1_val == -1048577<br>                                                                                                                            |[0x80000376]:c.or a0, a1<br> [0x80000378]:sw a0, 164(ra)<br>  |
|  43|[0x800042ac]<br>0xFFFDFFFF|- rs1_val == -131073<br>                                                                                                                             |[0x80000388]:c.or a0, a1<br> [0x8000038a]:sw a0, 168(ra)<br>  |
|  44|[0x800042b0]<br>0xFFFEFFFF|- rs1_val == -65537<br>                                                                                                                              |[0x8000039a]:c.or a0, a1<br> [0x8000039c]:sw a0, 172(ra)<br>  |
|  45|[0x800042b4]<br>0xFFFF7FFF|- rs1_val == -32769<br> - rs2_val == 2<br>                                                                                                           |[0x800003ac]:c.or a0, a1<br> [0x800003ae]:sw a0, 176(ra)<br>  |
|  46|[0x800042b8]<br>0xFFFFBFFF|- rs1_val == -16385<br> - rs2_val == 4<br>                                                                                                           |[0x800003be]:c.or a0, a1<br> [0x800003c0]:sw a0, 180(ra)<br>  |
|  47|[0x800042bc]<br>0xFFFFDFFF|- rs1_val == -8193<br> - rs2_val == 2048<br>                                                                                                         |[0x800003d4]:c.or a0, a1<br> [0x800003d6]:sw a0, 184(ra)<br>  |
|  48|[0x800042c0]<br>0xFFFFEFFF|- rs1_val == -4097<br> - rs2_val == 32<br>                                                                                                           |[0x800003e6]:c.or a0, a1<br> [0x800003e8]:sw a0, 188(ra)<br>  |
|  49|[0x800042c4]<br>0xFFFFF7FF|- rs1_val == -2049<br> - rs2_val == 16384<br>                                                                                                        |[0x800003f8]:c.or a0, a1<br> [0x800003fa]:sw a0, 192(ra)<br>  |
|  50|[0x800042c8]<br>0xFFFFFFFF|- rs1_val == -1025<br>                                                                                                                               |[0x80000406]:c.or a0, a1<br> [0x80000408]:sw a0, 196(ra)<br>  |
|  51|[0x800042cc]<br>0xFFFFFDFF|- rs1_val == -513<br> - rs2_val == 8<br>                                                                                                             |[0x80000414]:c.or a0, a1<br> [0x80000416]:sw a0, 200(ra)<br>  |
|  52|[0x800042d0]<br>0xFFFFFFFF|- rs1_val == -257<br>                                                                                                                                |[0x80000422]:c.or a0, a1<br> [0x80000424]:sw a0, 204(ra)<br>  |
|  53|[0x800042d4]<br>0xFFFFFFFF|- rs1_val == -129<br>                                                                                                                                |[0x80000434]:c.or a0, a1<br> [0x80000436]:sw a0, 208(ra)<br>  |
|  54|[0x800042d8]<br>0xFFFFFFBF|- rs1_val == -65<br> - rs2_val == 128<br>                                                                                                            |[0x80000442]:c.or a0, a1<br> [0x80000444]:sw a0, 212(ra)<br>  |
|  55|[0x800042dc]<br>0xFFFFFFFF|- rs1_val == -17<br>                                                                                                                                 |[0x80000450]:c.or a0, a1<br> [0x80000452]:sw a0, 216(ra)<br>  |
|  56|[0x800042e0]<br>0xFFFFFFFF|- rs2_val == 2147483647<br> - rs1_val == -9<br> - rs2_val == (2**(xlen-1)-1)<br>                                                                     |[0x80000462]:c.or a0, a1<br> [0x80000464]:sw a0, 220(ra)<br>  |
|  57|[0x800042e4]<br>0xFFFFFFFF|- rs1_val == -5<br>                                                                                                                                  |[0x80000470]:c.or a0, a1<br> [0x80000472]:sw a0, 224(ra)<br>  |
|  58|[0x800042e8]<br>0xFFFFFFFF|- rs1_val == -2<br>                                                                                                                                  |[0x80000482]:c.or a0, a1<br> [0x80000484]:sw a0, 228(ra)<br>  |
|  59|[0x800042ec]<br>0x8000B503|- rs2_val == -2147483648<br> - rs2_val == (-2**(xlen-1))<br>                                                                                         |[0x80000494]:c.or a0, a1<br> [0x80000496]:sw a0, 232(ra)<br>  |
|  60|[0x800042f0]<br>0x40000003|- rs2_val == 1073741824<br>                                                                                                                          |[0x800004a2]:c.or a0, a1<br> [0x800004a4]:sw a0, 236(ra)<br>  |
|  61|[0x800042f4]<br>0x20000000|- rs2_val == 536870912<br> - rs1_val == 0<br>                                                                                                        |[0x800004b0]:c.or a0, a1<br> [0x800004b2]:sw a0, 240(ra)<br>  |
|  62|[0x800042f8]<br>0x55555554|- rs2_val == 268435456<br>                                                                                                                           |[0x800004c2]:c.or a0, a1<br> [0x800004c4]:sw a0, 244(ra)<br>  |
|  63|[0x800042fc]<br>0xFEFFFFFF|- rs2_val == 134217728<br>                                                                                                                           |[0x800004d4]:c.or a0, a1<br> [0x800004d6]:sw a0, 248(ra)<br>  |
|  64|[0x80004300]<br>0xFFFFF7FF|- rs2_val == 33554432<br>                                                                                                                            |[0x800004e6]:c.or a0, a1<br> [0x800004e8]:sw a0, 252(ra)<br>  |
|  65|[0x80004304]<br>0xC1000000|- rs2_val == 16777216<br>                                                                                                                            |[0x800004f4]:c.or a0, a1<br> [0x800004f6]:sw a0, 256(ra)<br>  |
|  66|[0x80004308]<br>0x10800000|- rs2_val == 8388608<br> - rs1_val == 268435456<br>                                                                                                  |[0x80000502]:c.or a0, a1<br> [0x80000504]:sw a0, 260(ra)<br>  |
|  67|[0x8000430c]<br>0xFDFFFFFF|- rs2_val == 4194304<br>                                                                                                                             |[0x80000514]:c.or a0, a1<br> [0x80000516]:sw a0, 264(ra)<br>  |
|  68|[0x80004310]<br>0x55755554|- rs2_val == 2097152<br>                                                                                                                             |[0x80000526]:c.or a0, a1<br> [0x80000528]:sw a0, 268(ra)<br>  |
|  69|[0x80004314]<br>0xBFFFFFFF|- rs2_val == 1048576<br>                                                                                                                             |[0x80000538]:c.or a0, a1<br> [0x8000053a]:sw a0, 272(ra)<br>  |
|  70|[0x80004318]<br>0xFFFFFFF9|- rs2_val == 524288<br>                                                                                                                              |[0x80000546]:c.or a0, a1<br> [0x80000548]:sw a0, 276(ra)<br>  |
|  71|[0x8000431c]<br>0x00042000|- rs2_val == 262144<br>                                                                                                                              |[0x80000554]:c.or a0, a1<br> [0x80000556]:sw a0, 280(ra)<br>  |
|  72|[0x80004320]<br>0x33333332|- rs2_val == 131072<br>                                                                                                                              |[0x80000566]:c.or a0, a1<br> [0x80000568]:sw a0, 284(ra)<br>  |
|  73|[0x80004324]<br>0x00012000|- rs2_val == 65536<br>                                                                                                                               |[0x80000574]:c.or a0, a1<br> [0x80000576]:sw a0, 288(ra)<br>  |
|  74|[0x80004328]<br>0x0000C000|- rs2_val == 32768<br> - rs1_val == 16384<br>                                                                                                        |[0x80000582]:c.or a0, a1<br> [0x80000584]:sw a0, 292(ra)<br>  |
|  75|[0x8000432c]<br>0x00002200|- rs2_val == 8192<br> - rs1_val == 512<br>                                                                                                           |[0x80000590]:c.or a0, a1<br> [0x80000592]:sw a0, 296(ra)<br>  |
|  76|[0x80004330]<br>0x04001000|- rs2_val == 4096<br> - rs1_val == 67108864<br>                                                                                                      |[0x8000059e]:c.or a0, a1<br> [0x800005a0]:sw a0, 300(ra)<br>  |
|  77|[0x80004334]<br>0xFFFFFFFB|- rs2_val == 1024<br>                                                                                                                                |[0x800005ac]:c.or a0, a1<br> [0x800005ae]:sw a0, 304(ra)<br>  |
|  78|[0x80004338]<br>0x00000200|- rs2_val == 512<br>                                                                                                                                 |[0x800005ba]:c.or a0, a1<br> [0x800005bc]:sw a0, 308(ra)<br>  |
|  79|[0x8000433c]<br>0xFBFFFFFF|- rs2_val == 64<br>                                                                                                                                  |[0x800005cc]:c.or a0, a1<br> [0x800005ce]:sw a0, 312(ra)<br>  |
|  80|[0x80004340]<br>0x04000010|- rs2_val == 16<br>                                                                                                                                  |[0x800005da]:c.or a0, a1<br> [0x800005dc]:sw a0, 316(ra)<br>  |
|  81|[0x80004344]<br>0xFFFFFFBF|- rs2_val == 1<br>                                                                                                                                   |[0x800005e8]:c.or a0, a1<br> [0x800005ea]:sw a0, 320(ra)<br>  |
|  82|[0x80004348]<br>0x40000000|- rs1_val == 1073741824<br>                                                                                                                          |[0x800005f6]:c.or a0, a1<br> [0x800005f8]:sw a0, 324(ra)<br>  |
|  83|[0x8000434c]<br>0xFFFF4AFC|- rs1_val == 536870912<br>                                                                                                                           |[0x80000608]:c.or a0, a1<br> [0x8000060a]:sw a0, 328(ra)<br>  |
|  84|[0x80004350]<br>0x02000010|- rs1_val == 33554432<br>                                                                                                                            |[0x80000616]:c.or a0, a1<br> [0x80000618]:sw a0, 332(ra)<br>  |
|  85|[0x80004354]<br>0x01000004|- rs1_val == 16777216<br>                                                                                                                            |[0x80000624]:c.or a0, a1<br> [0x80000626]:sw a0, 336(ra)<br>  |
|  86|[0x80004358]<br>0xFFFFFFFF|- rs1_val == 4194304<br>                                                                                                                             |[0x80000632]:c.or a0, a1<br> [0x80000634]:sw a0, 340(ra)<br>  |
|  87|[0x8000435c]<br>0xFFFFDFFF|- rs1_val == 2097152<br>                                                                                                                             |[0x80000644]:c.or a0, a1<br> [0x80000646]:sw a0, 344(ra)<br>  |
|  88|[0x80004360]<br>0x00300000|- rs1_val == 1048576<br>                                                                                                                             |[0x80000652]:c.or a0, a1<br> [0x80000654]:sw a0, 348(ra)<br>  |
|  89|[0x80004364]<br>0x00080003|- rs1_val == 524288<br>                                                                                                                              |[0x80000660]:c.or a0, a1<br> [0x80000662]:sw a0, 352(ra)<br>  |
|  90|[0x80004368]<br>0x00040006|- rs1_val == 262144<br>                                                                                                                              |[0x8000066e]:c.or a0, a1<br> [0x80000670]:sw a0, 356(ra)<br>  |
|  91|[0x8000436c]<br>0xFFFEFFFF|- rs1_val == 131072<br>                                                                                                                              |[0x80000680]:c.or a0, a1<br> [0x80000682]:sw a0, 360(ra)<br>  |
|  92|[0x80004370]<br>0xAAABAAAB|- rs1_val == 65536<br>                                                                                                                               |[0x80000692]:c.or a0, a1<br> [0x80000694]:sw a0, 364(ra)<br>  |
|  93|[0x80004374]<br>0x00001001|- rs1_val == 4096<br>                                                                                                                                |[0x800006a0]:c.or a0, a1<br> [0x800006a2]:sw a0, 368(ra)<br>  |
|  94|[0x80004378]<br>0x00100800|- rs1_val == 2048<br>                                                                                                                                |[0x800006b2]:c.or a0, a1<br> [0x800006b4]:sw a0, 372(ra)<br>  |
|  95|[0x8000437c]<br>0x00020400|- rs1_val == 1024<br>                                                                                                                                |[0x800006c0]:c.or a0, a1<br> [0x800006c2]:sw a0, 376(ra)<br>  |
|  96|[0x80004380]<br>0xFFFFBFFF|- rs1_val == 256<br>                                                                                                                                 |[0x800006d2]:c.or a0, a1<br> [0x800006d4]:sw a0, 380(ra)<br>  |
|  97|[0x80004384]<br>0x00000085|- rs1_val == 128<br>                                                                                                                                 |[0x800006e0]:c.or a0, a1<br> [0x800006e2]:sw a0, 384(ra)<br>  |
|  98|[0x80004388]<br>0x0000B505|- rs1_val == 1<br>                                                                                                                                   |[0x800006f2]:c.or a0, a1<br> [0x800006f4]:sw a0, 388(ra)<br>  |
|  99|[0x8000438c]<br>0x0000B505|- rs1_val==46341 and rs2_val==46341<br>                                                                                                              |[0x80000708]:c.or a0, a1<br> [0x8000070a]:sw a0, 392(ra)<br>  |
| 100|[0x80004390]<br>0xFFFFFFFD|- rs1_val==46341 and rs2_val==-46339<br>                                                                                                             |[0x8000071e]:c.or a0, a1<br> [0x80000720]:sw a0, 396(ra)<br>  |
| 101|[0x80004394]<br>0x6666F767|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                         |[0x80000734]:c.or a0, a1<br> [0x80000736]:sw a0, 400(ra)<br>  |
| 102|[0x80004398]<br>0x3333B735|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                          |[0x8000074a]:c.or a0, a1<br> [0x8000074c]:sw a0, 404(ra)<br>  |
| 103|[0x8000439c]<br>0x0000B507|- rs1_val==46341 and rs2_val==6<br>                                                                                                                  |[0x8000075c]:c.or a0, a1<br> [0x8000075e]:sw a0, 408(ra)<br>  |
| 104|[0x800043a0]<br>0xAAAABFAF|- rs1_val==46341 and rs2_val==-1431655765<br>                                                                                                        |[0x80000772]:c.or a0, a1<br> [0x80000774]:sw a0, 412(ra)<br>  |
| 105|[0x800043a4]<br>0x5555F557|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                         |[0x80000788]:c.or a0, a1<br> [0x8000078a]:sw a0, 416(ra)<br>  |
| 106|[0x800043a8]<br>0x0000B505|- rs1_val==46341 and rs2_val==4<br>                                                                                                                  |[0x8000079a]:c.or a0, a1<br> [0x8000079c]:sw a0, 420(ra)<br>  |
| 107|[0x800043ac]<br>0x0000B507|- rs1_val==46341 and rs2_val==46339<br>                                                                                                              |[0x800007b0]:c.or a0, a1<br> [0x800007b2]:sw a0, 424(ra)<br>  |
| 108|[0x800043b0]<br>0x0000B505|- rs1_val==46341 and rs2_val==0<br>                                                                                                                  |[0x800007c2]:c.or a0, a1<br> [0x800007c4]:sw a0, 428(ra)<br>  |
| 109|[0x800043b4]<br>0x6666F765|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                         |[0x800007d8]:c.or a0, a1<br> [0x800007da]:sw a0, 432(ra)<br>  |
| 110|[0x800043b8]<br>0x3333B737|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                          |[0x800007ee]:c.or a0, a1<br> [0x800007f0]:sw a0, 436(ra)<br>  |
| 111|[0x800043bc]<br>0x5555F555|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                         |[0x80000804]:c.or a0, a1<br> [0x80000806]:sw a0, 440(ra)<br>  |
| 112|[0x800043c0]<br>0x0000B507|- rs1_val==46341 and rs2_val==2<br>                                                                                                                  |[0x80000816]:c.or a0, a1<br> [0x80000818]:sw a0, 444(ra)<br>  |
| 113|[0x800043c4]<br>0x0000B505|- rs1_val==46341 and rs2_val==46340<br>                                                                                                              |[0x8000082c]:c.or a0, a1<br> [0x8000082e]:sw a0, 448(ra)<br>  |
| 114|[0x800043c8]<br>0xFFFFFFFD|- rs1_val==46341 and rs2_val==-46340<br>                                                                                                             |[0x80000842]:c.or a0, a1<br> [0x80000844]:sw a0, 452(ra)<br>  |
| 115|[0x800043cc]<br>0x6666F767|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                         |[0x80000858]:c.or a0, a1<br> [0x8000085a]:sw a0, 456(ra)<br>  |
| 116|[0x800043d0]<br>0x3333B737|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                          |[0x8000086e]:c.or a0, a1<br> [0x80000870]:sw a0, 460(ra)<br>  |
| 117|[0x800043d4]<br>0x0000B505|- rs1_val==46341 and rs2_val==5<br>                                                                                                                  |[0x80000880]:c.or a0, a1<br> [0x80000882]:sw a0, 464(ra)<br>  |
| 118|[0x800043d8]<br>0xAAAABFAF|- rs1_val==46341 and rs2_val==-1431655766<br> - rs2_val == -1431655766<br>                                                                           |[0x80000896]:c.or a0, a1<br> [0x80000898]:sw a0, 468(ra)<br>  |
| 119|[0x800043dc]<br>0x5555F555|- rs1_val==46341 and rs2_val==1431655765<br> - rs2_val == 1431655765<br>                                                                             |[0x800008ac]:c.or a0, a1<br> [0x800008ae]:sw a0, 472(ra)<br>  |
| 120|[0x800043e0]<br>0x0000B507|- rs1_val==46341 and rs2_val==3<br>                                                                                                                  |[0x800008be]:c.or a0, a1<br> [0x800008c0]:sw a0, 476(ra)<br>  |
| 121|[0x800043e4]<br>0xFFFFFFFD|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                             |[0x800008d4]:c.or a0, a1<br> [0x800008d6]:sw a0, 480(ra)<br>  |
| 122|[0x800043e8]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==-46339<br>                                                                                                            |[0x800008ea]:c.or a0, a1<br> [0x800008ec]:sw a0, 484(ra)<br>  |
| 123|[0x800043ec]<br>0xFFFF6EFF|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                        |[0x80000900]:c.or a0, a1<br> [0x80000902]:sw a0, 488(ra)<br>  |
| 124|[0x800043f0]<br>0xFFFF7BFD|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                         |[0x80000916]:c.or a0, a1<br> [0x80000918]:sw a0, 492(ra)<br>  |
| 125|[0x800043f4]<br>0xFFFF4AFF|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                 |[0x80000928]:c.or a0, a1<br> [0x8000092a]:sw a0, 496(ra)<br>  |
| 126|[0x800043f8]<br>0xFFFFEAFF|- rs1_val==-46339 and rs2_val==-1431655765<br>                                                                                                       |[0x8000093e]:c.or a0, a1<br> [0x80000940]:sw a0, 500(ra)<br>  |
| 127|[0x800043fc]<br>0xFFFF5FFF|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                        |[0x80000954]:c.or a0, a1<br> [0x80000956]:sw a0, 504(ra)<br>  |
| 128|[0x80004400]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                 |[0x80000966]:c.or a0, a1<br> [0x80000968]:sw a0, 508(ra)<br>  |
| 129|[0x80004404]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                             |[0x8000097c]:c.or a0, a1<br> [0x8000097e]:sw a0, 512(ra)<br>  |
| 130|[0x80004408]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                 |[0x8000098e]:c.or a0, a1<br> [0x80000990]:sw a0, 516(ra)<br>  |
| 131|[0x8000440c]<br>0xFFFF6EFD|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                        |[0x800009a4]:c.or a0, a1<br> [0x800009a6]:sw a0, 520(ra)<br>  |
| 132|[0x80004410]<br>0xFFFF7BFF|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                         |[0x800009ba]:c.or a0, a1<br> [0x800009bc]:sw a0, 524(ra)<br>  |
| 133|[0x80004414]<br>0xFFFF5FFD|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                        |[0x800009d0]:c.or a0, a1<br> [0x800009d2]:sw a0, 528(ra)<br>  |
| 134|[0x80004418]<br>0xFFFF4AFF|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                 |[0x800009e2]:c.or a0, a1<br> [0x800009e4]:sw a0, 532(ra)<br>  |
| 135|[0x8000441c]<br>0xFFFFFFFD|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                             |[0x800009f8]:c.or a0, a1<br> [0x800009fa]:sw a0, 536(ra)<br>  |
| 136|[0x80004420]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==-46340<br>                                                                                                            |[0x80000a0e]:c.or a0, a1<br> [0x80000a10]:sw a0, 540(ra)<br>  |
| 137|[0x80004424]<br>0xFFFF6EFF|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                        |[0x80000a24]:c.or a0, a1<br> [0x80000a26]:sw a0, 544(ra)<br>  |
| 138|[0x80004428]<br>0xFFFF7BFF|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                         |[0x80000a3a]:c.or a0, a1<br> [0x80000a3c]:sw a0, 548(ra)<br>  |
| 139|[0x8000442c]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                 |[0x80000a4c]:c.or a0, a1<br> [0x80000a4e]:sw a0, 552(ra)<br>  |
| 140|[0x80004430]<br>0xFFFFEAFF|- rs1_val==-46339 and rs2_val==-1431655766<br>                                                                                                       |[0x80000a62]:c.or a0, a1<br> [0x80000a64]:sw a0, 556(ra)<br>  |
| 141|[0x80004434]<br>0xFFFF5FFD|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                        |[0x80000a78]:c.or a0, a1<br> [0x80000a7a]:sw a0, 560(ra)<br>  |
| 142|[0x80004438]<br>0xFFFF4AFF|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                 |[0x80000a8a]:c.or a0, a1<br> [0x80000a8c]:sw a0, 564(ra)<br>  |
| 143|[0x8000443c]<br>0x6666F767|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                         |[0x80000aa0]:c.or a0, a1<br> [0x80000aa2]:sw a0, 568(ra)<br>  |
| 144|[0x80004440]<br>0xFFFF6EFF|- rs1_val==1717986919 and rs2_val==-46339<br>                                                                                                        |[0x80000ab6]:c.or a0, a1<br> [0x80000ab8]:sw a0, 572(ra)<br>  |
| 145|[0x80004444]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                    |[0x80000acc]:c.or a0, a1<br> [0x80000ace]:sw a0, 576(ra)<br>  |
| 146|[0x80004448]<br>0x77777777|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                     |[0x80000ae2]:c.or a0, a1<br> [0x80000ae4]:sw a0, 580(ra)<br>  |
| 147|[0x8000444c]<br>0x66666667|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                             |[0x80000af4]:c.or a0, a1<br> [0x80000af6]:sw a0, 584(ra)<br>  |
| 148|[0x80004450]<br>0xEEEEEEEF|- rs1_val==1717986919 and rs2_val==-1431655765<br>                                                                                                   |[0x80000b0a]:c.or a0, a1<br> [0x80000b0c]:sw a0, 588(ra)<br>  |
| 149|[0x80004454]<br>0x77777777|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                    |[0x80000b20]:c.or a0, a1<br> [0x80000b22]:sw a0, 592(ra)<br>  |
| 150|[0x80004458]<br>0x66666667|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                             |[0x80000b32]:c.or a0, a1<br> [0x80000b34]:sw a0, 596(ra)<br>  |
| 151|[0x8000445c]<br>0x6666F767|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                         |[0x80000b48]:c.or a0, a1<br> [0x80000b4a]:sw a0, 600(ra)<br>  |
| 152|[0x80004460]<br>0x66666667|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                             |[0x80000b5a]:c.or a0, a1<br> [0x80000b5c]:sw a0, 604(ra)<br>  |
| 153|[0x80004464]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                    |[0x80000b70]:c.or a0, a1<br> [0x80000b72]:sw a0, 608(ra)<br>  |
| 154|[0x80004468]<br>0x77777777|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                     |[0x80000b86]:c.or a0, a1<br> [0x80000b88]:sw a0, 612(ra)<br>  |
| 155|[0x8000446c]<br>0x77777777|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                    |[0x80000b9c]:c.or a0, a1<br> [0x80000b9e]:sw a0, 616(ra)<br>  |
| 156|[0x80004470]<br>0x66666667|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                             |[0x80000bae]:c.or a0, a1<br> [0x80000bb0]:sw a0, 620(ra)<br>  |
| 157|[0x80004474]<br>0x6666F767|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                         |[0x80000bc4]:c.or a0, a1<br> [0x80000bc6]:sw a0, 624(ra)<br>  |
| 158|[0x80004478]<br>0xFFFF6EFF|- rs1_val==1717986919 and rs2_val==-46340<br>                                                                                                        |[0x80000bda]:c.or a0, a1<br> [0x80000bdc]:sw a0, 628(ra)<br>  |
| 159|[0x8000447c]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                    |[0x80000bf0]:c.or a0, a1<br> [0x80000bf2]:sw a0, 632(ra)<br>  |
| 160|[0x80004480]<br>0x77777777|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                     |[0x80000c06]:c.or a0, a1<br> [0x80000c08]:sw a0, 636(ra)<br>  |
| 161|[0x80004484]<br>0x66666667|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                             |[0x80000c18]:c.or a0, a1<br> [0x80000c1a]:sw a0, 640(ra)<br>  |
| 162|[0x80004488]<br>0xEEEEEEEF|- rs1_val==1717986919 and rs2_val==-1431655766<br>                                                                                                   |[0x80000c2e]:c.or a0, a1<br> [0x80000c30]:sw a0, 644(ra)<br>  |
| 163|[0x8000448c]<br>0x77777777|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                    |[0x80000c44]:c.or a0, a1<br> [0x80000c46]:sw a0, 648(ra)<br>  |
| 164|[0x80004490]<br>0x66666667|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                             |[0x80000c56]:c.or a0, a1<br> [0x80000c58]:sw a0, 652(ra)<br>  |
| 165|[0x80004494]<br>0x3333B735|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                          |[0x80000c6c]:c.or a0, a1<br> [0x80000c6e]:sw a0, 656(ra)<br>  |
| 166|[0x80004498]<br>0xFFFF7BFD|- rs1_val==858993460 and rs2_val==-46339<br>                                                                                                         |[0x80000c82]:c.or a0, a1<br> [0x80000c84]:sw a0, 660(ra)<br>  |
| 167|[0x8000449c]<br>0x77777777|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                     |[0x80000c98]:c.or a0, a1<br> [0x80000c9a]:sw a0, 664(ra)<br>  |
| 168|[0x800044a4]<br>0x33333336|- rs1_val==858993460 and rs2_val==6<br>                                                                                                              |[0x80000cc0]:c.or a0, a1<br> [0x80000cc2]:sw a0, 672(ra)<br>  |
| 169|[0x800044a8]<br>0xBBBBBBBF|- rs1_val==858993460 and rs2_val==-1431655765<br>                                                                                                    |[0x80000cd6]:c.or a0, a1<br> [0x80000cd8]:sw a0, 676(ra)<br>  |
| 170|[0x800044ac]<br>0x77777776|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                     |[0x80000cec]:c.or a0, a1<br> [0x80000cee]:sw a0, 680(ra)<br>  |
| 171|[0x800044b0]<br>0x33333334|- rs1_val==858993460 and rs2_val==4<br>                                                                                                              |[0x80000cfe]:c.or a0, a1<br> [0x80000d00]:sw a0, 684(ra)<br>  |
| 172|[0x800044b4]<br>0x3333B737|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                          |[0x80000d14]:c.or a0, a1<br> [0x80000d16]:sw a0, 688(ra)<br>  |
| 173|[0x800044b8]<br>0x33333334|- rs1_val==858993460 and rs2_val==0<br>                                                                                                              |[0x80000d26]:c.or a0, a1<br> [0x80000d28]:sw a0, 692(ra)<br>  |
| 174|[0x800044bc]<br>0x77777775|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                     |[0x80000d3c]:c.or a0, a1<br> [0x80000d3e]:sw a0, 696(ra)<br>  |
| 175|[0x800044c0]<br>0x33333336|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                      |[0x80000d52]:c.or a0, a1<br> [0x80000d54]:sw a0, 700(ra)<br>  |
| 176|[0x800044c4]<br>0x77777774|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                     |[0x80000d68]:c.or a0, a1<br> [0x80000d6a]:sw a0, 704(ra)<br>  |
| 177|[0x800044c8]<br>0x33333336|- rs1_val==858993460 and rs2_val==2<br>                                                                                                              |[0x80000d7a]:c.or a0, a1<br> [0x80000d7c]:sw a0, 708(ra)<br>  |
| 178|[0x800044cc]<br>0x3333B734|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                          |[0x80000d90]:c.or a0, a1<br> [0x80000d92]:sw a0, 712(ra)<br>  |
| 179|[0x800044d0]<br>0xFFFF7BFC|- rs1_val==858993460 and rs2_val==-46340<br>                                                                                                         |[0x80000da6]:c.or a0, a1<br> [0x80000da8]:sw a0, 716(ra)<br>  |
| 180|[0x800044d4]<br>0x77777776|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                     |[0x80000dbc]:c.or a0, a1<br> [0x80000dbe]:sw a0, 720(ra)<br>  |
| 181|[0x800044d8]<br>0x33333337|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                      |[0x80000dd2]:c.or a0, a1<br> [0x80000dd4]:sw a0, 724(ra)<br>  |
| 182|[0x800044dc]<br>0x33333335|- rs1_val==858993460 and rs2_val==5<br>                                                                                                              |[0x80000de4]:c.or a0, a1<br> [0x80000de6]:sw a0, 728(ra)<br>  |
| 183|[0x800044e0]<br>0xBBBBBBBE|- rs1_val==858993460 and rs2_val==-1431655766<br>                                                                                                    |[0x80000dfa]:c.or a0, a1<br> [0x80000dfc]:sw a0, 732(ra)<br>  |
| 184|[0x800044e4]<br>0x77777775|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                     |[0x80000e10]:c.or a0, a1<br> [0x80000e12]:sw a0, 736(ra)<br>  |
| 185|[0x800044e8]<br>0x33333337|- rs1_val==858993460 and rs2_val==3<br>                                                                                                              |[0x80000e22]:c.or a0, a1<br> [0x80000e24]:sw a0, 740(ra)<br>  |
| 186|[0x800044ec]<br>0x0000B507|- rs1_val==6 and rs2_val==46341<br>                                                                                                                  |[0x80000e34]:c.or a0, a1<br> [0x80000e36]:sw a0, 744(ra)<br>  |
| 187|[0x800044f0]<br>0xFFFF4AFF|- rs1_val==6 and rs2_val==-46339<br>                                                                                                                 |[0x80000e46]:c.or a0, a1<br> [0x80000e48]:sw a0, 748(ra)<br>  |
| 188|[0x800044f4]<br>0x66666667|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                             |[0x80000e58]:c.or a0, a1<br> [0x80000e5a]:sw a0, 752(ra)<br>  |
| 189|[0x800044f8]<br>0x33333336|- rs1_val==6 and rs2_val==858993460<br>                                                                                                              |[0x80000e6a]:c.or a0, a1<br> [0x80000e6c]:sw a0, 756(ra)<br>  |
| 190|[0x800044fc]<br>0x00000006|- rs1_val==6 and rs2_val==6<br>                                                                                                                      |[0x80000e78]:c.or a0, a1<br> [0x80000e7a]:sw a0, 760(ra)<br>  |
| 191|[0x80004500]<br>0xAAAAAAAF|- rs1_val==6 and rs2_val==-1431655765<br>                                                                                                            |[0x80000e8a]:c.or a0, a1<br> [0x80000e8c]:sw a0, 764(ra)<br>  |
| 192|[0x80004504]<br>0x55555556|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                             |[0x80000e9c]:c.or a0, a1<br> [0x80000e9e]:sw a0, 768(ra)<br>  |
| 193|[0x80004508]<br>0x00000006|- rs1_val==6 and rs2_val==4<br>                                                                                                                      |[0x80000eaa]:c.or a0, a1<br> [0x80000eac]:sw a0, 772(ra)<br>  |
| 194|[0x8000450c]<br>0x0000B507|- rs1_val==6 and rs2_val==46339<br>                                                                                                                  |[0x80000ebc]:c.or a0, a1<br> [0x80000ebe]:sw a0, 776(ra)<br>  |
| 195|[0x80004510]<br>0x00000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                      |[0x80000eca]:c.or a0, a1<br> [0x80000ecc]:sw a0, 780(ra)<br>  |
| 196|[0x80004514]<br>0x66666667|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                             |[0x80000edc]:c.or a0, a1<br> [0x80000ede]:sw a0, 784(ra)<br>  |
| 197|[0x80004518]<br>0x33333336|- rs1_val==6 and rs2_val==858993458<br>                                                                                                              |[0x80000eee]:c.or a0, a1<br> [0x80000ef0]:sw a0, 788(ra)<br>  |
| 198|[0x8000451c]<br>0x55555556|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                             |[0x80000f00]:c.or a0, a1<br> [0x80000f02]:sw a0, 792(ra)<br>  |
| 199|[0x80004520]<br>0x00000006|- rs1_val==6 and rs2_val==2<br>                                                                                                                      |[0x80000f0e]:c.or a0, a1<br> [0x80000f10]:sw a0, 796(ra)<br>  |
| 200|[0x80004524]<br>0x0000B506|- rs1_val==6 and rs2_val==46340<br>                                                                                                                  |[0x80000f20]:c.or a0, a1<br> [0x80000f22]:sw a0, 800(ra)<br>  |
| 201|[0x80004528]<br>0xFFFF4AFE|- rs1_val==6 and rs2_val==-46340<br>                                                                                                                 |[0x80000f32]:c.or a0, a1<br> [0x80000f34]:sw a0, 804(ra)<br>  |
| 202|[0x8000452c]<br>0x66666666|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                             |[0x80000f44]:c.or a0, a1<br> [0x80000f46]:sw a0, 808(ra)<br>  |
| 203|[0x80004530]<br>0x33333337|- rs1_val==6 and rs2_val==858993459<br>                                                                                                              |[0x80000f56]:c.or a0, a1<br> [0x80000f58]:sw a0, 812(ra)<br>  |
| 204|[0x80004534]<br>0x00000007|- rs1_val==6 and rs2_val==5<br>                                                                                                                      |[0x80000f64]:c.or a0, a1<br> [0x80000f66]:sw a0, 816(ra)<br>  |
| 205|[0x80004538]<br>0xAAAAAAAE|- rs1_val==6 and rs2_val==-1431655766<br>                                                                                                            |[0x80000f76]:c.or a0, a1<br> [0x80000f78]:sw a0, 820(ra)<br>  |
| 206|[0x8000453c]<br>0x55555557|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                             |[0x80000f88]:c.or a0, a1<br> [0x80000f8a]:sw a0, 824(ra)<br>  |
| 207|[0x80004540]<br>0x00000007|- rs1_val==6 and rs2_val==3<br>                                                                                                                      |[0x80000f96]:c.or a0, a1<br> [0x80000f98]:sw a0, 828(ra)<br>  |
| 208|[0x80004544]<br>0xAAAABFAF|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                        |[0x80000fac]:c.or a0, a1<br> [0x80000fae]:sw a0, 832(ra)<br>  |
| 209|[0x80004548]<br>0xFFFFEAFF|- rs1_val==-1431655765 and rs2_val==-46339<br>                                                                                                       |[0x80000fc2]:c.or a0, a1<br> [0x80000fc4]:sw a0, 836(ra)<br>  |
| 210|[0x8000454c]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                   |[0x80000fd8]:c.or a0, a1<br> [0x80000fda]:sw a0, 840(ra)<br>  |
| 211|[0x80004550]<br>0xBBBBBBBF|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                    |[0x80000fee]:c.or a0, a1<br> [0x80000ff0]:sw a0, 844(ra)<br>  |
| 212|[0x80004554]<br>0xAAAAAAAF|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                            |[0x80001000]:c.or a0, a1<br> [0x80001002]:sw a0, 848(ra)<br>  |
| 213|[0x80004558]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==-1431655765<br>                                                                                                  |[0x80001016]:c.or a0, a1<br> [0x80001018]:sw a0, 852(ra)<br>  |
| 214|[0x8000455c]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                   |[0x8000102c]:c.or a0, a1<br> [0x8000102e]:sw a0, 856(ra)<br>  |
| 215|[0x80004560]<br>0xAAAAAAAF|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                            |[0x8000103e]:c.or a0, a1<br> [0x80001040]:sw a0, 860(ra)<br>  |
| 216|[0x80004564]<br>0xAAAABFAB|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                        |[0x80001054]:c.or a0, a1<br> [0x80001056]:sw a0, 864(ra)<br>  |
| 217|[0x80004568]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                            |[0x80001066]:c.or a0, a1<br> [0x80001068]:sw a0, 868(ra)<br>  |
| 218|[0x8000456c]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                   |[0x8000107c]:c.or a0, a1<br> [0x8000107e]:sw a0, 872(ra)<br>  |
| 219|[0x80004570]<br>0xBBBBBBBB|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                    |[0x80001092]:c.or a0, a1<br> [0x80001094]:sw a0, 876(ra)<br>  |
| 220|[0x80004574]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                   |[0x800010a8]:c.or a0, a1<br> [0x800010aa]:sw a0, 880(ra)<br>  |
| 221|[0x80004578]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                            |[0x800010ba]:c.or a0, a1<br> [0x800010bc]:sw a0, 884(ra)<br>  |
| 222|[0x8000457c]<br>0xAAAABFAF|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                        |[0x800010d0]:c.or a0, a1<br> [0x800010d2]:sw a0, 888(ra)<br>  |
| 223|[0x80004580]<br>0xFFFFEAFF|- rs1_val==-1431655765 and rs2_val==-46340<br>                                                                                                       |[0x800010e6]:c.or a0, a1<br> [0x800010e8]:sw a0, 892(ra)<br>  |
| 224|[0x80004584]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                   |[0x800010fc]:c.or a0, a1<br> [0x800010fe]:sw a0, 896(ra)<br>  |
| 225|[0x80004588]<br>0xBBBBBBBB|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                    |[0x80001112]:c.or a0, a1<br> [0x80001114]:sw a0, 900(ra)<br>  |
| 226|[0x8000458c]<br>0xAAAAAAAF|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                            |[0x80001124]:c.or a0, a1<br> [0x80001126]:sw a0, 904(ra)<br>  |
| 227|[0x80004590]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==-1431655766<br>                                                                                                  |[0x8000113a]:c.or a0, a1<br> [0x8000113c]:sw a0, 908(ra)<br>  |
| 228|[0x80004594]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                   |[0x80001150]:c.or a0, a1<br> [0x80001152]:sw a0, 912(ra)<br>  |
| 229|[0x80004598]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                            |[0x80001162]:c.or a0, a1<br> [0x80001164]:sw a0, 916(ra)<br>  |
| 230|[0x8000459c]<br>0x5555F557|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                         |[0x80001178]:c.or a0, a1<br> [0x8000117a]:sw a0, 920(ra)<br>  |
| 231|[0x800045a0]<br>0xFFFF5FFF|- rs1_val==1431655766 and rs2_val==-46339<br>                                                                                                        |[0x8000118e]:c.or a0, a1<br> [0x80001190]:sw a0, 924(ra)<br>  |
| 232|[0x800045a4]<br>0x77777777|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                    |[0x800011a4]:c.or a0, a1<br> [0x800011a6]:sw a0, 928(ra)<br>  |
| 233|[0x800045a8]<br>0x77777776|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                     |[0x800011ba]:c.or a0, a1<br> [0x800011bc]:sw a0, 932(ra)<br>  |
| 234|[0x800045ac]<br>0x55555556|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                             |[0x800011cc]:c.or a0, a1<br> [0x800011ce]:sw a0, 936(ra)<br>  |
| 235|[0x800045b0]<br>0xFFFFFFFF|- rs1_val==1431655766 and rs2_val==-1431655765<br>                                                                                                   |[0x800011e2]:c.or a0, a1<br> [0x800011e4]:sw a0, 940(ra)<br>  |
| 236|[0x800045b4]<br>0x55555556|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                    |[0x800011f8]:c.or a0, a1<br> [0x800011fa]:sw a0, 944(ra)<br>  |
| 237|[0x800045b8]<br>0x55555556|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                             |[0x8000120a]:c.or a0, a1<br> [0x8000120c]:sw a0, 948(ra)<br>  |
| 238|[0x800045bc]<br>0x5555F557|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                         |[0x80001220]:c.or a0, a1<br> [0x80001222]:sw a0, 952(ra)<br>  |
| 239|[0x800045c0]<br>0x55555556|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                             |[0x80001232]:c.or a0, a1<br> [0x80001234]:sw a0, 956(ra)<br>  |
| 240|[0x800045c4]<br>0x77777777|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                    |[0x80001248]:c.or a0, a1<br> [0x8000124a]:sw a0, 960(ra)<br>  |
| 241|[0x800045c8]<br>0x77777776|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                     |[0x8000125e]:c.or a0, a1<br> [0x80001260]:sw a0, 964(ra)<br>  |
| 242|[0x800045cc]<br>0x55555556|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                    |[0x80001274]:c.or a0, a1<br> [0x80001276]:sw a0, 968(ra)<br>  |
| 243|[0x800045d0]<br>0x55555556|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                             |[0x80001286]:c.or a0, a1<br> [0x80001288]:sw a0, 972(ra)<br>  |
| 244|[0x800045d4]<br>0x5555F556|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                         |[0x8000129c]:c.or a0, a1<br> [0x8000129e]:sw a0, 976(ra)<br>  |
| 245|[0x800045d8]<br>0xFFFF5FFE|- rs1_val==1431655766 and rs2_val==-46340<br>                                                                                                        |[0x800012b2]:c.or a0, a1<br> [0x800012b4]:sw a0, 980(ra)<br>  |
| 246|[0x800045dc]<br>0x77777776|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                    |[0x800012c8]:c.or a0, a1<br> [0x800012ca]:sw a0, 984(ra)<br>  |
| 247|[0x800045e0]<br>0x77777777|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                     |[0x800012de]:c.or a0, a1<br> [0x800012e0]:sw a0, 988(ra)<br>  |
| 248|[0x800045e4]<br>0x55555557|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                             |[0x800012f0]:c.or a0, a1<br> [0x800012f2]:sw a0, 992(ra)<br>  |
| 249|[0x800045e8]<br>0xFFFFFFFE|- rs1_val==1431655766 and rs2_val==-1431655766<br>                                                                                                   |[0x80001306]:c.or a0, a1<br> [0x80001308]:sw a0, 996(ra)<br>  |
| 250|[0x800045ec]<br>0x55555557|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                    |[0x8000131c]:c.or a0, a1<br> [0x8000131e]:sw a0, 1000(ra)<br> |
| 251|[0x800045f0]<br>0x55555557|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                             |[0x8000132e]:c.or a0, a1<br> [0x80001330]:sw a0, 1004(ra)<br> |
| 252|[0x800045f4]<br>0x0000B505|- rs1_val==4 and rs2_val==46341<br>                                                                                                                  |[0x80001340]:c.or a0, a1<br> [0x80001342]:sw a0, 1008(ra)<br> |
| 253|[0x800045f8]<br>0xFFFF4AFD|- rs1_val==4 and rs2_val==-46339<br>                                                                                                                 |[0x80001352]:c.or a0, a1<br> [0x80001354]:sw a0, 1012(ra)<br> |
| 254|[0x800045fc]<br>0x66666667|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                             |[0x80001364]:c.or a0, a1<br> [0x80001366]:sw a0, 1016(ra)<br> |
| 255|[0x80004600]<br>0x33333334|- rs1_val==4 and rs2_val==858993460<br>                                                                                                              |[0x80001376]:c.or a0, a1<br> [0x80001378]:sw a0, 1020(ra)<br> |
| 256|[0x80004604]<br>0x00000006|- rs1_val==4 and rs2_val==6<br>                                                                                                                      |[0x80001384]:c.or a0, a1<br> [0x80001386]:sw a0, 1024(ra)<br> |
| 257|[0x80004608]<br>0xAAAAAAAF|- rs1_val==4 and rs2_val==-1431655765<br>                                                                                                            |[0x80001396]:c.or a0, a1<br> [0x80001398]:sw a0, 1028(ra)<br> |
| 258|[0x8000460c]<br>0x55555556|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                             |[0x800013a8]:c.or a0, a1<br> [0x800013aa]:sw a0, 1032(ra)<br> |
| 259|[0x80004610]<br>0x00000004|- rs1_val==4 and rs2_val==4<br>                                                                                                                      |[0x800013b6]:c.or a0, a1<br> [0x800013b8]:sw a0, 1036(ra)<br> |
| 260|[0x80004614]<br>0x0000B507|- rs1_val==4 and rs2_val==46339<br>                                                                                                                  |[0x800013c8]:c.or a0, a1<br> [0x800013ca]:sw a0, 1040(ra)<br> |
| 261|[0x80004618]<br>0x00000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                      |[0x800013d6]:c.or a0, a1<br> [0x800013d8]:sw a0, 1044(ra)<br> |
| 262|[0x8000461c]<br>0x66666665|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                             |[0x800013e8]:c.or a0, a1<br> [0x800013ea]:sw a0, 1048(ra)<br> |
| 263|[0x80004620]<br>0x33333336|- rs1_val==4 and rs2_val==858993458<br>                                                                                                              |[0x800013fa]:c.or a0, a1<br> [0x800013fc]:sw a0, 1052(ra)<br> |
| 264|[0x80004624]<br>0x55555554|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                             |[0x8000140c]:c.or a0, a1<br> [0x8000140e]:sw a0, 1056(ra)<br> |
| 265|[0x80004628]<br>0x00000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                      |[0x8000141a]:c.or a0, a1<br> [0x8000141c]:sw a0, 1060(ra)<br> |
| 266|[0x8000462c]<br>0x0000B504|- rs1_val==4 and rs2_val==46340<br>                                                                                                                  |[0x8000142c]:c.or a0, a1<br> [0x8000142e]:sw a0, 1064(ra)<br> |
| 267|[0x80004630]<br>0xFFFF4AFC|- rs1_val==4 and rs2_val==-46340<br>                                                                                                                 |[0x8000143e]:c.or a0, a1<br> [0x80001440]:sw a0, 1068(ra)<br> |
| 268|[0x80004634]<br>0x66666666|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                             |[0x80001450]:c.or a0, a1<br> [0x80001452]:sw a0, 1072(ra)<br> |
| 269|[0x80004638]<br>0x33333337|- rs1_val==4 and rs2_val==858993459<br>                                                                                                              |[0x80001462]:c.or a0, a1<br> [0x80001464]:sw a0, 1076(ra)<br> |
| 270|[0x8000463c]<br>0x00000005|- rs1_val==4 and rs2_val==5<br>                                                                                                                      |[0x80001470]:c.or a0, a1<br> [0x80001472]:sw a0, 1080(ra)<br> |
| 271|[0x80004640]<br>0xAAAAAAAE|- rs1_val==4 and rs2_val==-1431655766<br>                                                                                                            |[0x80001482]:c.or a0, a1<br> [0x80001484]:sw a0, 1084(ra)<br> |
| 272|[0x80004644]<br>0x55555555|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                             |[0x80001494]:c.or a0, a1<br> [0x80001496]:sw a0, 1088(ra)<br> |
| 273|[0x80004648]<br>0x00000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                      |[0x800014a2]:c.or a0, a1<br> [0x800014a4]:sw a0, 1092(ra)<br> |
| 274|[0x8000464c]<br>0x0000B507|- rs1_val==46339 and rs2_val==46341<br>                                                                                                              |[0x800014b8]:c.or a0, a1<br> [0x800014ba]:sw a0, 1096(ra)<br> |
| 275|[0x80004650]<br>0xFFFFFFFF|- rs1_val==46339 and rs2_val==-46339<br>                                                                                                             |[0x800014ce]:c.or a0, a1<br> [0x800014d0]:sw a0, 1100(ra)<br> |
| 276|[0x80004654]<br>0x6666F767|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                         |[0x800014e4]:c.or a0, a1<br> [0x800014e6]:sw a0, 1104(ra)<br> |
| 277|[0x80004658]<br>0x3333B737|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                          |[0x800014fa]:c.or a0, a1<br> [0x800014fc]:sw a0, 1108(ra)<br> |
| 278|[0x8000465c]<br>0x0000B507|- rs1_val==46339 and rs2_val==6<br>                                                                                                                  |[0x8000150c]:c.or a0, a1<br> [0x8000150e]:sw a0, 1112(ra)<br> |
| 279|[0x80004660]<br>0xAAAABFAB|- rs1_val==46339 and rs2_val==-1431655765<br>                                                                                                        |[0x80001522]:c.or a0, a1<br> [0x80001524]:sw a0, 1116(ra)<br> |
| 280|[0x80004664]<br>0x5555F557|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                         |[0x80001538]:c.or a0, a1<br> [0x8000153a]:sw a0, 1120(ra)<br> |
| 281|[0x80004668]<br>0x0000B507|- rs1_val==46339 and rs2_val==4<br>                                                                                                                  |[0x8000154a]:c.or a0, a1<br> [0x8000154c]:sw a0, 1124(ra)<br> |
| 282|[0x8000466c]<br>0x0000B503|- rs1_val==46339 and rs2_val==46339<br>                                                                                                              |[0x80001560]:c.or a0, a1<br> [0x80001562]:sw a0, 1128(ra)<br> |
| 283|[0x80004670]<br>0x0000B503|- rs1_val==46339 and rs2_val==0<br>                                                                                                                  |[0x80001572]:c.or a0, a1<br> [0x80001574]:sw a0, 1132(ra)<br> |
| 284|[0x80004674]<br>0x6666F767|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                         |[0x80001588]:c.or a0, a1<br> [0x8000158a]:sw a0, 1136(ra)<br> |
| 285|[0x80004678]<br>0x3333B733|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                          |[0x8000159e]:c.or a0, a1<br> [0x800015a0]:sw a0, 1140(ra)<br> |
| 286|[0x8000467c]<br>0x5555F557|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                         |[0x800015b4]:c.or a0, a1<br> [0x800015b6]:sw a0, 1144(ra)<br> |
| 287|[0x80004680]<br>0x0000B503|- rs1_val==46339 and rs2_val==2<br>                                                                                                                  |[0x800015c6]:c.or a0, a1<br> [0x800015c8]:sw a0, 1148(ra)<br> |
| 288|[0x80004684]<br>0x0000B507|- rs1_val==46339 and rs2_val==46340<br>                                                                                                              |[0x800015dc]:c.or a0, a1<br> [0x800015de]:sw a0, 1152(ra)<br> |
| 289|[0x80004688]<br>0xFFFFFFFF|- rs1_val==46339 and rs2_val==-46340<br>                                                                                                             |[0x800015f2]:c.or a0, a1<br> [0x800015f4]:sw a0, 1156(ra)<br> |
| 290|[0x8000468c]<br>0x6666F767|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                         |[0x80001608]:c.or a0, a1<br> [0x8000160a]:sw a0, 1160(ra)<br> |
| 291|[0x80004690]<br>0x3333B733|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                          |[0x8000161e]:c.or a0, a1<br> [0x80001620]:sw a0, 1164(ra)<br> |
| 292|[0x80004694]<br>0x0000B507|- rs1_val==46339 and rs2_val==5<br>                                                                                                                  |[0x80001630]:c.or a0, a1<br> [0x80001632]:sw a0, 1168(ra)<br> |
| 293|[0x80004698]<br>0xAAAABFAB|- rs1_val==46339 and rs2_val==-1431655766<br>                                                                                                        |[0x80001646]:c.or a0, a1<br> [0x80001648]:sw a0, 1172(ra)<br> |
| 294|[0x8000469c]<br>0x5555F557|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                         |[0x8000165c]:c.or a0, a1<br> [0x8000165e]:sw a0, 1176(ra)<br> |
| 295|[0x800046a0]<br>0x0000B503|- rs1_val==46339 and rs2_val==3<br>                                                                                                                  |[0x8000166e]:c.or a0, a1<br> [0x80001670]:sw a0, 1180(ra)<br> |
| 296|[0x800046a4]<br>0x0000B505|- rs1_val==0 and rs2_val==46341<br>                                                                                                                  |[0x80001680]:c.or a0, a1<br> [0x80001682]:sw a0, 1184(ra)<br> |
| 297|[0x800046a8]<br>0xFFFF4AFD|- rs1_val==0 and rs2_val==-46339<br>                                                                                                                 |[0x80001692]:c.or a0, a1<br> [0x80001694]:sw a0, 1188(ra)<br> |
| 298|[0x800046ac]<br>0x66666667|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                             |[0x800016a4]:c.or a0, a1<br> [0x800016a6]:sw a0, 1192(ra)<br> |
| 299|[0x800046b0]<br>0x33333334|- rs1_val==0 and rs2_val==858993460<br>                                                                                                              |[0x800016b6]:c.or a0, a1<br> [0x800016b8]:sw a0, 1196(ra)<br> |
| 300|[0x800046b4]<br>0x00000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                      |[0x800016c4]:c.or a0, a1<br> [0x800016c6]:sw a0, 1200(ra)<br> |
| 301|[0x800046b8]<br>0xAAAAAAAB|- rs1_val==0 and rs2_val==-1431655765<br>                                                                                                            |[0x800016d6]:c.or a0, a1<br> [0x800016d8]:sw a0, 1204(ra)<br> |
| 302|[0x800046bc]<br>0x55555556|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                             |[0x800016e8]:c.or a0, a1<br> [0x800016ea]:sw a0, 1208(ra)<br> |
| 303|[0x800046c0]<br>0x00000004|- rs1_val==0 and rs2_val==4<br>                                                                                                                      |[0x800016f6]:c.or a0, a1<br> [0x800016f8]:sw a0, 1212(ra)<br> |
| 304|[0x800046c4]<br>0x0000B503|- rs1_val==0 and rs2_val==46339<br>                                                                                                                  |[0x80001708]:c.or a0, a1<br> [0x8000170a]:sw a0, 1216(ra)<br> |
| 305|[0x800046c8]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                      |[0x80001716]:c.or a0, a1<br> [0x80001718]:sw a0, 1220(ra)<br> |
| 306|[0x800046cc]<br>0x66666665|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                             |[0x80001728]:c.or a0, a1<br> [0x8000172a]:sw a0, 1224(ra)<br> |
| 307|[0x800046d0]<br>0x33333332|- rs1_val==0 and rs2_val==858993458<br>                                                                                                              |[0x8000173a]:c.or a0, a1<br> [0x8000173c]:sw a0, 1228(ra)<br> |
| 308|[0x800046d4]<br>0x55555554|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                             |[0x8000174c]:c.or a0, a1<br> [0x8000174e]:sw a0, 1232(ra)<br> |
| 309|[0x800046d8]<br>0x00000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                      |[0x8000175a]:c.or a0, a1<br> [0x8000175c]:sw a0, 1236(ra)<br> |
| 310|[0x800046dc]<br>0x0000B504|- rs1_val==0 and rs2_val==46340<br>                                                                                                                  |[0x8000176c]:c.or a0, a1<br> [0x8000176e]:sw a0, 1240(ra)<br> |
| 311|[0x800046e0]<br>0xFFFF4AFC|- rs1_val==0 and rs2_val==-46340<br>                                                                                                                 |[0x8000177e]:c.or a0, a1<br> [0x80001780]:sw a0, 1244(ra)<br> |
| 312|[0x800046e4]<br>0x66666666|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                             |[0x80001790]:c.or a0, a1<br> [0x80001792]:sw a0, 1248(ra)<br> |
| 313|[0x800046e8]<br>0x33333333|- rs1_val==0 and rs2_val==858993459<br>                                                                                                              |[0x800017a2]:c.or a0, a1<br> [0x800017a4]:sw a0, 1252(ra)<br> |
| 314|[0x800046ec]<br>0x00000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                      |[0x800017b0]:c.or a0, a1<br> [0x800017b2]:sw a0, 1256(ra)<br> |
| 315|[0x800046f0]<br>0xAAAAAAAA|- rs1_val==0 and rs2_val==-1431655766<br>                                                                                                            |[0x800017c2]:c.or a0, a1<br> [0x800017c4]:sw a0, 1260(ra)<br> |
| 316|[0x800046f4]<br>0x55555555|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                             |[0x800017d4]:c.or a0, a1<br> [0x800017d6]:sw a0, 1264(ra)<br> |
| 317|[0x800046f8]<br>0x00000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                      |[0x800017e2]:c.or a0, a1<br> [0x800017e4]:sw a0, 1268(ra)<br> |
| 318|[0x800046fc]<br>0x6666F765|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                         |[0x800017f8]:c.or a0, a1<br> [0x800017fa]:sw a0, 1272(ra)<br> |
| 319|[0x80004700]<br>0xFFFF6EFD|- rs1_val==1717986917 and rs2_val==-46339<br>                                                                                                        |[0x8000180e]:c.or a0, a1<br> [0x80001810]:sw a0, 1276(ra)<br> |
| 320|[0x80004704]<br>0x66666667|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                    |[0x80001824]:c.or a0, a1<br> [0x80001826]:sw a0, 1280(ra)<br> |
| 321|[0x80004708]<br>0x77777775|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                     |[0x8000183a]:c.or a0, a1<br> [0x8000183c]:sw a0, 1284(ra)<br> |
| 322|[0x8000470c]<br>0x66666667|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                             |[0x8000184c]:c.or a0, a1<br> [0x8000184e]:sw a0, 1288(ra)<br> |
| 323|[0x80004710]<br>0xEEEEEEEF|- rs1_val==1717986917 and rs2_val==-1431655765<br>                                                                                                   |[0x80001862]:c.or a0, a1<br> [0x80001864]:sw a0, 1292(ra)<br> |
| 324|[0x80004714]<br>0x77777777|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                    |[0x80001878]:c.or a0, a1<br> [0x8000187a]:sw a0, 1296(ra)<br> |
| 325|[0x80004718]<br>0x66666665|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                             |[0x8000188a]:c.or a0, a1<br> [0x8000188c]:sw a0, 1300(ra)<br> |
| 326|[0x8000471c]<br>0x6666F767|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                         |[0x800018a0]:c.or a0, a1<br> [0x800018a2]:sw a0, 1304(ra)<br> |
| 327|[0x80004720]<br>0x66666665|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                             |[0x800018b2]:c.or a0, a1<br> [0x800018b4]:sw a0, 1308(ra)<br> |
| 328|[0x80004724]<br>0x33333333|- rs1_val==858993459 and rs2_val==0<br>                                                                                                              |[0x800018c4]:c.or a0, a1<br> [0x800018c6]:sw a0, 1312(ra)<br> |
| 329|[0x80004728]<br>0x77777777|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                     |[0x800018da]:c.or a0, a1<br> [0x800018dc]:sw a0, 1316(ra)<br> |
| 330|[0x8000472c]<br>0x33333333|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                      |[0x800018f0]:c.or a0, a1<br> [0x800018f2]:sw a0, 1320(ra)<br> |
| 331|[0x80004730]<br>0x77777777|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                     |[0x80001906]:c.or a0, a1<br> [0x80001908]:sw a0, 1324(ra)<br> |
| 332|[0x80004734]<br>0x33333333|- rs1_val==858993459 and rs2_val==2<br>                                                                                                              |[0x80001918]:c.or a0, a1<br> [0x8000191a]:sw a0, 1328(ra)<br> |
| 333|[0x80004738]<br>0x3333B737|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                          |[0x8000192e]:c.or a0, a1<br> [0x80001930]:sw a0, 1332(ra)<br> |
| 334|[0x8000473c]<br>0xFFFF7BFF|- rs1_val==858993459 and rs2_val==-46340<br>                                                                                                         |[0x80001944]:c.or a0, a1<br> [0x80001946]:sw a0, 1336(ra)<br> |
| 335|[0x80004740]<br>0x77777777|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                     |[0x8000195a]:c.or a0, a1<br> [0x8000195c]:sw a0, 1340(ra)<br> |
| 336|[0x80004744]<br>0x33333333|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                      |[0x80001970]:c.or a0, a1<br> [0x80001972]:sw a0, 1344(ra)<br> |
| 337|[0x80004748]<br>0x33333337|- rs1_val==858993459 and rs2_val==5<br>                                                                                                              |[0x80001982]:c.or a0, a1<br> [0x80001984]:sw a0, 1348(ra)<br> |
| 338|[0x8000474c]<br>0xBBBBBBBB|- rs1_val==858993459 and rs2_val==-1431655766<br>                                                                                                    |[0x80001998]:c.or a0, a1<br> [0x8000199a]:sw a0, 1352(ra)<br> |
| 339|[0x80004750]<br>0x77777777|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                     |[0x800019ae]:c.or a0, a1<br> [0x800019b0]:sw a0, 1356(ra)<br> |
| 340|[0x80004754]<br>0x33333333|- rs1_val==858993459 and rs2_val==3<br>                                                                                                              |[0x800019c0]:c.or a0, a1<br> [0x800019c2]:sw a0, 1360(ra)<br> |
| 341|[0x80004758]<br>0x0000B505|- rs1_val==5 and rs2_val==46341<br>                                                                                                                  |[0x800019d2]:c.or a0, a1<br> [0x800019d4]:sw a0, 1364(ra)<br> |
| 342|[0x8000475c]<br>0xFFFF4AFD|- rs1_val==5 and rs2_val==-46339<br>                                                                                                                 |[0x800019e4]:c.or a0, a1<br> [0x800019e6]:sw a0, 1368(ra)<br> |
| 343|[0x80004760]<br>0x66666667|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                             |[0x800019f6]:c.or a0, a1<br> [0x800019f8]:sw a0, 1372(ra)<br> |
| 344|[0x80004764]<br>0x33333335|- rs1_val==5 and rs2_val==858993460<br>                                                                                                              |[0x80001a08]:c.or a0, a1<br> [0x80001a0a]:sw a0, 1376(ra)<br> |
| 345|[0x80004768]<br>0x00000007|- rs1_val==5 and rs2_val==6<br>                                                                                                                      |[0x80001a16]:c.or a0, a1<br> [0x80001a18]:sw a0, 1380(ra)<br> |
| 346|[0x8000476c]<br>0xAAAAAAAF|- rs1_val==5 and rs2_val==-1431655765<br>                                                                                                            |[0x80001a28]:c.or a0, a1<br> [0x80001a2a]:sw a0, 1384(ra)<br> |
| 347|[0x80004770]<br>0x55555557|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                             |[0x80001a3a]:c.or a0, a1<br> [0x80001a3c]:sw a0, 1388(ra)<br> |
| 348|[0x80004774]<br>0x00000005|- rs1_val==5 and rs2_val==4<br>                                                                                                                      |[0x80001a48]:c.or a0, a1<br> [0x80001a4a]:sw a0, 1392(ra)<br> |
| 349|[0x80004778]<br>0x0000B507|- rs1_val==5 and rs2_val==46339<br>                                                                                                                  |[0x80001a5a]:c.or a0, a1<br> [0x80001a5c]:sw a0, 1396(ra)<br> |
| 350|[0x8000477c]<br>0x00000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                      |[0x80001a68]:c.or a0, a1<br> [0x80001a6a]:sw a0, 1400(ra)<br> |
| 351|[0x80004780]<br>0x66666665|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                             |[0x80001a7a]:c.or a0, a1<br> [0x80001a7c]:sw a0, 1404(ra)<br> |
| 352|[0x80004784]<br>0x33333337|- rs1_val==5 and rs2_val==858993458<br>                                                                                                              |[0x80001a8c]:c.or a0, a1<br> [0x80001a8e]:sw a0, 1408(ra)<br> |
| 353|[0x80004788]<br>0x55555555|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                             |[0x80001a9e]:c.or a0, a1<br> [0x80001aa0]:sw a0, 1412(ra)<br> |
| 354|[0x8000478c]<br>0x00000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                      |[0x80001aac]:c.or a0, a1<br> [0x80001aae]:sw a0, 1416(ra)<br> |
| 355|[0x80004790]<br>0x0000B505|- rs1_val==5 and rs2_val==46340<br>                                                                                                                  |[0x80001abe]:c.or a0, a1<br> [0x80001ac0]:sw a0, 1420(ra)<br> |
| 356|[0x80004794]<br>0xFFFF4AFD|- rs1_val==5 and rs2_val==-46340<br>                                                                                                                 |[0x80001ad0]:c.or a0, a1<br> [0x80001ad2]:sw a0, 1424(ra)<br> |
| 357|[0x80004798]<br>0x66666667|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                             |[0x80001ae2]:c.or a0, a1<br> [0x80001ae4]:sw a0, 1428(ra)<br> |
| 358|[0x8000479c]<br>0x33333337|- rs1_val==5 and rs2_val==858993459<br>                                                                                                              |[0x80001af4]:c.or a0, a1<br> [0x80001af6]:sw a0, 1432(ra)<br> |
| 359|[0x800047a0]<br>0x00000005|- rs1_val==5 and rs2_val==5<br>                                                                                                                      |[0x80001b02]:c.or a0, a1<br> [0x80001b04]:sw a0, 1436(ra)<br> |
| 360|[0x800047a4]<br>0xAAAAAAAF|- rs1_val==5 and rs2_val==-1431655766<br>                                                                                                            |[0x80001b14]:c.or a0, a1<br> [0x80001b16]:sw a0, 1440(ra)<br> |
| 361|[0x800047a8]<br>0x55555555|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                             |[0x80001b26]:c.or a0, a1<br> [0x80001b28]:sw a0, 1444(ra)<br> |
| 362|[0x800047ac]<br>0x00000007|- rs1_val==5 and rs2_val==3<br>                                                                                                                      |[0x80001b34]:c.or a0, a1<br> [0x80001b36]:sw a0, 1448(ra)<br> |
| 363|[0x800047b0]<br>0xAAAABFAF|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                        |[0x80001b4a]:c.or a0, a1<br> [0x80001b4c]:sw a0, 1452(ra)<br> |
| 364|[0x800047b4]<br>0xFFFFEAFF|- rs1_val==-1431655766 and rs2_val==-46339<br>                                                                                                       |[0x80001b60]:c.or a0, a1<br> [0x80001b62]:sw a0, 1456(ra)<br> |
| 365|[0x800047b8]<br>0xEEEEEEEF|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                   |[0x80001b76]:c.or a0, a1<br> [0x80001b78]:sw a0, 1460(ra)<br> |
| 366|[0x800047bc]<br>0xBBBBBBBE|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                    |[0x80001b8c]:c.or a0, a1<br> [0x80001b8e]:sw a0, 1464(ra)<br> |
| 367|[0x800047c0]<br>0xAAAAAAAE|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                            |[0x80001b9e]:c.or a0, a1<br> [0x80001ba0]:sw a0, 1468(ra)<br> |
| 368|[0x800047c4]<br>0xAAAAAAAB|- rs1_val==-1431655766 and rs2_val==-1431655765<br>                                                                                                  |[0x80001bb4]:c.or a0, a1<br> [0x80001bb6]:sw a0, 1472(ra)<br> |
| 369|[0x800047c8]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                   |[0x80001bca]:c.or a0, a1<br> [0x80001bcc]:sw a0, 1476(ra)<br> |
| 370|[0x800047cc]<br>0xAAAAAAAE|- rs1_val==-1431655766 and rs2_val==4<br>                                                                                                            |[0x80001bdc]:c.or a0, a1<br> [0x80001bde]:sw a0, 1480(ra)<br> |
| 371|[0x800047d0]<br>0xAAAABFAB|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                        |[0x80001bf2]:c.or a0, a1<br> [0x80001bf4]:sw a0, 1484(ra)<br> |
| 372|[0x800047d4]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                            |[0x80001c04]:c.or a0, a1<br> [0x80001c06]:sw a0, 1488(ra)<br> |
| 373|[0x800047d8]<br>0xEEEEEEEF|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                   |[0x80001c1a]:c.or a0, a1<br> [0x80001c1c]:sw a0, 1492(ra)<br> |
| 374|[0x800047dc]<br>0xBBBBBBBA|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                    |[0x80001c30]:c.or a0, a1<br> [0x80001c32]:sw a0, 1496(ra)<br> |
| 375|[0x800047e0]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                   |[0x80001c46]:c.or a0, a1<br> [0x80001c48]:sw a0, 1500(ra)<br> |
| 376|[0x800047e4]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                            |[0x80001c58]:c.or a0, a1<br> [0x80001c5a]:sw a0, 1504(ra)<br> |
| 377|[0x800047e8]<br>0xAAAABFAE|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                        |[0x80001c6e]:c.or a0, a1<br> [0x80001c70]:sw a0, 1508(ra)<br> |
| 378|[0x800047ec]<br>0xFFFFEAFE|- rs1_val==-1431655766 and rs2_val==-46340<br>                                                                                                       |[0x80001c84]:c.or a0, a1<br> [0x80001c86]:sw a0, 1512(ra)<br> |
| 379|[0x800047f0]<br>0xEEEEEEEE|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                   |[0x80001c9a]:c.or a0, a1<br> [0x80001c9c]:sw a0, 1516(ra)<br> |
| 380|[0x800047f4]<br>0xBBBBBBBB|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                    |[0x80001cb0]:c.or a0, a1<br> [0x80001cb2]:sw a0, 1520(ra)<br> |
| 381|[0x800047f8]<br>0xAAAAAAAF|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                            |[0x80001cc2]:c.or a0, a1<br> [0x80001cc4]:sw a0, 1524(ra)<br> |
| 382|[0x800047fc]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655766<br>                                                                                                  |[0x80001cd8]:c.or a0, a1<br> [0x80001cda]:sw a0, 1528(ra)<br> |
| 383|[0x80004800]<br>0xFFFFFFFF|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                   |[0x80001cee]:c.or a0, a1<br> [0x80001cf0]:sw a0, 1532(ra)<br> |
| 384|[0x80004804]<br>0xAAAAAAAB|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                            |[0x80001d00]:c.or a0, a1<br> [0x80001d02]:sw a0, 1536(ra)<br> |
| 385|[0x80004808]<br>0x5555F555|- rs1_val==1431655765 and rs2_val==46341<br> - rs1_val == 1431655765<br>                                                                             |[0x80001d16]:c.or a0, a1<br> [0x80001d18]:sw a0, 1540(ra)<br> |
| 386|[0x8000480c]<br>0xFFFF5FFD|- rs1_val==1431655765 and rs2_val==-46339<br>                                                                                                        |[0x80001d2c]:c.or a0, a1<br> [0x80001d2e]:sw a0, 1544(ra)<br> |
| 387|[0x80004810]<br>0x77777777|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                    |[0x80001d42]:c.or a0, a1<br> [0x80001d44]:sw a0, 1548(ra)<br> |
| 388|[0x80004814]<br>0x77777775|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                     |[0x80001d58]:c.or a0, a1<br> [0x80001d5a]:sw a0, 1552(ra)<br> |
| 389|[0x80004818]<br>0x55555557|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                             |[0x80001d6a]:c.or a0, a1<br> [0x80001d6c]:sw a0, 1556(ra)<br> |
| 390|[0x8000481c]<br>0xFFFFFFFF|- rs1_val==1431655765 and rs2_val==-1431655765<br>                                                                                                   |[0x80001d80]:c.or a0, a1<br> [0x80001d82]:sw a0, 1560(ra)<br> |
| 391|[0x80004820]<br>0x55555557|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                    |[0x80001d96]:c.or a0, a1<br> [0x80001d98]:sw a0, 1564(ra)<br> |
| 392|[0x80004824]<br>0x55555555|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                             |[0x80001da8]:c.or a0, a1<br> [0x80001daa]:sw a0, 1568(ra)<br> |
| 393|[0x80004828]<br>0x5555F557|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                         |[0x80001dbe]:c.or a0, a1<br> [0x80001dc0]:sw a0, 1572(ra)<br> |
| 394|[0x8000482c]<br>0x55555555|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                             |[0x80001dd0]:c.or a0, a1<br> [0x80001dd2]:sw a0, 1576(ra)<br> |
| 395|[0x80004830]<br>0x77777775|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                    |[0x80001de6]:c.or a0, a1<br> [0x80001de8]:sw a0, 1580(ra)<br> |
| 396|[0x80004834]<br>0x77777777|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                     |[0x80001dfc]:c.or a0, a1<br> [0x80001dfe]:sw a0, 1584(ra)<br> |
| 397|[0x80004838]<br>0x55555555|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                    |[0x80001e12]:c.or a0, a1<br> [0x80001e14]:sw a0, 1588(ra)<br> |
| 398|[0x8000483c]<br>0x55555557|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                             |[0x80001e24]:c.or a0, a1<br> [0x80001e26]:sw a0, 1592(ra)<br> |
| 399|[0x80004840]<br>0x5555F555|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                         |[0x80001e3a]:c.or a0, a1<br> [0x80001e3c]:sw a0, 1596(ra)<br> |
| 400|[0x80004844]<br>0xFFFF5FFD|- rs1_val==1431655765 and rs2_val==-46340<br>                                                                                                        |[0x80001e50]:c.or a0, a1<br> [0x80001e52]:sw a0, 1600(ra)<br> |
| 401|[0x80004848]<br>0x77777777|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                    |[0x80001e66]:c.or a0, a1<br> [0x80001e68]:sw a0, 1604(ra)<br> |
| 402|[0x8000484c]<br>0x77777777|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                     |[0x80001e7c]:c.or a0, a1<br> [0x80001e7e]:sw a0, 1608(ra)<br> |
| 403|[0x80004850]<br>0x55555555|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                             |[0x80001e8e]:c.or a0, a1<br> [0x80001e90]:sw a0, 1612(ra)<br> |
| 404|[0x80004854]<br>0xFFFFFFFF|- rs1_val==1431655765 and rs2_val==-1431655766<br>                                                                                                   |[0x80001ea4]:c.or a0, a1<br> [0x80001ea6]:sw a0, 1616(ra)<br> |
| 405|[0x80004858]<br>0x55555555|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                    |[0x80001eba]:c.or a0, a1<br> [0x80001ebc]:sw a0, 1620(ra)<br> |
| 406|[0x8000485c]<br>0x55555557|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                             |[0x80001ecc]:c.or a0, a1<br> [0x80001ece]:sw a0, 1624(ra)<br> |
| 407|[0x80004860]<br>0x0000B507|- rs1_val==3 and rs2_val==46341<br>                                                                                                                  |[0x80001ede]:c.or a0, a1<br> [0x80001ee0]:sw a0, 1628(ra)<br> |
| 408|[0x80004864]<br>0xFFFF4AFF|- rs1_val==3 and rs2_val==-46339<br>                                                                                                                 |[0x80001ef0]:c.or a0, a1<br> [0x80001ef2]:sw a0, 1632(ra)<br> |
| 409|[0x80004868]<br>0x66666667|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                             |[0x80001f02]:c.or a0, a1<br> [0x80001f04]:sw a0, 1636(ra)<br> |
| 410|[0x8000486c]<br>0x33333337|- rs1_val==3 and rs2_val==858993460<br>                                                                                                              |[0x80001f14]:c.or a0, a1<br> [0x80001f16]:sw a0, 1640(ra)<br> |
| 411|[0x80004870]<br>0x00000007|- rs1_val==3 and rs2_val==6<br>                                                                                                                      |[0x80001f22]:c.or a0, a1<br> [0x80001f24]:sw a0, 1644(ra)<br> |
| 412|[0x80004874]<br>0xAAAAAAAB|- rs1_val==3 and rs2_val==-1431655765<br>                                                                                                            |[0x80001f34]:c.or a0, a1<br> [0x80001f36]:sw a0, 1648(ra)<br> |
| 413|[0x80004878]<br>0x55555557|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                             |[0x80001f46]:c.or a0, a1<br> [0x80001f48]:sw a0, 1652(ra)<br> |
| 414|[0x8000487c]<br>0x00000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                      |[0x80001f54]:c.or a0, a1<br> [0x80001f56]:sw a0, 1656(ra)<br> |
| 415|[0x80004880]<br>0x0000B503|- rs1_val==3 and rs2_val==46339<br>                                                                                                                  |[0x80001f66]:c.or a0, a1<br> [0x80001f68]:sw a0, 1660(ra)<br> |
| 416|[0x80004884]<br>0x00000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                      |[0x80001f74]:c.or a0, a1<br> [0x80001f76]:sw a0, 1664(ra)<br> |
| 417|[0x80004888]<br>0x66666667|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                             |[0x80001f86]:c.or a0, a1<br> [0x80001f88]:sw a0, 1668(ra)<br> |
| 418|[0x8000488c]<br>0x33333333|- rs1_val==3 and rs2_val==858993458<br>                                                                                                              |[0x80001f98]:c.or a0, a1<br> [0x80001f9a]:sw a0, 1672(ra)<br> |
| 419|[0x80004890]<br>0x55555557|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                             |[0x80001faa]:c.or a0, a1<br> [0x80001fac]:sw a0, 1676(ra)<br> |
| 420|[0x80004894]<br>0x00000003|- rs1_val==3 and rs2_val==2<br>                                                                                                                      |[0x80001fb8]:c.or a0, a1<br> [0x80001fba]:sw a0, 1680(ra)<br> |
| 421|[0x80004898]<br>0x0000B507|- rs1_val==3 and rs2_val==46340<br>                                                                                                                  |[0x80001fca]:c.or a0, a1<br> [0x80001fcc]:sw a0, 1684(ra)<br> |
| 422|[0x8000489c]<br>0xFFFF4AFF|- rs1_val==3 and rs2_val==-46340<br>                                                                                                                 |[0x80001fdc]:c.or a0, a1<br> [0x80001fde]:sw a0, 1688(ra)<br> |
| 423|[0x800048a0]<br>0x66666667|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                             |[0x80001fee]:c.or a0, a1<br> [0x80001ff0]:sw a0, 1692(ra)<br> |
| 424|[0x800048a4]<br>0x33333333|- rs1_val==3 and rs2_val==858993459<br>                                                                                                              |[0x80002000]:c.or a0, a1<br> [0x80002002]:sw a0, 1696(ra)<br> |
| 425|[0x800048a8]<br>0x00000007|- rs1_val==3 and rs2_val==5<br>                                                                                                                      |[0x8000200e]:c.or a0, a1<br> [0x80002010]:sw a0, 1700(ra)<br> |
| 426|[0x800048ac]<br>0xAAAAAAAB|- rs1_val==3 and rs2_val==-1431655766<br>                                                                                                            |[0x80002020]:c.or a0, a1<br> [0x80002022]:sw a0, 1704(ra)<br> |
| 427|[0x800048b0]<br>0x55555557|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                             |[0x80002032]:c.or a0, a1<br> [0x80002034]:sw a0, 1708(ra)<br> |
| 428|[0x800048b4]<br>0x00000003|- rs1_val==3 and rs2_val==3<br>                                                                                                                      |[0x80002040]:c.or a0, a1<br> [0x80002042]:sw a0, 1712(ra)<br> |
| 429|[0x800048b8]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                    |[0x80002056]:c.or a0, a1<br> [0x80002058]:sw a0, 1716(ra)<br> |
| 430|[0x800048bc]<br>0x77777777|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                     |[0x8000206c]:c.or a0, a1<br> [0x8000206e]:sw a0, 1720(ra)<br> |
| 431|[0x800048c0]<br>0x77777775|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                    |[0x80002082]:c.or a0, a1<br> [0x80002084]:sw a0, 1724(ra)<br> |
| 432|[0x800048c4]<br>0x66666667|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                             |[0x80002094]:c.or a0, a1<br> [0x80002096]:sw a0, 1728(ra)<br> |
| 433|[0x800048c8]<br>0x6666F765|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                         |[0x800020aa]:c.or a0, a1<br> [0x800020ac]:sw a0, 1732(ra)<br> |
| 434|[0x800048cc]<br>0xFFFF6EFD|- rs1_val==1717986917 and rs2_val==-46340<br>                                                                                                        |[0x800020c0]:c.or a0, a1<br> [0x800020c2]:sw a0, 1736(ra)<br> |
| 435|[0x800048d0]<br>0x66666667|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                    |[0x800020d6]:c.or a0, a1<br> [0x800020d8]:sw a0, 1740(ra)<br> |
| 436|[0x800048d4]<br>0x77777777|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                     |[0x800020ec]:c.or a0, a1<br> [0x800020ee]:sw a0, 1744(ra)<br> |
| 437|[0x800048d8]<br>0x66666665|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                             |[0x800020fe]:c.or a0, a1<br> [0x80002100]:sw a0, 1748(ra)<br> |
| 438|[0x800048dc]<br>0xEEEEEEEF|- rs1_val==1717986917 and rs2_val==-1431655766<br>                                                                                                   |[0x80002114]:c.or a0, a1<br> [0x80002116]:sw a0, 1752(ra)<br> |
| 439|[0x800048e0]<br>0x77777775|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                    |[0x8000212a]:c.or a0, a1<br> [0x8000212c]:sw a0, 1756(ra)<br> |
| 440|[0x800048e4]<br>0x66666667|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                             |[0x8000213c]:c.or a0, a1<br> [0x8000213e]:sw a0, 1760(ra)<br> |
| 441|[0x800048e8]<br>0x3333B737|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                          |[0x80002152]:c.or a0, a1<br> [0x80002154]:sw a0, 1764(ra)<br> |
| 442|[0x800048ec]<br>0xFFFF7BFF|- rs1_val==858993458 and rs2_val==-46339<br>                                                                                                         |[0x80002168]:c.or a0, a1<br> [0x8000216a]:sw a0, 1768(ra)<br> |
| 443|[0x800048f0]<br>0x77777777|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                     |[0x8000217e]:c.or a0, a1<br> [0x80002180]:sw a0, 1772(ra)<br> |
| 444|[0x800048f4]<br>0x33333336|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                      |[0x80002194]:c.or a0, a1<br> [0x80002196]:sw a0, 1776(ra)<br> |
| 445|[0x800048f8]<br>0x33333336|- rs1_val==858993458 and rs2_val==6<br>                                                                                                              |[0x800021a6]:c.or a0, a1<br> [0x800021a8]:sw a0, 1780(ra)<br> |
| 446|[0x800048fc]<br>0xBBBBBBBB|- rs1_val==858993458 and rs2_val==-1431655765<br>                                                                                                    |[0x800021bc]:c.or a0, a1<br> [0x800021be]:sw a0, 1784(ra)<br> |
| 447|[0x80004900]<br>0x77777776|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                     |[0x800021d2]:c.or a0, a1<br> [0x800021d4]:sw a0, 1788(ra)<br> |
| 448|[0x80004904]<br>0x33333336|- rs1_val==858993458 and rs2_val==4<br>                                                                                                              |[0x800021e4]:c.or a0, a1<br> [0x800021e6]:sw a0, 1792(ra)<br> |
| 449|[0x80004908]<br>0x3333B733|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                          |[0x800021fa]:c.or a0, a1<br> [0x800021fc]:sw a0, 1796(ra)<br> |
| 450|[0x8000490c]<br>0x33333332|- rs1_val==858993458 and rs2_val==0<br>                                                                                                              |[0x8000220c]:c.or a0, a1<br> [0x8000220e]:sw a0, 1800(ra)<br> |
| 451|[0x80004910]<br>0x77777777|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                     |[0x80002222]:c.or a0, a1<br> [0x80002224]:sw a0, 1804(ra)<br> |
| 452|[0x80004914]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                      |[0x80002238]:c.or a0, a1<br> [0x8000223a]:sw a0, 1808(ra)<br> |
| 453|[0x80004918]<br>0x77777776|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                     |[0x8000224e]:c.or a0, a1<br> [0x80002250]:sw a0, 1812(ra)<br> |
| 454|[0x8000491c]<br>0x33333332|- rs1_val==858993458 and rs2_val==2<br>                                                                                                              |[0x80002260]:c.or a0, a1<br> [0x80002262]:sw a0, 1816(ra)<br> |
| 455|[0x80004920]<br>0x3333B736|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                          |[0x80002276]:c.or a0, a1<br> [0x80002278]:sw a0, 1820(ra)<br> |
| 456|[0x80004924]<br>0xFFFF7BFE|- rs1_val==858993458 and rs2_val==-46340<br>                                                                                                         |[0x8000228c]:c.or a0, a1<br> [0x8000228e]:sw a0, 1824(ra)<br> |
| 457|[0x80004928]<br>0x77777776|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                     |[0x800022a2]:c.or a0, a1<br> [0x800022a4]:sw a0, 1828(ra)<br> |
| 458|[0x8000492c]<br>0x33333333|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                      |[0x800022b8]:c.or a0, a1<br> [0x800022ba]:sw a0, 1832(ra)<br> |
| 459|[0x80004930]<br>0x33333337|- rs1_val==858993458 and rs2_val==5<br>                                                                                                              |[0x800022ca]:c.or a0, a1<br> [0x800022cc]:sw a0, 1836(ra)<br> |
| 460|[0x80004934]<br>0xBBBBBBBA|- rs1_val==858993458 and rs2_val==-1431655766<br>                                                                                                    |[0x800022e0]:c.or a0, a1<br> [0x800022e2]:sw a0, 1840(ra)<br> |
| 461|[0x80004938]<br>0x77777777|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                     |[0x800022f6]:c.or a0, a1<br> [0x800022f8]:sw a0, 1844(ra)<br> |
| 462|[0x8000493c]<br>0x33333333|- rs1_val==858993458 and rs2_val==3<br>                                                                                                              |[0x80002308]:c.or a0, a1<br> [0x8000230a]:sw a0, 1848(ra)<br> |
| 463|[0x80004940]<br>0x5555F555|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                         |[0x8000231e]:c.or a0, a1<br> [0x80002320]:sw a0, 1852(ra)<br> |
| 464|[0x80004944]<br>0xFFFF5FFD|- rs1_val==1431655764 and rs2_val==-46339<br>                                                                                                        |[0x80002334]:c.or a0, a1<br> [0x80002336]:sw a0, 1856(ra)<br> |
| 465|[0x80004948]<br>0x77777777|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                    |[0x8000234a]:c.or a0, a1<br> [0x8000234c]:sw a0, 1860(ra)<br> |
| 466|[0x8000494c]<br>0x77777774|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                     |[0x80002360]:c.or a0, a1<br> [0x80002362]:sw a0, 1864(ra)<br> |
| 467|[0x80004950]<br>0x55555556|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                             |[0x80002372]:c.or a0, a1<br> [0x80002374]:sw a0, 1868(ra)<br> |
| 468|[0x80004954]<br>0xFFFFFFFF|- rs1_val==1431655764 and rs2_val==-1431655765<br>                                                                                                   |[0x80002388]:c.or a0, a1<br> [0x8000238a]:sw a0, 1872(ra)<br> |
| 469|[0x80004958]<br>0x55555556|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                    |[0x8000239e]:c.or a0, a1<br> [0x800023a0]:sw a0, 1876(ra)<br> |
| 470|[0x8000495c]<br>0x55555554|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                             |[0x800023b0]:c.or a0, a1<br> [0x800023b2]:sw a0, 1880(ra)<br> |
| 471|[0x80004960]<br>0x5555F557|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                         |[0x800023c6]:c.or a0, a1<br> [0x800023c8]:sw a0, 1884(ra)<br> |
| 472|[0x80004964]<br>0x55555554|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                             |[0x800023d8]:c.or a0, a1<br> [0x800023da]:sw a0, 1888(ra)<br> |
| 473|[0x80004968]<br>0x77777775|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                    |[0x800023ee]:c.or a0, a1<br> [0x800023f0]:sw a0, 1892(ra)<br> |
| 474|[0x8000496c]<br>0x77777776|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                     |[0x80002404]:c.or a0, a1<br> [0x80002406]:sw a0, 1896(ra)<br> |
| 475|[0x80004970]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                    |[0x8000241a]:c.or a0, a1<br> [0x8000241c]:sw a0, 1900(ra)<br> |
| 476|[0x80004974]<br>0x55555556|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                             |[0x8000242c]:c.or a0, a1<br> [0x8000242e]:sw a0, 1904(ra)<br> |
| 477|[0x80004978]<br>0x5555F554|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                         |[0x80002442]:c.or a0, a1<br> [0x80002444]:sw a0, 1908(ra)<br> |
| 478|[0x8000497c]<br>0xFFFF5FFC|- rs1_val==1431655764 and rs2_val==-46340<br>                                                                                                        |[0x80002458]:c.or a0, a1<br> [0x8000245a]:sw a0, 1912(ra)<br> |
| 479|[0x80004980]<br>0x77777776|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                    |[0x8000246e]:c.or a0, a1<br> [0x80002470]:sw a0, 1916(ra)<br> |
| 480|[0x80004984]<br>0x77777777|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                     |[0x80002484]:c.or a0, a1<br> [0x80002486]:sw a0, 1920(ra)<br> |
| 481|[0x80004988]<br>0x55555555|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                             |[0x80002496]:c.or a0, a1<br> [0x80002498]:sw a0, 1924(ra)<br> |
| 482|[0x8000498c]<br>0xFFFFFFFE|- rs1_val==1431655764 and rs2_val==-1431655766<br>                                                                                                   |[0x800024ac]:c.or a0, a1<br> [0x800024ae]:sw a0, 1928(ra)<br> |
| 483|[0x80004990]<br>0x55555555|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                    |[0x800024c2]:c.or a0, a1<br> [0x800024c4]:sw a0, 1932(ra)<br> |
| 484|[0x80004994]<br>0x55555557|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                             |[0x800024d4]:c.or a0, a1<br> [0x800024d6]:sw a0, 1936(ra)<br> |
| 485|[0x80004998]<br>0x0000B507|- rs1_val==2 and rs2_val==46341<br>                                                                                                                  |[0x800024e6]:c.or a0, a1<br> [0x800024e8]:sw a0, 1940(ra)<br> |
| 486|[0x8000499c]<br>0xFFFF4AFF|- rs1_val==2 and rs2_val==-46339<br>                                                                                                                 |[0x800024f8]:c.or a0, a1<br> [0x800024fa]:sw a0, 1944(ra)<br> |
| 487|[0x800049a0]<br>0x66666667|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                             |[0x8000250a]:c.or a0, a1<br> [0x8000250c]:sw a0, 1948(ra)<br> |
| 488|[0x800049a4]<br>0x33333336|- rs1_val==2 and rs2_val==858993460<br>                                                                                                              |[0x8000251c]:c.or a0, a1<br> [0x8000251e]:sw a0, 1952(ra)<br> |
| 489|[0x800049a8]<br>0x00000006|- rs1_val==2 and rs2_val==6<br>                                                                                                                      |[0x8000252a]:c.or a0, a1<br> [0x8000252c]:sw a0, 1956(ra)<br> |
| 490|[0x800049ac]<br>0xAAAAAAAB|- rs1_val==2 and rs2_val==-1431655765<br>                                                                                                            |[0x8000253c]:c.or a0, a1<br> [0x8000253e]:sw a0, 1960(ra)<br> |
| 491|[0x800049b0]<br>0x55555556|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                             |[0x8000254e]:c.or a0, a1<br> [0x80002550]:sw a0, 1964(ra)<br> |
| 492|[0x800049b4]<br>0x00000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                      |[0x8000255c]:c.or a0, a1<br> [0x8000255e]:sw a0, 1968(ra)<br> |
| 493|[0x800049b8]<br>0x0000B503|- rs1_val==2 and rs2_val==46339<br>                                                                                                                  |[0x8000256e]:c.or a0, a1<br> [0x80002570]:sw a0, 1972(ra)<br> |
| 494|[0x800049bc]<br>0x00000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                      |[0x8000257c]:c.or a0, a1<br> [0x8000257e]:sw a0, 1976(ra)<br> |
| 495|[0x800049c0]<br>0x66666667|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                             |[0x8000258e]:c.or a0, a1<br> [0x80002590]:sw a0, 1980(ra)<br> |
| 496|[0x800049c4]<br>0x33333332|- rs1_val==2 and rs2_val==858993458<br>                                                                                                              |[0x800025a0]:c.or a0, a1<br> [0x800025a2]:sw a0, 1984(ra)<br> |
| 497|[0x800049c8]<br>0x55555556|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                             |[0x800025b2]:c.or a0, a1<br> [0x800025b4]:sw a0, 1988(ra)<br> |
| 498|[0x800049cc]<br>0x00000002|- rs1_val==2 and rs2_val==2<br>                                                                                                                      |[0x800025c0]:c.or a0, a1<br> [0x800025c2]:sw a0, 1992(ra)<br> |
| 499|[0x800049d0]<br>0x0000B506|- rs1_val==2 and rs2_val==46340<br>                                                                                                                  |[0x800025d2]:c.or a0, a1<br> [0x800025d4]:sw a0, 1996(ra)<br> |
| 500|[0x800049d4]<br>0xFFFF4AFE|- rs1_val==2 and rs2_val==-46340<br>                                                                                                                 |[0x800025e4]:c.or a0, a1<br> [0x800025e6]:sw a0, 2000(ra)<br> |
| 501|[0x800049d8]<br>0x66666666|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                             |[0x800025f6]:c.or a0, a1<br> [0x800025f8]:sw a0, 2004(ra)<br> |
| 502|[0x800049dc]<br>0x33333333|- rs1_val==2 and rs2_val==858993459<br>                                                                                                              |[0x80002608]:c.or a0, a1<br> [0x8000260a]:sw a0, 2008(ra)<br> |
| 503|[0x800049e0]<br>0x00000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                      |[0x80002616]:c.or a0, a1<br> [0x80002618]:sw a0, 2012(ra)<br> |
| 504|[0x800049e4]<br>0xAAAAAAAA|- rs1_val==2 and rs2_val==-1431655766<br>                                                                                                            |[0x80002628]:c.or a0, a1<br> [0x8000262a]:sw a0, 2016(ra)<br> |
| 505|[0x800049e8]<br>0x55555557|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                             |[0x8000263a]:c.or a0, a1<br> [0x8000263c]:sw a0, 2020(ra)<br> |
| 506|[0x800049ec]<br>0x00000003|- rs1_val==2 and rs2_val==3<br>                                                                                                                      |[0x80002648]:c.or a0, a1<br> [0x8000264a]:sw a0, 2024(ra)<br> |
| 507|[0x800049f0]<br>0x0000B505|- rs1_val==46340 and rs2_val==46341<br>                                                                                                              |[0x8000265e]:c.or a0, a1<br> [0x80002660]:sw a0, 2028(ra)<br> |
| 508|[0x800049f4]<br>0xFFFFFFFD|- rs1_val==46340 and rs2_val==-46339<br>                                                                                                             |[0x80002674]:c.or a0, a1<br> [0x80002676]:sw a0, 2032(ra)<br> |
| 509|[0x800049f8]<br>0x6666F767|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                         |[0x8000268a]:c.or a0, a1<br> [0x8000268c]:sw a0, 2036(ra)<br> |
| 510|[0x800049fc]<br>0x3333B734|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                          |[0x800026a0]:c.or a0, a1<br> [0x800026a2]:sw a0, 2040(ra)<br> |
| 511|[0x80004a00]<br>0x0000B506|- rs1_val==46340 and rs2_val==6<br>                                                                                                                  |[0x800026b2]:c.or a0, a1<br> [0x800026b4]:sw a0, 2044(ra)<br> |
| 512|[0x80004a04]<br>0xAAAABFAF|- rs1_val==46340 and rs2_val==-1431655765<br>                                                                                                        |[0x800026d0]:c.or a0, a1<br> [0x800026d2]:sw a0, 0(ra)<br>    |
| 513|[0x80004a08]<br>0x5555F556|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                         |[0x800026e6]:c.or a0, a1<br> [0x800026e8]:sw a0, 4(ra)<br>    |
| 514|[0x80004a0c]<br>0x0000B504|- rs1_val==46340 and rs2_val==4<br>                                                                                                                  |[0x800026f8]:c.or a0, a1<br> [0x800026fa]:sw a0, 8(ra)<br>    |
| 515|[0x80004a10]<br>0x0000B507|- rs1_val==46340 and rs2_val==46339<br>                                                                                                              |[0x8000270e]:c.or a0, a1<br> [0x80002710]:sw a0, 12(ra)<br>   |
| 516|[0x80004a14]<br>0x0000B504|- rs1_val==46340 and rs2_val==0<br>                                                                                                                  |[0x80002720]:c.or a0, a1<br> [0x80002722]:sw a0, 16(ra)<br>   |
| 517|[0x80004a18]<br>0x6666F765|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                         |[0x80002736]:c.or a0, a1<br> [0x80002738]:sw a0, 20(ra)<br>   |
| 518|[0x80004a1c]<br>0x3333B736|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                          |[0x8000274c]:c.or a0, a1<br> [0x8000274e]:sw a0, 24(ra)<br>   |
| 519|[0x80004a20]<br>0x5555F554|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                         |[0x80002762]:c.or a0, a1<br> [0x80002764]:sw a0, 28(ra)<br>   |
| 520|[0x80004a24]<br>0x0000B506|- rs1_val==46340 and rs2_val==2<br>                                                                                                                  |[0x80002774]:c.or a0, a1<br> [0x80002776]:sw a0, 32(ra)<br>   |
| 521|[0x80004a28]<br>0x0000B504|- rs1_val==46340 and rs2_val==46340<br>                                                                                                              |[0x8000278a]:c.or a0, a1<br> [0x8000278c]:sw a0, 36(ra)<br>   |
| 522|[0x80004a2c]<br>0xFFFFFFFC|- rs1_val==46340 and rs2_val==-46340<br>                                                                                                             |[0x800027a0]:c.or a0, a1<br> [0x800027a2]:sw a0, 40(ra)<br>   |
| 523|[0x80004a30]<br>0x6666F766|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                         |[0x800027b6]:c.or a0, a1<br> [0x800027b8]:sw a0, 44(ra)<br>   |
| 524|[0x80004a34]<br>0x3333B737|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                          |[0x800027cc]:c.or a0, a1<br> [0x800027ce]:sw a0, 48(ra)<br>   |
| 525|[0x80004a38]<br>0x0000B505|- rs1_val==46340 and rs2_val==5<br>                                                                                                                  |[0x800027de]:c.or a0, a1<br> [0x800027e0]:sw a0, 52(ra)<br>   |
| 526|[0x80004a3c]<br>0xAAAABFAE|- rs1_val==46340 and rs2_val==-1431655766<br>                                                                                                        |[0x800027f4]:c.or a0, a1<br> [0x800027f6]:sw a0, 56(ra)<br>   |
| 527|[0x80004a40]<br>0x5555F555|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                         |[0x8000280a]:c.or a0, a1<br> [0x8000280c]:sw a0, 60(ra)<br>   |
| 528|[0x80004a44]<br>0x0000B507|- rs1_val==46340 and rs2_val==3<br>                                                                                                                  |[0x8000281c]:c.or a0, a1<br> [0x8000281e]:sw a0, 64(ra)<br>   |
| 529|[0x80004a48]<br>0xFFFFFFFD|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                             |[0x80002832]:c.or a0, a1<br> [0x80002834]:sw a0, 68(ra)<br>   |
| 530|[0x80004a4c]<br>0xFFFF4AFD|- rs1_val==-46340 and rs2_val==-46339<br>                                                                                                            |[0x80002848]:c.or a0, a1<br> [0x8000284a]:sw a0, 72(ra)<br>   |
| 531|[0x80004a50]<br>0xFFFF6EFF|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                        |[0x8000285e]:c.or a0, a1<br> [0x80002860]:sw a0, 76(ra)<br>   |
| 532|[0x80004a54]<br>0xFFFF7BFC|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                         |[0x80002874]:c.or a0, a1<br> [0x80002876]:sw a0, 80(ra)<br>   |
| 533|[0x80004a58]<br>0xFFFF4AFE|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                 |[0x80002886]:c.or a0, a1<br> [0x80002888]:sw a0, 84(ra)<br>   |
| 534|[0x80004a5c]<br>0xFFFFEAFF|- rs1_val==-46340 and rs2_val==-1431655765<br>                                                                                                       |[0x8000289c]:c.or a0, a1<br> [0x8000289e]:sw a0, 88(ra)<br>   |
| 535|[0x80004a60]<br>0xFFFF5FFE|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                        |[0x800028b2]:c.or a0, a1<br> [0x800028b4]:sw a0, 92(ra)<br>   |
| 536|[0x80004a64]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                 |[0x800028c4]:c.or a0, a1<br> [0x800028c6]:sw a0, 96(ra)<br>   |
| 537|[0x80004a68]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                             |[0x800028da]:c.or a0, a1<br> [0x800028dc]:sw a0, 100(ra)<br>  |
| 538|[0x80004a6c]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                 |[0x800028ec]:c.or a0, a1<br> [0x800028ee]:sw a0, 104(ra)<br>  |
| 539|[0x80004a70]<br>0xFFFF6EFD|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                        |[0x80002902]:c.or a0, a1<br> [0x80002904]:sw a0, 108(ra)<br>  |
| 540|[0x80004a74]<br>0xFFFF7BFE|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                         |[0x80002918]:c.or a0, a1<br> [0x8000291a]:sw a0, 112(ra)<br>  |
| 541|[0x80004a78]<br>0xFFFF5FFC|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                        |[0x8000292e]:c.or a0, a1<br> [0x80002930]:sw a0, 116(ra)<br>  |
| 542|[0x80004a7c]<br>0xFFFF4AFE|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                 |[0x80002940]:c.or a0, a1<br> [0x80002942]:sw a0, 120(ra)<br>  |
| 543|[0x80004a80]<br>0xFFFFFFFC|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                             |[0x80002956]:c.or a0, a1<br> [0x80002958]:sw a0, 124(ra)<br>  |
| 544|[0x80004a84]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==-46340<br>                                                                                                            |[0x8000296c]:c.or a0, a1<br> [0x8000296e]:sw a0, 128(ra)<br>  |
| 545|[0x80004a88]<br>0xFFFF6EFE|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                        |[0x80002982]:c.or a0, a1<br> [0x80002984]:sw a0, 132(ra)<br>  |
| 546|[0x80004a8c]<br>0xFFFF7BFF|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                         |[0x80002998]:c.or a0, a1<br> [0x8000299a]:sw a0, 136(ra)<br>  |
| 547|[0x80004a90]<br>0xFFFF4AFD|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                 |[0x800029aa]:c.or a0, a1<br> [0x800029ac]:sw a0, 140(ra)<br>  |
| 548|[0x80004a94]<br>0xFFFFEAFE|- rs1_val==-46340 and rs2_val==-1431655766<br>                                                                                                       |[0x800029c0]:c.or a0, a1<br> [0x800029c2]:sw a0, 144(ra)<br>  |
| 549|[0x80004a98]<br>0xFFFF5FFD|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                        |[0x800029d6]:c.or a0, a1<br> [0x800029d8]:sw a0, 148(ra)<br>  |
| 550|[0x80004a9c]<br>0xFFFF4AFF|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                 |[0x800029e8]:c.or a0, a1<br> [0x800029ea]:sw a0, 152(ra)<br>  |
| 551|[0x80004aa0]<br>0x6666F767|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                         |[0x800029fe]:c.or a0, a1<br> [0x80002a00]:sw a0, 156(ra)<br>  |
| 552|[0x80004aa4]<br>0xFFFF6EFF|- rs1_val==1717986918 and rs2_val==-46339<br>                                                                                                        |[0x80002a14]:c.or a0, a1<br> [0x80002a16]:sw a0, 160(ra)<br>  |
| 553|[0x80004aa8]<br>0x66666667|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                    |[0x80002a2a]:c.or a0, a1<br> [0x80002a2c]:sw a0, 164(ra)<br>  |
| 554|[0x80004aac]<br>0x77777776|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                     |[0x80002a40]:c.or a0, a1<br> [0x80002a42]:sw a0, 168(ra)<br>  |
| 555|[0x80004ab0]<br>0x66666666|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                             |[0x80002a52]:c.or a0, a1<br> [0x80002a54]:sw a0, 172(ra)<br>  |
| 556|[0x80004ab4]<br>0xEEEEEEEF|- rs1_val==1717986918 and rs2_val==-1431655765<br>                                                                                                   |[0x80002a68]:c.or a0, a1<br> [0x80002a6a]:sw a0, 176(ra)<br>  |
| 557|[0x80004ab8]<br>0x77777776|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                    |[0x80002a7e]:c.or a0, a1<br> [0x80002a80]:sw a0, 180(ra)<br>  |
| 558|[0x80004abc]<br>0x66666666|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                             |[0x80002a90]:c.or a0, a1<br> [0x80002a92]:sw a0, 184(ra)<br>  |
| 559|[0x80004ac0]<br>0x6666F767|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                         |[0x80002aa6]:c.or a0, a1<br> [0x80002aa8]:sw a0, 188(ra)<br>  |
| 560|[0x80004ac4]<br>0x66666666|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                             |[0x80002ab8]:c.or a0, a1<br> [0x80002aba]:sw a0, 192(ra)<br>  |
| 561|[0x80004ac8]<br>0x66666667|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                    |[0x80002ace]:c.or a0, a1<br> [0x80002ad0]:sw a0, 196(ra)<br>  |
| 562|[0x80004acc]<br>0x77777776|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                     |[0x80002ae4]:c.or a0, a1<br> [0x80002ae6]:sw a0, 200(ra)<br>  |
| 563|[0x80004ad0]<br>0x77777776|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                    |[0x80002afa]:c.or a0, a1<br> [0x80002afc]:sw a0, 204(ra)<br>  |
| 564|[0x80004ad4]<br>0x66666666|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                             |[0x80002b0c]:c.or a0, a1<br> [0x80002b0e]:sw a0, 208(ra)<br>  |
| 565|[0x80004ad8]<br>0x6666F766|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                         |[0x80002b22]:c.or a0, a1<br> [0x80002b24]:sw a0, 212(ra)<br>  |
| 566|[0x80004adc]<br>0xFFFF6EFE|- rs1_val==1717986918 and rs2_val==-46340<br>                                                                                                        |[0x80002b38]:c.or a0, a1<br> [0x80002b3a]:sw a0, 216(ra)<br>  |
| 567|[0x80004ae0]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                    |[0x80002b4e]:c.or a0, a1<br> [0x80002b50]:sw a0, 220(ra)<br>  |
| 568|[0x80004ae4]<br>0x77777777|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                     |[0x80002b64]:c.or a0, a1<br> [0x80002b66]:sw a0, 224(ra)<br>  |
| 569|[0x80004ae8]<br>0x66666667|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                             |[0x80002b76]:c.or a0, a1<br> [0x80002b78]:sw a0, 228(ra)<br>  |
| 570|[0x80004aec]<br>0xEEEEEEEE|- rs1_val==1717986918 and rs2_val==-1431655766<br>                                                                                                   |[0x80002b8c]:c.or a0, a1<br> [0x80002b8e]:sw a0, 232(ra)<br>  |
| 571|[0x80004af0]<br>0x77777777|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                    |[0x80002ba2]:c.or a0, a1<br> [0x80002ba4]:sw a0, 236(ra)<br>  |
| 572|[0x80004af4]<br>0x66666667|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                             |[0x80002bb4]:c.or a0, a1<br> [0x80002bb6]:sw a0, 240(ra)<br>  |
| 573|[0x80004af8]<br>0x3333B737|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                          |[0x80002bca]:c.or a0, a1<br> [0x80002bcc]:sw a0, 244(ra)<br>  |
| 574|[0x80004afc]<br>0xFFFF7BFF|- rs1_val==858993459 and rs2_val==-46339<br>                                                                                                         |[0x80002be0]:c.or a0, a1<br> [0x80002be2]:sw a0, 248(ra)<br>  |
| 575|[0x80004b00]<br>0x77777777|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                     |[0x80002bf6]:c.or a0, a1<br> [0x80002bf8]:sw a0, 252(ra)<br>  |
| 576|[0x80004b04]<br>0x33333337|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                      |[0x80002c0c]:c.or a0, a1<br> [0x80002c0e]:sw a0, 256(ra)<br>  |
| 577|[0x80004b08]<br>0x33333337|- rs1_val==858993459 and rs2_val==6<br>                                                                                                              |[0x80002c1e]:c.or a0, a1<br> [0x80002c20]:sw a0, 260(ra)<br>  |
| 578|[0x80004b0c]<br>0xBBBBBBBB|- rs1_val==858993459 and rs2_val==-1431655765<br>                                                                                                    |[0x80002c34]:c.or a0, a1<br> [0x80002c36]:sw a0, 264(ra)<br>  |
| 579|[0x80004b10]<br>0x77777777|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                     |[0x80002c4a]:c.or a0, a1<br> [0x80002c4c]:sw a0, 268(ra)<br>  |
| 580|[0x80004b14]<br>0x33333337|- rs1_val==858993459 and rs2_val==4<br>                                                                                                              |[0x80002c5c]:c.or a0, a1<br> [0x80002c5e]:sw a0, 272(ra)<br>  |
| 581|[0x80004b18]<br>0x3333B733|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                          |[0x80002c72]:c.or a0, a1<br> [0x80002c74]:sw a0, 276(ra)<br>  |
