
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80006fc0')]      |
| SIG_REGION                | [('0x80008010', '0x80009540', '678 dwords')]      |
| COV_LABELS                | caddw      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/caddw-01.S/caddw-01.S    |
| Total Number of coverpoints| 771     |
| Total Coverpoints Hit     | 771      |
| Total Signature Updates   | 678      |
| STAT1                     | 678      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                             coverpoints                                                                                             |                              code                              |
|---:|----------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------|
|   1|[0x80008010]<br>0xFFFFFFFFFFFFFFFF|- opcode : c.addw<br> - rs1 : x10<br> - rs2 : x15<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -9223372036854775808<br> - rs1_val == -4611686018427387905<br> |[0x800003ac]:c.addw a0, a5<br> [0x800003ae]:sd a0, 0(ra)<br>    |
|   2|[0x80008018]<br>0xFFFFFFFFFFFFFFEC|- rs1 : x9<br> - rs2 : x9<br> - rs1 == rs2<br>                                                                                                                                                       |[0x800003ba]:c.addw s1, s1<br> [0x800003bc]:sd s1, 8(ra)<br>    |
|   3|[0x80008020]<br>0x000000007FFFFFFE|- rs1 : x15<br> - rs2 : x13<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val > 0<br> - rs2_val == 9223372036854775807<br> - rs1_val == -2147483649<br>                                                 |[0x800003d8]:c.addw a5, a3<br> [0x800003da]:sd a5, 16(ra)<br>   |
|   4|[0x80008028]<br>0xFFFFFFFFFFFFF800|- rs1 : x8<br> - rs2 : x10<br> - rs2_val == 1<br> - rs1_val == -2049<br>                                                                                                                             |[0x800003ea]:c.addw s0, a0<br> [0x800003ec]:sd fp, 24(ra)<br>   |
|   5|[0x80008030]<br>0xFFFFFFFFFFFFFFFD|- rs1 : x13<br> - rs2 : x12<br> - rs1_val == (-2**(xlen-1))<br> - rs2_val == -3<br> - rs1_val == -9223372036854775808<br>                                                                            |[0x800003fc]:c.addw a3, a2<br> [0x800003fe]:sd a3, 32(ra)<br>   |
|   6|[0x80008038]<br>0x0000000000000100|- rs1 : x12<br> - rs2 : x14<br> - rs1_val == 0<br> - rs2_val == 256<br>                                                                                                                              |[0x8000040a]:c.addw a2, a4<br> [0x8000040c]:sd a2, 40(ra)<br>   |
|   7|[0x80008040]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x14<br> - rs2 : x8<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == 18014398509481984<br> - rs1_val == 9223372036854775807<br>                                                              |[0x80000424]:c.addw a4, s0<br> [0x80000426]:sd a4, 48(ra)<br>   |
|   8|[0x80008048]<br>0x0000000000000000|- rs1 : x11<br> - rs1_val == 1<br> - rs2_val == -8589934593<br>                                                                                                                                      |[0x8000043a]:c.addw a1, a0<br> [0x8000043c]:sd a1, 56(ra)<br>   |
|   9|[0x80008050]<br>0x0000000000000001|- rs2 : x11<br> - rs2_val == 2<br> - rs1_val == -140737488355329<br>                                                                                                                                 |[0x80000450]:c.addw a3, a1<br> [0x80000452]:sd a3, 64(ra)<br>   |
|  10|[0x80008058]<br>0x0000000000000003|- rs2_val == 4<br>                                                                                                                                                                                   |[0x80000466]:c.addw a0, a1<br> [0x80000468]:sd a0, 72(ra)<br>   |
|  11|[0x80008060]<br>0x0000000040000008|- rs2_val == 8<br> - rs1_val == 1073741824<br>                                                                                                                                                       |[0x80000474]:c.addw a0, a1<br> [0x80000476]:sd a0, 80(ra)<br>   |
|  12|[0x80008068]<br>0x0000000066666677|- rs2_val == 16<br>                                                                                                                                                                                  |[0x8000049e]:c.addw a0, a1<br> [0x800004a0]:sd a0, 88(ra)<br>   |
|  13|[0x80008070]<br>0x0000000000000020|- rs2_val == 32<br> - rs1_val == 8589934592<br>                                                                                                                                                      |[0x800004b0]:c.addw a0, a1<br> [0x800004b2]:sd a0, 96(ra)<br>   |
|  14|[0x80008078]<br>0x000000000000003F|- rs2_val == 64<br> - rs1_val == -2199023255553<br>                                                                                                                                                  |[0x800004c6]:c.addw a0, a1<br> [0x800004c8]:sd a0, 104(ra)<br>  |
|  15|[0x80008080]<br>0x00000000333333B2|- rs2_val == 128<br>                                                                                                                                                                                 |[0x800004f0]:c.addw a0, a1<br> [0x800004f2]:sd a0, 112(ra)<br>  |
|  16|[0x80008088]<br>0xFFFFFFFFFFF001FF|- rs2_val == 512<br> - rs1_val == -1048577<br>                                                                                                                                                       |[0x80000502]:c.addw a0, a1<br> [0x80000504]:sd a0, 120(ra)<br>  |
|  17|[0x80008090]<br>0x0000000000000400|- rs2_val == 1024<br>                                                                                                                                                                                |[0x80000510]:c.addw a0, a1<br> [0x80000512]:sd a0, 128(ra)<br>  |
|  18|[0x80008098]<br>0x0000000002000800|- rs2_val == 2048<br> - rs1_val == 33554432<br>                                                                                                                                                      |[0x80000522]:c.addw a0, a1<br> [0x80000524]:sd a0, 136(ra)<br>  |
|  19|[0x800080a0]<br>0x0000000000001004|- rs2_val == 4096<br> - rs1_val == 4<br>                                                                                                                                                             |[0x80000530]:c.addw a0, a1<br> [0x80000532]:sd a0, 144(ra)<br>  |
|  20|[0x800080a8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 8192<br> - rs1_val == -8193<br>                                                                                                                                                         |[0x80000542]:c.addw a0, a1<br> [0x80000544]:sd a0, 152(ra)<br>  |
|  21|[0x800080b0]<br>0x0000000000004005|- rs2_val == 16384<br>                                                                                                                                                                               |[0x80000550]:c.addw a0, a1<br> [0x80000552]:sd a0, 160(ra)<br>  |
|  22|[0x800080b8]<br>0x0000000000008000|- rs2_val == 32768<br>                                                                                                                                                                               |[0x80000562]:c.addw a0, a1<br> [0x80000564]:sd a0, 168(ra)<br>  |
|  23|[0x800080c0]<br>0x000000000000FFFF|- rs2_val == 65536<br> - rs1_val == -35184372088833<br>                                                                                                                                              |[0x80000578]:c.addw a0, a1<br> [0x8000057a]:sd a0, 176(ra)<br>  |
|  24|[0x800080c8]<br>0x000000004AFD0CCD|- rs2_val == 131072<br>                                                                                                                                                                              |[0x80000592]:c.addw a0, a1<br> [0x80000594]:sd a0, 184(ra)<br>  |
|  25|[0x800080d0]<br>0x0000000000040003|- rs2_val == 262144<br>                                                                                                                                                                              |[0x800005a0]:c.addw a0, a1<br> [0x800005a2]:sd a0, 192(ra)<br>  |
|  26|[0x800080d8]<br>0x0000000000080000|- rs2_val == 524288<br>                                                                                                                                                                              |[0x800005ae]:c.addw a0, a1<br> [0x800005b0]:sd a0, 200(ra)<br>  |
|  27|[0x800080e0]<br>0x0000000000100000|- rs2_val == 1048576<br> - rs1_val == 274877906944<br>                                                                                                                                               |[0x800005c0]:c.addw a0, a1<br> [0x800005c2]:sd a0, 208(ra)<br>  |
|  28|[0x800080e8]<br>0x0000000000200000|- rs2_val == 2097152<br>                                                                                                                                                                             |[0x800005d2]:c.addw a0, a1<br> [0x800005d4]:sd a0, 216(ra)<br>  |
|  29|[0x800080f0]<br>0x00000000003FFFFF|- rs2_val == 4194304<br> - rs1_val == -137438953473<br>                                                                                                                                              |[0x800005e8]:c.addw a0, a1<br> [0x800005ea]:sd a0, 224(ra)<br>  |
|  30|[0x800080f8]<br>0x0000000000800000|- rs2_val == 8388608<br> - rs1_val == 17179869184<br>                                                                                                                                                |[0x800005fa]:c.addw a0, a1<br> [0x800005fc]:sd a0, 232(ra)<br>  |
|  31|[0x80008100]<br>0x0000000000FFFFF9|- rs2_val == 16777216<br>                                                                                                                                                                            |[0x80000608]:c.addw a0, a1<br> [0x8000060a]:sd a0, 240(ra)<br>  |
|  32|[0x80008108]<br>0x0000000001FFFFFA|- rs2_val == 33554432<br>                                                                                                                                                                            |[0x80000616]:c.addw a0, a1<br> [0x80000618]:sd a0, 248(ra)<br>  |
|  33|[0x80008110]<br>0x0000000008000000|- rs2_val == 67108864<br> - rs1_val == 67108864<br>                                                                                                                                                  |[0x80000624]:c.addw a0, a1<br> [0x80000626]:sd a0, 256(ra)<br>  |
|  34|[0x80008118]<br>0x0000000007FFFFFC|- rs2_val == 134217728<br>                                                                                                                                                                           |[0x80000632]:c.addw a0, a1<br> [0x80000634]:sd a0, 264(ra)<br>  |
|  35|[0x80008120]<br>0x0000000011000000|- rs2_val == 268435456<br> - rs1_val == 16777216<br>                                                                                                                                                 |[0x80000640]:c.addw a0, a1<br> [0x80000642]:sd a0, 272(ra)<br>  |
|  36|[0x80008128]<br>0x0000000075555555|- rs2_val == 536870912<br> - rs1_val == 6148914691236517205<br>                                                                                                                                      |[0x8000066a]:c.addw a0, a1<br> [0x8000066c]:sd a0, 280(ra)<br>  |
|  37|[0x80008130]<br>0x0000000040000006|- rs2_val == 1073741824<br>                                                                                                                                                                          |[0x80000678]:c.addw a0, a1<br> [0x8000067a]:sd a0, 288(ra)<br>  |
|  38|[0x80008138]<br>0x000000007FFFFFFF|- rs2_val == 2147483648<br> - rs1_val == -36028797018963969<br>                                                                                                                                      |[0x80000692]:c.addw a0, a1<br> [0x80000694]:sd a0, 296(ra)<br>  |
|  39|[0x80008140]<br>0x0000000001000000|- rs2_val == 4294967296<br>                                                                                                                                                                          |[0x800006a4]:c.addw a0, a1<br> [0x800006a6]:sd a0, 304(ra)<br>  |
|  40|[0x80008148]<br>0xFFFFFFFFFFFEFFFF|- rs2_val == 8589934592<br> - rs1_val == -65537<br>                                                                                                                                                  |[0x800006ba]:c.addw a0, a1<br> [0x800006bc]:sd a0, 312(ra)<br>  |
|  41|[0x80008150]<br>0x0000000000000000|- rs2_val == 17179869184<br>                                                                                                                                                                         |[0x800006cc]:c.addw a0, a1<br> [0x800006ce]:sd a0, 320(ra)<br>  |
|  42|[0x80008158]<br>0xFFFFFFFFFDFFFFFF|- rs2_val == 34359738368<br> - rs1_val == -33554433<br>                                                                                                                                              |[0x800006e2]:c.addw a0, a1<br> [0x800006e4]:sd a0, 328(ra)<br>  |
|  43|[0x80008160]<br>0x0000000000000004|- rs2_val == 68719476736<br>                                                                                                                                                                         |[0x800006f4]:c.addw a0, a1<br> [0x800006f6]:sd a0, 336(ra)<br>  |
|  44|[0x80008168]<br>0xFFFFFFFFFFFFFFF8|- rs2_val == 137438953472<br>                                                                                                                                                                        |[0x80000706]:c.addw a0, a1<br> [0x80000708]:sd a0, 344(ra)<br>  |
|  45|[0x80008170]<br>0x0000000000000005|- rs2_val == 274877906944<br>                                                                                                                                                                        |[0x80000718]:c.addw a0, a1<br> [0x8000071a]:sd a0, 352(ra)<br>  |
|  46|[0x80008178]<br>0xFFFFFFFFFFFFFFF8|- rs2_val == 549755813888<br>                                                                                                                                                                        |[0x8000072a]:c.addw a0, a1<br> [0x8000072c]:sd a0, 360(ra)<br>  |
|  47|[0x80008180]<br>0xFFFFFFFFFFFFEFFF|- rs2_val == 1099511627776<br> - rs1_val == -4097<br>                                                                                                                                                |[0x80000740]:c.addw a0, a1<br> [0x80000742]:sd a0, 368(ra)<br>  |
|  48|[0x80008188]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 2199023255552<br> - rs1_val == -288230376151711745<br>                                                                                                                                  |[0x8000075a]:c.addw a0, a1<br> [0x8000075c]:sd a0, 376(ra)<br>  |
|  49|[0x80008190]<br>0x000000004AFB0CCE|- rs2_val == 4398046511104<br>                                                                                                                                                                       |[0x80000778]:c.addw a0, a1<br> [0x8000077a]:sd a0, 384(ra)<br>  |
|  50|[0x80008198]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 8796093022208<br>                                                                                                                                                                       |[0x80000792]:c.addw a0, a1<br> [0x80000794]:sd a0, 392(ra)<br>  |
|  51|[0x800081a0]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 17592186044416<br> - rs1_val == -562949953421313<br>                                                                                                                                    |[0x800007ac]:c.addw a0, a1<br> [0x800007ae]:sd a0, 400(ra)<br>  |
|  52|[0x800081a8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 35184372088832<br> - rs1_val == -70368744177665<br>                                                                                                                                     |[0x800007c6]:c.addw a0, a1<br> [0x800007c8]:sd a0, 408(ra)<br>  |
|  53|[0x800081b0]<br>0x000000004AFB0CCE|- rs2_val == 70368744177664<br>                                                                                                                                                                      |[0x800007e4]:c.addw a0, a1<br> [0x800007e6]:sd a0, 416(ra)<br>  |
|  54|[0x800081b8]<br>0x000000007FFFFFFF|- rs2_val == 140737488355328<br>                                                                                                                                                                     |[0x800007fe]:c.addw a0, a1<br> [0x80000800]:sd a0, 424(ra)<br>  |
|  55|[0x800081c0]<br>0xFFFFFFFFFFFFFFF6|- rs2_val == 281474976710656<br>                                                                                                                                                                     |[0x80000810]:c.addw a0, a1<br> [0x80000812]:sd a0, 432(ra)<br>  |
|  56|[0x800081c8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 562949953421312<br>                                                                                                                                                                     |[0x8000082a]:c.addw a0, a1<br> [0x8000082c]:sd a0, 440(ra)<br>  |
|  57|[0x800081d0]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == 1125899906842624<br> - rs1_val == -4398046511105<br>                                                                                                                                    |[0x80000844]:c.addw a0, a1<br> [0x80000846]:sd a0, 448(ra)<br>  |
|  58|[0x800081d8]<br>0xFFFFFFFFFFFEFFFF|- rs2_val == 2251799813685248<br>                                                                                                                                                                    |[0x8000085a]:c.addw a0, a1<br> [0x8000085c]:sd a0, 456(ra)<br>  |
|  59|[0x800081e0]<br>0x0000000000000000|- rs2_val == 4503599627370496<br> - rs1_val == 2305843009213693952<br>                                                                                                                               |[0x80000870]:c.addw a0, a1<br> [0x80000872]:sd a0, 464(ra)<br>  |
|  60|[0x800081e8]<br>0xFFFFFFFFAAAAAAAA|- rs2_val == 9007199254740992<br> - rs1_val == -6148914691236517206<br>                                                                                                                              |[0x8000089e]:c.addw a0, a1<br> [0x800008a0]:sd a0, 472(ra)<br>  |
|  61|[0x800081f0]<br>0x0000000066666665|- rs2_val == 36028797018963968<br>                                                                                                                                                                   |[0x800008cc]:c.addw a0, a1<br> [0x800008ce]:sd a0, 480(ra)<br>  |
|  62|[0x800081f8]<br>0x0000000055555555|- rs2_val == 72057594037927936<br>                                                                                                                                                                   |[0x800008fa]:c.addw a0, a1<br> [0x800008fc]:sd a0, 488(ra)<br>  |
|  63|[0x80008200]<br>0x0000000020000000|- rs2_val == 144115188075855872<br> - rs1_val == 536870912<br>                                                                                                                                       |[0x8000090c]:c.addw a0, a1<br> [0x8000090e]:sd a0, 496(ra)<br>  |
|  64|[0x80008208]<br>0xFFFFFFFFAAAAAAAA|- rs2_val == 288230376151711744<br>                                                                                                                                                                  |[0x8000093a]:c.addw a0, a1<br> [0x8000093c]:sd a0, 504(ra)<br>  |
|  65|[0x80008210]<br>0x0000000000000000|- rs2_val == 576460752303423488<br> - rs1_val == 1152921504606846976<br>                                                                                                                             |[0x80000950]:c.addw a0, a1<br> [0x80000952]:sd a0, 512(ra)<br>  |
|  66|[0x80008218]<br>0xFFFFFFFFFDFFFFFF|- rs2_val == 1152921504606846976<br>                                                                                                                                                                 |[0x80000966]:c.addw a0, a1<br> [0x80000968]:sd a0, 520(ra)<br>  |
|  67|[0x80008220]<br>0x0000000000000004|- rs2_val == 2305843009213693952<br>                                                                                                                                                                 |[0x80000978]:c.addw a0, a1<br> [0x8000097a]:sd a0, 528(ra)<br>  |
|  68|[0x80008228]<br>0x0000000000000000|- rs2_val == 4611686018427387904<br> - rs1_val == 281474976710656<br>                                                                                                                                |[0x8000098e]:c.addw a0, a1<br> [0x80000990]:sd a0, 536(ra)<br>  |
|  69|[0x80008230]<br>0x0000000000000003|- rs2_val == -2<br>                                                                                                                                                                                  |[0x8000099c]:c.addw a0, a1<br> [0x8000099e]:sd a0, 544(ra)<br>  |
|  70|[0x80008238]<br>0x000000004AFB0CC9|- rs2_val == -5<br>                                                                                                                                                                                  |[0x800009b6]:c.addw a0, a1<br> [0x800009b8]:sd a0, 552(ra)<br>  |
|  71|[0x80008240]<br>0x00000000000007F7|- rs2_val == -9<br> - rs1_val == 2048<br>                                                                                                                                                            |[0x800009c8]:c.addw a0, a1<br> [0x800009ca]:sd a0, 560(ra)<br>  |
|  72|[0x80008248]<br>0xFFFFFFFFFFFFFFEE|- rs2_val == -17<br> - rs1_val == -8589934593<br>                                                                                                                                                    |[0x800009de]:c.addw a0, a1<br> [0x800009e0]:sd a0, 568(ra)<br>  |
|  73|[0x80008250]<br>0xFFFFFFFFFFFFFFDF|- rs2_val == -33<br>                                                                                                                                                                                 |[0x800009f0]:c.addw a0, a1<br> [0x800009f2]:sd a0, 576(ra)<br>  |
|  74|[0x80008258]<br>0xFFFFFFFFFFFFFFBC|- rs2_val == -65<br> - rs1_val == -3<br>                                                                                                                                                             |[0x800009fe]:c.addw a0, a1<br> [0x80000a00]:sd a0, 584(ra)<br>  |
|  75|[0x80008260]<br>0xFFFFFFFFFFFFFF7C|- rs2_val == -129<br>                                                                                                                                                                                |[0x80000a0c]:c.addw a0, a1<br> [0x80000a0e]:sd a0, 592(ra)<br>  |
|  76|[0x80008268]<br>0x000000000FFFFEFF|- rs2_val == -257<br> - rs1_val == 268435456<br>                                                                                                                                                     |[0x80000a1a]:c.addw a0, a1<br> [0x80000a1c]:sd a0, 600(ra)<br>  |
|  77|[0x80008270]<br>0xFFFFFFFFFFFFFCFE|- rs2_val == -513<br> - rs1_val == -257<br>                                                                                                                                                          |[0x80000a28]:c.addw a0, a1<br> [0x80000a2a]:sd a0, 608(ra)<br>  |
|  78|[0x80008278]<br>0xFFFFFFFFFFFFFBFF|- rs2_val == -1025<br> - rs1_val == 562949953421312<br>                                                                                                                                              |[0x80000a3a]:c.addw a0, a1<br> [0x80000a3c]:sd a0, 616(ra)<br>  |
|  79|[0x80008280]<br>0xFFFFFFFFFF7FF7FE|- rs2_val == -2049<br> - rs1_val == -8388609<br>                                                                                                                                                     |[0x80000a50]:c.addw a0, a1<br> [0x80000a52]:sd a0, 624(ra)<br>  |
|  80|[0x80008288]<br>0xFFFFFFFFFFFFF0FF|- rs2_val == -4097<br> - rs1_val == 256<br>                                                                                                                                                          |[0x80000a62]:c.addw a0, a1<br> [0x80000a64]:sd a0, 632(ra)<br>  |
|  81|[0x80008290]<br>0xFFFFFFFFFFFFDFFF|- rs2_val == -8193<br>                                                                                                                                                                               |[0x80000a78]:c.addw a0, a1<br> [0x80000a7a]:sd a0, 640(ra)<br>  |
|  82|[0x80008298]<br>0xFFFFFFFFEFFFBFFE|- rs2_val == -16385<br> - rs1_val == -268435457<br>                                                                                                                                                  |[0x80000a8e]:c.addw a0, a1<br> [0x80000a90]:sd a0, 648(ra)<br>  |
|  83|[0x800082a0]<br>0xFFFFFFFFFFFF7FFE|- rs2_val == -32769<br> - rs1_val == -281474976710657<br>                                                                                                                                            |[0x80000aa8]:c.addw a0, a1<br> [0x80000aaa]:sd a0, 656(ra)<br>  |
|  84|[0x800082a8]<br>0x0000000066656665|- rs2_val == -65537<br>                                                                                                                                                                              |[0x80000ad6]:c.addw a0, a1<br> [0x80000ad8]:sd a0, 664(ra)<br>  |
|  85|[0x800082b0]<br>0xFFFFFFFFFFFDBFFE|- rs2_val == -131073<br> - rs1_val == -16385<br>                                                                                                                                                     |[0x80000aec]:c.addw a0, a1<br> [0x80000aee]:sd a0, 672(ra)<br>  |
|  86|[0x800082b8]<br>0xFFFFFFFFFFFC0008|- rs2_val == -262145<br>                                                                                                                                                                             |[0x80000afe]:c.addw a0, a1<br> [0x80000b00]:sd a0, 680(ra)<br>  |
|  87|[0x800082c0]<br>0xFFFFFFFFFFF3FFFE|- rs2_val == -524289<br> - rs1_val == -262145<br>                                                                                                                                                    |[0x80000b14]:c.addw a0, a1<br> [0x80000b16]:sd a0, 688(ra)<br>  |
|  88|[0x800082c8]<br>0xFFFFFFFFFFEFFFFF|- rs2_val == -1048577<br> - rs1_val == 68719476736<br>                                                                                                                                               |[0x80000b2a]:c.addw a0, a1<br> [0x80000b2c]:sd a0, 696(ra)<br>  |
|  89|[0x800082d0]<br>0xFFFFFFFFFFDFFFFF|- rs2_val == -2097153<br> - rs1_val == 576460752303423488<br>                                                                                                                                        |[0x80000b40]:c.addw a0, a1<br> [0x80000b42]:sd a0, 704(ra)<br>  |
|  90|[0x800082d8]<br>0xFFFFFFFFFFC03FFF|- rs2_val == -4194305<br> - rs1_val == 16384<br>                                                                                                                                                     |[0x80000b52]:c.addw a0, a1<br> [0x80000b54]:sd a0, 712(ra)<br>  |
|  91|[0x800082e0]<br>0xFFFFFFFFAA2AAAAA|- rs2_val == -8388609<br>                                                                                                                                                                            |[0x80000b80]:c.addw a0, a1<br> [0x80000b82]:sd a0, 720(ra)<br>  |
|  92|[0x800082e8]<br>0xFFFFFFFFFF00001F|- rs2_val == -16777217<br> - rs1_val == 32<br>                                                                                                                                                       |[0x80000b92]:c.addw a0, a1<br> [0x80000b94]:sd a0, 728(ra)<br>  |
|  93|[0x800082f0]<br>0xFFFFFFFFFDFFFFF7|- rs2_val == -33554433<br>                                                                                                                                                                           |[0x80000ba4]:c.addw a0, a1<br> [0x80000ba6]:sd a0, 736(ra)<br>  |
|  94|[0x800082f8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -67108865<br>                                                                                                                                                                           |[0x80000bb6]:c.addw a0, a1<br> [0x80000bb8]:sd a0, 744(ra)<br>  |
|  95|[0x80008300]<br>0xFFFFFFFFF7FFFFFF|- rs2_val == -134217729<br> - rs1_val == 2251799813685248<br>                                                                                                                                        |[0x80000bcc]:c.addw a0, a1<br> [0x80000bce]:sd a0, 752(ra)<br>  |
|  96|[0x80008308]<br>0xFFFFFFFFF0000001|- rs2_val == -268435457<br> - rs1_val == 2<br>                                                                                                                                                       |[0x80000bde]:c.addw a0, a1<br> [0x80000be0]:sd a0, 760(ra)<br>  |
|  97|[0x80008310]<br>0xFFFFFFFFDFFFFFFF|- rs2_val == -536870913<br> - rs1_val == 1099511627776<br>                                                                                                                                           |[0x80000bf4]:c.addw a0, a1<br> [0x80000bf6]:sd a0, 768(ra)<br>  |
|  98|[0x80008318]<br>0xFFFFFFFFBFFFFFFC|- rs2_val == -1073741825<br>                                                                                                                                                                         |[0x80000c06]:c.addw a0, a1<br> [0x80000c08]:sd a0, 776(ra)<br>  |
|  99|[0x80008320]<br>0xFFFFFFFF800000FF|- rs2_val == -2147483649<br>                                                                                                                                                                         |[0x80000c1c]:c.addw a0, a1<br> [0x80000c1e]:sd a0, 784(ra)<br>  |
| 100|[0x80008328]<br>0x0000000000000FFF|- rs2_val == -4294967297<br> - rs1_val == 4096<br>                                                                                                                                                   |[0x80000c32]:c.addw a0, a1<br> [0x80000c34]:sd a0, 792(ra)<br>  |
| 101|[0x80008330]<br>0xFFFFFFFFFFFFFBFE|- rs2_val == -17179869185<br> - rs1_val == -1025<br>                                                                                                                                                 |[0x80000c48]:c.addw a0, a1<br> [0x80000c4a]:sd a0, 800(ra)<br>  |
| 102|[0x80008338]<br>0xFFFFFFFFFFFFFFFB|- rs2_val == -34359738369<br>                                                                                                                                                                        |[0x80000c5e]:c.addw a0, a1<br> [0x80000c60]:sd a0, 808(ra)<br>  |
| 103|[0x80008340]<br>0xFFFFFFFFFFFEFFFE|- rs2_val == -68719476737<br>                                                                                                                                                                        |[0x80000c78]:c.addw a0, a1<br> [0x80000c7a]:sd a0, 816(ra)<br>  |
| 104|[0x80008348]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -137438953473<br>                                                                                                                                                                       |[0x80000c92]:c.addw a0, a1<br> [0x80000c94]:sd a0, 824(ra)<br>  |
| 105|[0x80008350]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -274877906945<br> - rs1_val == 17592186044416<br>                                                                                                                                       |[0x80000cac]:c.addw a0, a1<br> [0x80000cae]:sd a0, 832(ra)<br>  |
| 106|[0x80008358]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -549755813889<br> - rs1_val == -576460752303423489<br>                                                                                                                                  |[0x80000cca]:c.addw a0, a1<br> [0x80000ccc]:sd a0, 840(ra)<br>  |
| 107|[0x80008360]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -1099511627777<br>                                                                                                                                                                      |[0x80000ce8]:c.addw a0, a1<br> [0x80000cea]:sd a0, 848(ra)<br>  |
| 108|[0x80008368]<br>0xFFFFFFFFFFFF7FFE|- rs2_val == -2199023255553<br> - rs1_val == -32769<br>                                                                                                                                              |[0x80000d02]:c.addw a0, a1<br> [0x80000d04]:sd a0, 856(ra)<br>  |
| 109|[0x80008370]<br>0xFFFFFFFFFFF7FFFE|- rs2_val == -4398046511105<br> - rs1_val == -524289<br>                                                                                                                                             |[0x80000d1c]:c.addw a0, a1<br> [0x80000d1e]:sd a0, 864(ra)<br>  |
| 110|[0x80008378]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -8796093022209<br> - rs1_val == -2251799813685249<br>                                                                                                                                   |[0x80000d3a]:c.addw a0, a1<br> [0x80000d3c]:sd a0, 872(ra)<br>  |
| 111|[0x80008380]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -17592186044417<br> - rs1_val == 549755813888<br>                                                                                                                                       |[0x80000d54]:c.addw a0, a1<br> [0x80000d56]:sd a0, 880(ra)<br>  |
| 112|[0x80008388]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -35184372088833<br>                                                                                                                                                                     |[0x80000d72]:c.addw a0, a1<br> [0x80000d74]:sd a0, 888(ra)<br>  |
| 113|[0x80008390]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -70368744177665<br> - rs1_val == 18014398509481984<br>                                                                                                                                  |[0x80000d8c]:c.addw a0, a1<br> [0x80000d8e]:sd a0, 896(ra)<br>  |
| 114|[0x80008398]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -140737488355329<br> - rs1_val == -1125899906842625<br>                                                                                                                                 |[0x80000daa]:c.addw a0, a1<br> [0x80000dac]:sd a0, 904(ra)<br>  |
| 115|[0x800083a0]<br>0x000000000001FFFF|- rs2_val == -281474976710657<br> - rs1_val == 131072<br>                                                                                                                                            |[0x80000dc0]:c.addw a0, a1<br> [0x80000dc2]:sd a0, 912(ra)<br>  |
| 116|[0x800083a8]<br>0x0000000055555555|- rs2_val == -562949953421313<br>                                                                                                                                                                    |[0x80000df2]:c.addw a0, a1<br> [0x80000df4]:sd a0, 920(ra)<br>  |
| 117|[0x800083b0]<br>0xFFFFFFFFFFF7FFFE|- rs2_val == -1125899906842625<br>                                                                                                                                                                   |[0x80000e0c]:c.addw a0, a1<br> [0x80000e0e]:sd a0, 928(ra)<br>  |
| 118|[0x800083b8]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -2251799813685249<br> - rs1_val == -34359738369<br>                                                                                                                                     |[0x80000e2a]:c.addw a0, a1<br> [0x80000e2c]:sd a0, 936(ra)<br>  |
| 119|[0x800083c0]<br>0x0000000000000004|- rs2_val == -4503599627370497<br>                                                                                                                                                                   |[0x80000e40]:c.addw a0, a1<br> [0x80000e42]:sd a0, 944(ra)<br>  |
| 120|[0x800083c8]<br>0x0000000000003FFF|- rs2_val == -9007199254740993<br>                                                                                                                                                                   |[0x80000e56]:c.addw a0, a1<br> [0x80000e58]:sd a0, 952(ra)<br>  |
| 121|[0x800083d0]<br>0xFFFFFFFFFFFFFFF5|- rs2_val == -18014398509481985<br>                                                                                                                                                                  |[0x80000e6c]:c.addw a0, a1<br> [0x80000e6e]:sd a0, 960(ra)<br>  |
| 122|[0x800083d8]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -36028797018963969<br>                                                                                                                                                                  |[0x80000e8a]:c.addw a0, a1<br> [0x80000e8c]:sd a0, 968(ra)<br>  |
| 123|[0x800083e0]<br>0xFFFFFFFFFFFFF7FE|- rs2_val == -72057594037927937<br>                                                                                                                                                                  |[0x80000ea4]:c.addw a0, a1<br> [0x80000ea6]:sd a0, 976(ra)<br>  |
| 124|[0x800083e8]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -144115188075855873<br>                                                                                                                                                                 |[0x80000ebe]:c.addw a0, a1<br> [0x80000ec0]:sd a0, 984(ra)<br>  |
| 125|[0x800083f0]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -288230376151711745<br> - rs1_val == -17179869185<br>                                                                                                                                   |[0x80000edc]:c.addw a0, a1<br> [0x80000ede]:sd a0, 992(ra)<br>  |
| 126|[0x800083f8]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -576460752303423489<br>                                                                                                                                                                 |[0x80000efa]:c.addw a0, a1<br> [0x80000efc]:sd a0, 1000(ra)<br> |
| 127|[0x80008400]<br>0xFFFFFFFFFFFFFFDE|- rs2_val == -1152921504606846977<br> - rs1_val == -33<br>                                                                                                                                           |[0x80000f10]:c.addw a0, a1<br> [0x80000f12]:sd a0, 1008(ra)<br> |
| 128|[0x80008408]<br>0xFFFFFFFFFFFFFFFE|- rs2_val == -2305843009213693953<br>                                                                                                                                                                |[0x80000f26]:c.addw a0, a1<br> [0x80000f28]:sd a0, 1016(ra)<br> |
| 129|[0x80008410]<br>0x0000000033333331|- rs2_val == -4611686018427387905<br>                                                                                                                                                                |[0x80000f58]:c.addw a0, a1<br> [0x80000f5a]:sd a0, 1024(ra)<br> |
| 130|[0x80008418]<br>0x0000000055555154|- rs2_val == 6148914691236517205<br>                                                                                                                                                                 |[0x80000f82]:c.addw a0, a1<br> [0x80000f84]:sd a0, 1032(ra)<br> |
| 131|[0x80008420]<br>0xFFFFFFFFAAAAABAA|- rs2_val == -6148914691236517206<br>                                                                                                                                                                |[0x80000fac]:c.addw a0, a1<br> [0x80000fae]:sd a0, 1040(ra)<br> |
| 132|[0x80008428]<br>0x0000000000000008|- rs2_val == 0<br> - rs1_val == 8<br>                                                                                                                                                                |[0x80000fba]:c.addw a0, a1<br> [0x80000fbc]:sd a0, 1048(ra)<br> |
| 133|[0x80008430]<br>0x000000004AFB0CDE|- rs1_val == 16<br>                                                                                                                                                                                  |[0x80000fd4]:c.addw a0, a1<br> [0x80000fd6]:sd a0, 1056(ra)<br> |
| 134|[0x80008438]<br>0x0000000000000040|- rs1_val == 64<br>                                                                                                                                                                                  |[0x80000fe6]:c.addw a0, a1<br> [0x80000fe8]:sd a0, 1064(ra)<br> |
| 135|[0x80008440]<br>0x000000000000007D|- rs1_val == 128<br>                                                                                                                                                                                 |[0x80000ff4]:c.addw a0, a1<br> [0x80000ff6]:sd a0, 1072(ra)<br> |
| 136|[0x80008448]<br>0x00000000000000FF|- rs1_val == 512<br>                                                                                                                                                                                 |[0x80001002]:c.addw a0, a1<br> [0x80001004]:sd a0, 1080(ra)<br> |
| 137|[0x80008450]<br>0x0000000000000400|- rs1_val == 1024<br>                                                                                                                                                                                |[0x80001014]:c.addw a0, a1<br> [0x80001016]:sd a0, 1088(ra)<br> |
| 138|[0x80008458]<br>0x0000000000001FFF|- rs1_val == 8192<br>                                                                                                                                                                                |[0x8000102a]:c.addw a0, a1<br> [0x8000102c]:sd a0, 1096(ra)<br> |
| 139|[0x80008460]<br>0x0000000000006FFF|- rs1_val == 32768<br>                                                                                                                                                                               |[0x8000103c]:c.addw a0, a1<br> [0x8000103e]:sd a0, 1104(ra)<br> |
| 140|[0x80008468]<br>0x000000000000FFFF|- rs1_val == 65536<br>                                                                                                                                                                               |[0x80001052]:c.addw a0, a1<br> [0x80001054]:sd a0, 1112(ra)<br> |
| 141|[0x80008470]<br>0x000000000003FFFF|- rs1_val == 262144<br>                                                                                                                                                                              |[0x80001068]:c.addw a0, a1<br> [0x8000106a]:sd a0, 1120(ra)<br> |
| 142|[0x80008478]<br>0x000000000007FFFF|- rs1_val == 524288<br>                                                                                                                                                                              |[0x8000107e]:c.addw a0, a1<br> [0x80001080]:sd a0, 1128(ra)<br> |
| 143|[0x80008480]<br>0x0000000000100000|- rs1_val == 1048576<br>                                                                                                                                                                             |[0x80001090]:c.addw a0, a1<br> [0x80001092]:sd a0, 1136(ra)<br> |
| 144|[0x80008488]<br>0x0000000000200000|- rs1_val == 2097152<br>                                                                                                                                                                             |[0x800010a2]:c.addw a0, a1<br> [0x800010a4]:sd a0, 1144(ra)<br> |
| 145|[0x80008490]<br>0x00000000003FFFFF|- rs1_val == 4194304<br>                                                                                                                                                                             |[0x800010b8]:c.addw a0, a1<br> [0x800010ba]:sd a0, 1152(ra)<br> |
| 146|[0x80008498]<br>0x00000000007FFFF7|- rs1_val == 8388608<br>                                                                                                                                                                             |[0x800010c6]:c.addw a0, a1<br> [0x800010c8]:sd a0, 1160(ra)<br> |
| 147|[0x800084a0]<br>0xFFFFFFFFB2AAAAAB|- rs1_val == 134217728<br>                                                                                                                                                                           |[0x800010f0]:c.addw a0, a1<br> [0x800010f2]:sd a0, 1168(ra)<br> |
| 148|[0x800084a8]<br>0xFFFFFFFF80000000|- rs1_val == 2147483648<br>                                                                                                                                                                          |[0x80001106]:c.addw a0, a1<br> [0x80001108]:sd a0, 1176(ra)<br> |
| 149|[0x800084b0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == 4294967296<br>                                                                                                                                                                          |[0x80001120]:c.addw a0, a1<br> [0x80001122]:sd a0, 1184(ra)<br> |
| 150|[0x800084b8]<br>0x0000000033333332|- rs1_val == 34359738368<br>                                                                                                                                                                         |[0x8000114e]:c.addw a0, a1<br> [0x80001150]:sd a0, 1192(ra)<br> |
| 151|[0x800084c0]<br>0xFFFFFFFFFFDFFFFF|- rs1_val == 137438953472<br>                                                                                                                                                                        |[0x80001164]:c.addw a0, a1<br> [0x80001166]:sd a0, 1200(ra)<br> |
| 152|[0x800084c8]<br>0x0000000001000000|- rs1_val == 2199023255552<br>                                                                                                                                                                       |[0x80001176]:c.addw a0, a1<br> [0x80001178]:sd a0, 1208(ra)<br> |
| 153|[0x800084d0]<br>0xFFFFFFFFFFFFBFFF|- rs1_val == 4398046511104<br>                                                                                                                                                                       |[0x8000118c]:c.addw a0, a1<br> [0x8000118e]:sd a0, 1216(ra)<br> |
| 154|[0x800084d8]<br>0xFFFFFFFFEFFFFFFF|- rs1_val == 8796093022208<br>                                                                                                                                                                       |[0x800011a2]:c.addw a0, a1<br> [0x800011a4]:sd a0, 1224(ra)<br> |
| 155|[0x800084e0]<br>0x0000000055555556|- rs1_val == 35184372088832<br>                                                                                                                                                                      |[0x800011d0]:c.addw a0, a1<br> [0x800011d2]:sd a0, 1232(ra)<br> |
| 156|[0x800084e8]<br>0x0000000066666666|- rs1_val == 70368744177664<br>                                                                                                                                                                      |[0x800011fe]:c.addw a0, a1<br> [0x80001200]:sd a0, 1240(ra)<br> |
| 157|[0x800084f0]<br>0x0000000000000000|- rs1_val == 140737488355328<br>                                                                                                                                                                     |[0x80001214]:c.addw a0, a1<br> [0x80001216]:sd a0, 1248(ra)<br> |
| 158|[0x800084f8]<br>0xFFFFFFFFBFFFFFFF|- rs1_val == 1125899906842624<br>                                                                                                                                                                    |[0x8000122a]:c.addw a0, a1<br> [0x8000122c]:sd a0, 1256(ra)<br> |
| 159|[0x80008500]<br>0x000000004AFB0CCD|- rs1_val == 4503599627370496<br>                                                                                                                                                                    |[0x80001248]:c.addw a0, a1<br> [0x8000124a]:sd a0, 1264(ra)<br> |
| 160|[0x80008508]<br>0xFFFFFFFFFFFFFFFB|- rs1_val == 9007199254740992<br>                                                                                                                                                                    |[0x8000125a]:c.addw a0, a1<br> [0x8000125c]:sd a0, 1272(ra)<br> |
| 161|[0x80008510]<br>0x0000000000000009|- rs1_val == 36028797018963968<br>                                                                                                                                                                   |[0x8000126c]:c.addw a0, a1<br> [0x8000126e]:sd a0, 1280(ra)<br> |
| 162|[0x80008518]<br>0x0000000001000000|- rs1_val == 72057594037927936<br>                                                                                                                                                                   |[0x8000127e]:c.addw a0, a1<br> [0x80001280]:sd a0, 1288(ra)<br> |
| 163|[0x80008520]<br>0xFFFFFFFFFFFFDFFF|- rs1_val == 144115188075855872<br>                                                                                                                                                                  |[0x80001294]:c.addw a0, a1<br> [0x80001296]:sd a0, 1296(ra)<br> |
| 164|[0x80008528]<br>0xFFFFFFFFAAAAAAAA|- rs1_val == 288230376151711744<br>                                                                                                                                                                  |[0x800012c2]:c.addw a0, a1<br> [0x800012c4]:sd a0, 1304(ra)<br> |
| 165|[0x80008530]<br>0xFFFFFFFFAAAAAAAB|- rs1_val == 4611686018427387904<br>                                                                                                                                                                 |[0x800012f0]:c.addw a0, a1<br> [0x800012f2]:sd a0, 1312(ra)<br> |
| 166|[0x80008538]<br>0xFFFFFFFFFFFFFFFD|- rs1_val == -2<br>                                                                                                                                                                                  |[0x800012fe]:c.addw a0, a1<br> [0x80001300]:sd a0, 1320(ra)<br> |
| 167|[0x80008540]<br>0xFFFFFFFFFFFFFFFD|- rs1_val == -5<br>                                                                                                                                                                                  |[0x8000130c]:c.addw a0, a1<br> [0x8000130e]:sd a0, 1328(ra)<br> |
| 168|[0x80008548]<br>0xFFFFFFFFFFFFFFF3|- rs1_val == -9<br>                                                                                                                                                                                  |[0x8000131a]:c.addw a0, a1<br> [0x8000131c]:sd a0, 1336(ra)<br> |
| 169|[0x80008550]<br>0xFFFFFFFFFFFFBFEE|- rs1_val == -17<br>                                                                                                                                                                                 |[0x8000132c]:c.addw a0, a1<br> [0x8000132e]:sd a0, 1344(ra)<br> |
| 170|[0x80008558]<br>0x0000000055555515|- rs1_val == -65<br>                                                                                                                                                                                 |[0x80001356]:c.addw a0, a1<br> [0x80001358]:sd a0, 1352(ra)<br> |
| 171|[0x80008560]<br>0xFFFFFFFFFFFFFF85|- rs1_val == -129<br>                                                                                                                                                                                |[0x80001364]:c.addw a0, a1<br> [0x80001366]:sd a0, 1360(ra)<br> |
| 172|[0x80008568]<br>0xFFFFFFFFFFFFFDFF|- rs1_val == -513<br>                                                                                                                                                                                |[0x80001376]:c.addw a0, a1<br> [0x80001378]:sd a0, 1368(ra)<br> |
| 173|[0x80008570]<br>0xFFFFFFFFFFFDFFFF|- rs1_val == -131073<br>                                                                                                                                                                             |[0x8000138c]:c.addw a0, a1<br> [0x8000138e]:sd a0, 1376(ra)<br> |
| 174|[0x80008578]<br>0xFFFFFFFFFFDFFFFE|- rs1_val == -2097153<br>                                                                                                                                                                            |[0x800013a6]:c.addw a0, a1<br> [0x800013a8]:sd a0, 1384(ra)<br> |
| 175|[0x80008580]<br>0x0000000055155554|- rs1_val == -4194305<br>                                                                                                                                                                            |[0x800013d4]:c.addw a0, a1<br> [0x800013d6]:sd a0, 1392(ra)<br> |
| 176|[0x80008588]<br>0xFFFFFFFFFF01FFFF|- rs1_val == -16777217<br>                                                                                                                                                                           |[0x800013e6]:c.addw a0, a1<br> [0x800013e8]:sd a0, 1400(ra)<br> |
| 177|[0x80008590]<br>0xFFFFFFFFFBFFFFFE|- rs1_val == -67108865<br>                                                                                                                                                                           |[0x80001400]:c.addw a0, a1<br> [0x80001402]:sd a0, 1408(ra)<br> |
| 178|[0x80008598]<br>0xFFFFFFFFF7FFFFFF|- rs1_val == -134217729<br>                                                                                                                                                                          |[0x80001416]:c.addw a0, a1<br> [0x80001418]:sd a0, 1416(ra)<br> |
| 179|[0x800085a0]<br>0xFFFFFFFFDFFFDFFE|- rs1_val == -536870913<br>                                                                                                                                                                          |[0x8000142c]:c.addw a0, a1<br> [0x8000142e]:sd a0, 1424(ra)<br> |
| 180|[0x800085a8]<br>0xFFFFFFFFBFFFFFFE|- rs1_val == -1073741825<br>                                                                                                                                                                         |[0x80001446]:c.addw a0, a1<br> [0x80001448]:sd a0, 1432(ra)<br> |
| 181|[0x800085b0]<br>0xFFFFFFFFFFFFFFEE|- rs1_val == -4294967297<br>                                                                                                                                                                         |[0x8000145c]:c.addw a0, a1<br> [0x8000145e]:sd a0, 1440(ra)<br> |
| 182|[0x800085b8]<br>0x0000000066666664|- rs1_val == -68719476737<br>                                                                                                                                                                        |[0x8000148e]:c.addw a0, a1<br> [0x80001490]:sd a0, 1448(ra)<br> |
| 183|[0x800085c0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -274877906945<br>                                                                                                                                                                       |[0x800014a8]:c.addw a0, a1<br> [0x800014aa]:sd a0, 1456(ra)<br> |
| 184|[0x800085c8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -549755813889<br>                                                                                                                                                                       |[0x800014c2]:c.addw a0, a1<br> [0x800014c4]:sd a0, 1464(ra)<br> |
| 185|[0x800085d0]<br>0xFFFFFFFFFFFFFFF7|- rs1_val == -1099511627777<br>                                                                                                                                                                      |[0x800014d8]:c.addw a0, a1<br> [0x800014da]:sd a0, 1472(ra)<br> |
| 186|[0x800085d8]<br>0xFFFFFFFFB504F331|- rs1_val == -8796093022209<br>                                                                                                                                                                      |[0x800014fa]:c.addw a0, a1<br> [0x800014fc]:sd a0, 1480(ra)<br> |
| 187|[0x800085e0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val == -17592186044417<br>                                                                                                                                                                     |[0x80001518]:c.addw a0, a1<br> [0x8000151a]:sd a0, 1488(ra)<br> |
| 188|[0x800085e8]<br>0xFFFFFFFFFFFFFFFE|- rs1_val == -4503599627370497<br>                                                                                                                                                                   |[0x80001536]:c.addw a0, a1<br> [0x80001538]:sd a0, 1496(ra)<br> |
| 189|[0x800085f0]<br>0x0000000066666666|- rs1_val == -9007199254740993<br>                                                                                                                                                                   |[0x80001568]:c.addw a0, a1<br> [0x8000156a]:sd a0, 1504(ra)<br> |
| 190|[0x800085f8]<br>0xFFFFFFFFEFFFFFFE|- rs1_val == -18014398509481985<br>                                                                                                                                                                  |[0x80001582]:c.addw a0, a1<br> [0x80001584]:sd a0, 1512(ra)<br> |
| 191|[0x80008600]<br>0xFFFFFFFFFFFFFFF9|- rs1_val == -72057594037927937<br>                                                                                                                                                                  |[0x80001598]:c.addw a0, a1<br> [0x8000159a]:sd a0, 1520(ra)<br> |
| 192|[0x80008608]<br>0xFFFFFFFFFFFFFFFE|- rs1_val == -144115188075855873<br>                                                                                                                                                                 |[0x800015b6]:c.addw a0, a1<br> [0x800015b8]:sd a0, 1528(ra)<br> |
| 193|[0x80008610]<br>0xFFFFFFFFFFEFFFFE|- rs1_val == -1152921504606846977<br>                                                                                                                                                                |[0x800015d0]:c.addw a0, a1<br> [0x800015d2]:sd a0, 1536(ra)<br> |
| 194|[0x80008618]<br>0x000000004AFB0CCC|- rs1_val == -2305843009213693953<br>                                                                                                                                                                |[0x800015f2]:c.addw a0, a1<br> [0x800015f4]:sd a0, 1544(ra)<br> |
| 195|[0x80008620]<br>0x0000000000000006|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                      |[0x80001600]:c.addw a0, a1<br> [0x80001602]:sd a0, 1552(ra)<br> |
| 196|[0x80008628]<br>0x0000000055555558|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                                    |[0x8000162a]:c.addw a0, a1<br> [0x8000162c]:sd a0, 1560(ra)<br> |
| 197|[0x80008630]<br>0xFFFFFFFFAAAAAAAD|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                                   |[0x80001654]:c.addw a0, a1<br> [0x80001656]:sd a0, 1568(ra)<br> |
| 198|[0x80008638]<br>0x0000000000000008|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                      |[0x80001662]:c.addw a0, a1<br> [0x80001664]:sd a0, 1576(ra)<br> |
| 199|[0x80008640]<br>0x0000000033333336|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                                    |[0x8000168c]:c.addw a0, a1<br> [0x8000168e]:sd a0, 1584(ra)<br> |
| 200|[0x80008648]<br>0x0000000066666669|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                                    |[0x800016b6]:c.addw a0, a1<br> [0x800016b8]:sd a0, 1592(ra)<br> |
| 201|[0x80008650]<br>0x000000004AFB0CD0|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                                            |[0x800016d0]:c.addw a0, a1<br> [0x800016d2]:sd a0, 1600(ra)<br> |
| 202|[0x80008658]<br>0xFFFFFFFFB504F336|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                             |[0x800016ea]:c.addw a0, a1<br> [0x800016ec]:sd a0, 1608(ra)<br> |
| 203|[0x80008660]<br>0x0000000000000005|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                                      |[0x800016f8]:c.addw a0, a1<br> [0x800016fa]:sd a0, 1616(ra)<br> |
| 204|[0x80008668]<br>0x0000000055555557|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                                    |[0x80001722]:c.addw a0, a1<br> [0x80001724]:sd a0, 1624(ra)<br> |
| 205|[0x80008670]<br>0x0000000000000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                      |[0x80001730]:c.addw a0, a1<br> [0x80001732]:sd a0, 1632(ra)<br> |
| 206|[0x80008678]<br>0x0000000000000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                      |[0x8000173e]:c.addw a0, a1<br> [0x80001740]:sd a0, 1640(ra)<br> |
| 207|[0x80008680]<br>0x0000000033333335|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                                    |[0x80001768]:c.addw a0, a1<br> [0x8000176a]:sd a0, 1648(ra)<br> |
| 208|[0x80008688]<br>0x0000000066666668|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                                    |[0x80001792]:c.addw a0, a1<br> [0x80001794]:sd a0, 1656(ra)<br> |
| 209|[0x80008690]<br>0xFFFFFFFFB504F335|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                             |[0x800017ac]:c.addw a0, a1<br> [0x800017ae]:sd a0, 1664(ra)<br> |
| 210|[0x80008698]<br>0x0000000055555559|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                                    |[0x800017d6]:c.addw a0, a1<br> [0x800017d8]:sd a0, 1672(ra)<br> |
| 211|[0x800086a0]<br>0xFFFFFFFFAAAAAAAE|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                                   |[0x80001800]:c.addw a0, a1<br> [0x80001802]:sd a0, 1680(ra)<br> |
| 212|[0x800086a8]<br>0x0000000000000009|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                      |[0x8000180e]:c.addw a0, a1<br> [0x80001810]:sd a0, 1688(ra)<br> |
| 213|[0x800086b0]<br>0x0000000033333337|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                                    |[0x80001838]:c.addw a0, a1<br> [0x8000183a]:sd a0, 1696(ra)<br> |
| 214|[0x800086b8]<br>0x000000006666666A|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                                    |[0x80001862]:c.addw a0, a1<br> [0x80001864]:sd a0, 1704(ra)<br> |
| 215|[0x800086c0]<br>0x000000004AFB0CD1|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                                            |[0x8000187c]:c.addw a0, a1<br> [0x8000187e]:sd a0, 1712(ra)<br> |
| 216|[0x800086c8]<br>0xFFFFFFFFB504F337|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                             |[0x80001896]:c.addw a0, a1<br> [0x80001898]:sd a0, 1720(ra)<br> |
| 217|[0x800086d0]<br>0x0000000055555558|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                                    |[0x800018c0]:c.addw a0, a1<br> [0x800018c2]:sd a0, 1728(ra)<br> |
| 218|[0x800086d8]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x80001906]:c.addw a0, a1<br> [0x80001908]:sd a0, 1736(ra)<br> |
| 219|[0x800086e0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x8000194c]:c.addw a0, a1<br> [0x8000194e]:sd a0, 1744(ra)<br> |
| 220|[0x800086e8]<br>0x000000005555555A|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                                    |[0x80001976]:c.addw a0, a1<br> [0x80001978]:sd a0, 1752(ra)<br> |
| 221|[0x800086f0]<br>0xFFFFFFFF88888888|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x800019bc]:c.addw a0, a1<br> [0x800019be]:sd a0, 1760(ra)<br> |
| 222|[0x800086f8]<br>0xFFFFFFFFBBBBBBBB|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x80001a02]:c.addw a0, a1<br> [0x80001a04]:sd a0, 1768(ra)<br> |
| 223|[0x80008700]<br>0xFFFFFFFFA0506222|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                          |[0x80001a38]:c.addw a0, a1<br> [0x80001a3a]:sd a0, 1776(ra)<br> |
| 224|[0x80008708]<br>0x000000000A5A4888|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                           |[0x80001a6e]:c.addw a0, a1<br> [0x80001a70]:sd a0, 1784(ra)<br> |
| 225|[0x80008710]<br>0x0000000055555557|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                                    |[0x80001a98]:c.addw a0, a1<br> [0x80001a9a]:sd a0, 1792(ra)<br> |
| 226|[0x80008718]<br>0xFFFFFFFFAAAAAAA9|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x80001ade]:c.addw a0, a1<br> [0x80001ae0]:sd a0, 1800(ra)<br> |
| 227|[0x80008720]<br>0x0000000055555555|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                                    |[0x80001b08]:c.addw a0, a1<br> [0x80001b0a]:sd a0, 1808(ra)<br> |
| 228|[0x80008728]<br>0x0000000055555559|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                                    |[0x80001b32]:c.addw a0, a1<br> [0x80001b34]:sd a0, 1816(ra)<br> |
| 229|[0x80008730]<br>0xFFFFFFFF88888887|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x80001b78]:c.addw a0, a1<br> [0x80001b7a]:sd a0, 1824(ra)<br> |
| 230|[0x80008738]<br>0xFFFFFFFFBBBBBBBA|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x80001bbe]:c.addw a0, a1<br> [0x80001bc0]:sd a0, 1832(ra)<br> |
| 231|[0x80008740]<br>0x000000000A5A4887|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                           |[0x80001bf4]:c.addw a0, a1<br> [0x80001bf6]:sd a0, 1840(ra)<br> |
| 232|[0x80008748]<br>0xFFFFFFFFAAAAAAAB|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x80001c3a]:c.addw a0, a1<br> [0x80001c3c]:sd a0, 1848(ra)<br> |
| 233|[0x80008750]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x80001c80]:c.addw a0, a1<br> [0x80001c82]:sd a0, 1856(ra)<br> |
| 234|[0x80008758]<br>0x000000005555555B|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                                    |[0x80001caa]:c.addw a0, a1<br> [0x80001cac]:sd a0, 1864(ra)<br> |
| 235|[0x80008760]<br>0xFFFFFFFF88888889|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x80001cf0]:c.addw a0, a1<br> [0x80001cf2]:sd a0, 1872(ra)<br> |
| 236|[0x80008768]<br>0xFFFFFFFFBBBBBBBC|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x80001d36]:c.addw a0, a1<br> [0x80001d38]:sd a0, 1880(ra)<br> |
| 237|[0x80008770]<br>0xFFFFFFFFA0506223|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                          |[0x80001d6c]:c.addw a0, a1<br> [0x80001d6e]:sd a0, 1888(ra)<br> |
| 238|[0x80008778]<br>0x000000000A5A4889|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                           |[0x80001da2]:c.addw a0, a1<br> [0x80001da4]:sd a0, 1896(ra)<br> |
| 239|[0x80008780]<br>0xFFFFFFFFAAAAAAAD|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                                   |[0x80001dcc]:c.addw a0, a1<br> [0x80001dce]:sd a0, 1904(ra)<br> |
| 240|[0x80008788]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80001e12]:c.addw a0, a1<br> [0x80001e14]:sd a0, 1912(ra)<br> |
| 241|[0x80008790]<br>0x0000000055555554|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80001e58]:c.addw a0, a1<br> [0x80001e5a]:sd a0, 1920(ra)<br> |
| 242|[0x80008798]<br>0xFFFFFFFFAAAAAAAF|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                                   |[0x80001e82]:c.addw a0, a1<br> [0x80001e84]:sd a0, 1928(ra)<br> |
| 243|[0x800087a0]<br>0xFFFFFFFFDDDDDDDD|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80001ec8]:c.addw a0, a1<br> [0x80001eca]:sd a0, 1936(ra)<br> |
| 244|[0x800087a8]<br>0x0000000011111110|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80001f0e]:c.addw a0, a1<br> [0x80001f10]:sd a0, 1944(ra)<br> |
| 245|[0x800087b0]<br>0xFFFFFFFFF5A5B777|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80001f44]:c.addw a0, a1<br> [0x80001f46]:sd a0, 1952(ra)<br> |
| 246|[0x800087b8]<br>0x000000005FAF9DDD|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                          |[0x80001f7a]:c.addw a0, a1<br> [0x80001f7c]:sd a0, 1960(ra)<br> |
| 247|[0x800087c0]<br>0xFFFFFFFFAAAAAAAC|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                                   |[0x80001fa4]:c.addw a0, a1<br> [0x80001fa6]:sd a0, 1968(ra)<br> |
| 248|[0x800087c8]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80001fea]:c.addw a0, a1<br> [0x80001fec]:sd a0, 1976(ra)<br> |
| 249|[0x800087d0]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                                   |[0x80002014]:c.addw a0, a1<br> [0x80002016]:sd a0, 1984(ra)<br> |
| 250|[0x800087d8]<br>0xFFFFFFFFAAAAAAAE|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                                   |[0x8000203e]:c.addw a0, a1<br> [0x80002040]:sd a0, 1992(ra)<br> |
| 251|[0x800087e0]<br>0xFFFFFFFFDDDDDDDC|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80002084]:c.addw a0, a1<br> [0x80002086]:sd a0, 2000(ra)<br> |
| 252|[0x800087e8]<br>0x000000001111110F|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x800020ca]:c.addw a0, a1<br> [0x800020cc]:sd a0, 2008(ra)<br> |
| 253|[0x800087f0]<br>0x000000005FAF9DDC|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                          |[0x80002100]:c.addw a0, a1<br> [0x80002102]:sd a0, 2016(ra)<br> |
| 254|[0x800087f8]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80002146]:c.addw a0, a1<br> [0x80002148]:sd a0, 2024(ra)<br> |
| 255|[0x80008800]<br>0x0000000055555555|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x8000218c]:c.addw a0, a1<br> [0x8000218e]:sd a0, 2032(ra)<br> |
| 256|[0x80008808]<br>0xFFFFFFFFAAAAAAB0|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                                   |[0x800021b6]:c.addw a0, a1<br> [0x800021b8]:sd a0, 2040(ra)<br> |
| 257|[0x80008810]<br>0xFFFFFFFFDDDDDDDE|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80002204]:c.addw a0, a1<br> [0x80002206]:sd a0, 0(ra)<br>    |
| 258|[0x80008818]<br>0x0000000011111111|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x8000224a]:c.addw a0, a1<br> [0x8000224c]:sd a0, 8(ra)<br>    |
| 259|[0x80008820]<br>0xFFFFFFFFF5A5B778|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80002280]:c.addw a0, a1<br> [0x80002282]:sd a0, 16(ra)<br>   |
| 260|[0x80008828]<br>0x000000005FAF9DDE|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                          |[0x800022b6]:c.addw a0, a1<br> [0x800022b8]:sd a0, 24(ra)<br>   |
| 261|[0x80008830]<br>0x0000000000000008|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                      |[0x800022c4]:c.addw a0, a1<br> [0x800022c6]:sd a0, 32(ra)<br>   |
| 262|[0x80008838]<br>0x000000005555555A|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                                    |[0x800022ee]:c.addw a0, a1<br> [0x800022f0]:sd a0, 40(ra)<br>   |
| 263|[0x80008840]<br>0xFFFFFFFFAAAAAAAF|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                                   |[0x80002318]:c.addw a0, a1<br> [0x8000231a]:sd a0, 48(ra)<br>   |
| 264|[0x80008848]<br>0x000000000000000A|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                      |[0x80002326]:c.addw a0, a1<br> [0x80002328]:sd a0, 56(ra)<br>   |
| 265|[0x80008850]<br>0x0000000033333338|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                                    |[0x80002350]:c.addw a0, a1<br> [0x80002352]:sd a0, 64(ra)<br>   |
| 266|[0x80008858]<br>0x000000006666666B|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                                    |[0x8000237a]:c.addw a0, a1<br> [0x8000237c]:sd a0, 72(ra)<br>   |
| 267|[0x80008860]<br>0x000000004AFB0CD2|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                                            |[0x80002394]:c.addw a0, a1<br> [0x80002396]:sd a0, 80(ra)<br>   |
| 268|[0x80008868]<br>0xFFFFFFFFB504F338|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                             |[0x800023ae]:c.addw a0, a1<br> [0x800023b0]:sd a0, 88(ra)<br>   |
| 269|[0x80008870]<br>0x0000000000000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                      |[0x800023bc]:c.addw a0, a1<br> [0x800023be]:sd a0, 96(ra)<br>   |
| 270|[0x80008878]<br>0x0000000055555559|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                                    |[0x800023e6]:c.addw a0, a1<br> [0x800023e8]:sd a0, 104(ra)<br>  |
| 271|[0x80008880]<br>0x0000000000000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                      |[0x800023f4]:c.addw a0, a1<br> [0x800023f6]:sd a0, 112(ra)<br>  |
| 272|[0x80008888]<br>0x0000000000000009|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                      |[0x80002402]:c.addw a0, a1<br> [0x80002404]:sd a0, 120(ra)<br>  |
| 273|[0x80008890]<br>0x0000000033333337|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                                    |[0x8000242c]:c.addw a0, a1<br> [0x8000242e]:sd a0, 128(ra)<br>  |
| 274|[0x80008898]<br>0x000000006666666A|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                                    |[0x80002456]:c.addw a0, a1<br> [0x80002458]:sd a0, 136(ra)<br>  |
| 275|[0x800088a0]<br>0xFFFFFFFFB504F337|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                             |[0x80002470]:c.addw a0, a1<br> [0x80002472]:sd a0, 144(ra)<br>  |
| 276|[0x800088a8]<br>0x000000005555555B|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                                    |[0x8000249a]:c.addw a0, a1<br> [0x8000249c]:sd a0, 152(ra)<br>  |
| 277|[0x800088b0]<br>0xFFFFFFFFAAAAAAB0|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                                   |[0x800024c4]:c.addw a0, a1<br> [0x800024c6]:sd a0, 160(ra)<br>  |
| 278|[0x800088b8]<br>0x000000000000000B|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                      |[0x800024d2]:c.addw a0, a1<br> [0x800024d4]:sd a0, 168(ra)<br>  |
| 279|[0x800088c0]<br>0x0000000033333339|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                                    |[0x800024fc]:c.addw a0, a1<br> [0x800024fe]:sd a0, 176(ra)<br>  |
| 280|[0x800088c8]<br>0x000000006666666C|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                                    |[0x80002526]:c.addw a0, a1<br> [0x80002528]:sd a0, 184(ra)<br>  |
| 281|[0x800088d0]<br>0x000000004AFB0CD3|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                                            |[0x80002540]:c.addw a0, a1<br> [0x80002542]:sd a0, 192(ra)<br>  |
| 282|[0x800088d8]<br>0xFFFFFFFFB504F339|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                             |[0x8000255a]:c.addw a0, a1<br> [0x8000255c]:sd a0, 200(ra)<br>  |
| 283|[0x800088e0]<br>0x0000000033333336|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                                    |[0x80002584]:c.addw a0, a1<br> [0x80002586]:sd a0, 208(ra)<br>  |
| 284|[0x800088e8]<br>0xFFFFFFFF88888888|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x800025ca]:c.addw a0, a1<br> [0x800025cc]:sd a0, 216(ra)<br>  |
| 285|[0x800088f0]<br>0xFFFFFFFFDDDDDDDD|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x80002610]:c.addw a0, a1<br> [0x80002612]:sd a0, 224(ra)<br>  |
| 286|[0x800088f8]<br>0x0000000033333338|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                                    |[0x8000263a]:c.addw a0, a1<br> [0x8000263c]:sd a0, 232(ra)<br>  |
| 287|[0x80008900]<br>0x0000000066666666|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x80002680]:c.addw a0, a1<br> [0x80002682]:sd a0, 240(ra)<br>  |
| 288|[0x80008908]<br>0xFFFFFFFF99999999|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x800026c6]:c.addw a0, a1<br> [0x800026c8]:sd a0, 248(ra)<br>  |
| 289|[0x80008910]<br>0x000000007E2E4000|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                                          |[0x800026fc]:c.addw a0, a1<br> [0x800026fe]:sd a0, 256(ra)<br>  |
| 290|[0x80008918]<br>0xFFFFFFFFE8382666|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                                           |[0x80002732]:c.addw a0, a1<br> [0x80002734]:sd a0, 264(ra)<br>  |
| 291|[0x80008920]<br>0x0000000033333335|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                                    |[0x8000275c]:c.addw a0, a1<br> [0x8000275e]:sd a0, 272(ra)<br>  |
| 292|[0x80008928]<br>0xFFFFFFFF88888887|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x800027a2]:c.addw a0, a1<br> [0x800027a4]:sd a0, 280(ra)<br>  |
| 293|[0x80008930]<br>0x0000000033333333|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                                    |[0x800027cc]:c.addw a0, a1<br> [0x800027ce]:sd a0, 288(ra)<br>  |
| 294|[0x80008938]<br>0x0000000033333337|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                                    |[0x800027f6]:c.addw a0, a1<br> [0x800027f8]:sd a0, 296(ra)<br>  |
| 295|[0x80008940]<br>0x0000000066666665|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x8000283c]:c.addw a0, a1<br> [0x8000283e]:sd a0, 304(ra)<br>  |
| 296|[0x80008948]<br>0xFFFFFFFF99999998|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x80002882]:c.addw a0, a1<br> [0x80002884]:sd a0, 312(ra)<br>  |
| 297|[0x80008950]<br>0xFFFFFFFFE8382665|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                                           |[0x800028b8]:c.addw a0, a1<br> [0x800028ba]:sd a0, 320(ra)<br>  |
| 298|[0x80008958]<br>0xFFFFFFFF88888889|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x800028fe]:c.addw a0, a1<br> [0x80002900]:sd a0, 328(ra)<br>  |
| 299|[0x80008960]<br>0xFFFFFFFFDDDDDDDE|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x80002944]:c.addw a0, a1<br> [0x80002946]:sd a0, 336(ra)<br>  |
| 300|[0x80008968]<br>0x0000000033333339|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                                    |[0x8000296e]:c.addw a0, a1<br> [0x80002970]:sd a0, 344(ra)<br>  |
| 301|[0x80008970]<br>0x0000000066666667|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x800029b4]:c.addw a0, a1<br> [0x800029b6]:sd a0, 352(ra)<br>  |
| 302|[0x80008978]<br>0xFFFFFFFF9999999A|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x800029fa]:c.addw a0, a1<br> [0x800029fc]:sd a0, 360(ra)<br>  |
| 303|[0x80008980]<br>0x000000007E2E4001|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                                          |[0x80002a30]:c.addw a0, a1<br> [0x80002a32]:sd a0, 368(ra)<br>  |
| 304|[0x80008988]<br>0xFFFFFFFFE8382667|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                                           |[0x80002a66]:c.addw a0, a1<br> [0x80002a68]:sd a0, 376(ra)<br>  |
| 305|[0x80008990]<br>0x0000000066666669|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                                    |[0x80002a90]:c.addw a0, a1<br> [0x80002a92]:sd a0, 384(ra)<br>  |
| 306|[0x80008998]<br>0xFFFFFFFFBBBBBBBB|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x80002ad6]:c.addw a0, a1<br> [0x80002ad8]:sd a0, 392(ra)<br>  |
| 307|[0x800089a0]<br>0x0000000011111110|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x80002b1c]:c.addw a0, a1<br> [0x80002b1e]:sd a0, 400(ra)<br>  |
| 308|[0x800089a8]<br>0x000000006666666B|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                                    |[0x80002b46]:c.addw a0, a1<br> [0x80002b48]:sd a0, 408(ra)<br>  |
| 309|[0x800089b0]<br>0xFFFFFFFF99999999|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x80002b8c]:c.addw a0, a1<br> [0x80002b8e]:sd a0, 416(ra)<br>  |
| 310|[0x800089b8]<br>0xFFFFFFFFCCCCCCCC|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x80002bd2]:c.addw a0, a1<br> [0x80002bd4]:sd a0, 424(ra)<br>  |
| 311|[0x800089c0]<br>0xFFFFFFFFB1617333|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                                          |[0x80002c08]:c.addw a0, a1<br> [0x80002c0a]:sd a0, 432(ra)<br>  |
| 312|[0x800089c8]<br>0x000000001B6B5999|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                                           |[0x80002c3e]:c.addw a0, a1<br> [0x80002c40]:sd a0, 440(ra)<br>  |
| 313|[0x800089d0]<br>0x0000000066666668|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                                    |[0x80002c68]:c.addw a0, a1<br> [0x80002c6a]:sd a0, 448(ra)<br>  |
| 314|[0x800089d8]<br>0xFFFFFFFFBBBBBBBA|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x80002cae]:c.addw a0, a1<br> [0x80002cb0]:sd a0, 456(ra)<br>  |
| 315|[0x800089e0]<br>0x0000000066666666|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                                    |[0x80002cd8]:c.addw a0, a1<br> [0x80002cda]:sd a0, 464(ra)<br>  |
| 316|[0x800089e8]<br>0x000000006666666A|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                                    |[0x80002d02]:c.addw a0, a1<br> [0x80002d04]:sd a0, 472(ra)<br>  |
| 317|[0x800089f0]<br>0xFFFFFFFF99999998|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x80002d48]:c.addw a0, a1<br> [0x80002d4a]:sd a0, 480(ra)<br>  |
| 318|[0x800089f8]<br>0xFFFFFFFFCCCCCCCB|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x80002d8e]:c.addw a0, a1<br> [0x80002d90]:sd a0, 488(ra)<br>  |
| 319|[0x80008a00]<br>0x000000001B6B5998|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                                           |[0x80002dc4]:c.addw a0, a1<br> [0x80002dc6]:sd a0, 496(ra)<br>  |
| 320|[0x80008a08]<br>0xFFFFFFFFBBBBBBBC|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x80002e0a]:c.addw a0, a1<br> [0x80002e0c]:sd a0, 504(ra)<br>  |
| 321|[0x80008a10]<br>0x0000000011111111|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x80002e50]:c.addw a0, a1<br> [0x80002e52]:sd a0, 512(ra)<br>  |
| 322|[0x80008a18]<br>0x000000006666666C|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                                    |[0x80002e7a]:c.addw a0, a1<br> [0x80002e7c]:sd a0, 520(ra)<br>  |
| 323|[0x80008a20]<br>0xFFFFFFFF9999999A|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x80002ec0]:c.addw a0, a1<br> [0x80002ec2]:sd a0, 528(ra)<br>  |
| 324|[0x80008a28]<br>0xFFFFFFFFCCCCCCCD|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x80002f06]:c.addw a0, a1<br> [0x80002f08]:sd a0, 536(ra)<br>  |
| 325|[0x80008a30]<br>0xFFFFFFFFB1617334|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                                          |[0x80002f3c]:c.addw a0, a1<br> [0x80002f3e]:sd a0, 544(ra)<br>  |
| 326|[0x80008a38]<br>0x000000001B6B599A|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                                           |[0x80002f72]:c.addw a0, a1<br> [0x80002f74]:sd a0, 552(ra)<br>  |
| 327|[0x80008a40]<br>0x000000004AFB0CD0|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                                            |[0x80002f8c]:c.addw a0, a1<br> [0x80002f8e]:sd a0, 560(ra)<br>  |
| 328|[0x80008a48]<br>0xFFFFFFFFA0506222|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                          |[0x80002fc2]:c.addw a0, a1<br> [0x80002fc4]:sd a0, 568(ra)<br>  |
| 329|[0x80008a50]<br>0xFFFFFFFFF5A5B777|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                         |[0x80002ff8]:c.addw a0, a1<br> [0x80002ffa]:sd a0, 576(ra)<br>  |
| 330|[0x80008a58]<br>0x000000004AFB0CD2|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                                            |[0x80003012]:c.addw a0, a1<br> [0x80003014]:sd a0, 584(ra)<br>  |
| 331|[0x80008a60]<br>0x000000007E2E4000|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                          |[0x80003048]:c.addw a0, a1<br> [0x8000304a]:sd a0, 592(ra)<br>  |
| 332|[0x80008a68]<br>0xFFFFFFFFB1617333|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                          |[0x8000307e]:c.addw a0, a1<br> [0x80003080]:sd a0, 600(ra)<br>  |
| 333|[0x80008a70]<br>0xFFFFFFFF95F6199A|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                                  |[0x800030a4]:c.addw a0, a1<br> [0x800030a6]:sd a0, 608(ra)<br>  |
| 334|[0x80008a78]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                                   |[0x800030ca]:c.addw a0, a1<br> [0x800030cc]:sd a0, 616(ra)<br>  |
| 335|[0x80008a80]<br>0x000000004AFB0CCF|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                                            |[0x800030e4]:c.addw a0, a1<br> [0x800030e6]:sd a0, 624(ra)<br>  |
| 336|[0x80008a88]<br>0xFFFFFFFFA0506221|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                          |[0x8000311a]:c.addw a0, a1<br> [0x8000311c]:sd a0, 632(ra)<br>  |
| 337|[0x80008a90]<br>0x000000004AFB0CCD|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                                            |[0x80003134]:c.addw a0, a1<br> [0x80003136]:sd a0, 640(ra)<br>  |
| 338|[0x80008a98]<br>0x000000004AFB0CD1|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                                            |[0x8000314e]:c.addw a0, a1<br> [0x80003150]:sd a0, 648(ra)<br>  |
| 339|[0x80008aa0]<br>0x000000007E2E3FFF|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                          |[0x80003184]:c.addw a0, a1<br> [0x80003186]:sd a0, 656(ra)<br>  |
| 340|[0x80008aa8]<br>0xFFFFFFFFB1617332|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                          |[0x800031ba]:c.addw a0, a1<br> [0x800031bc]:sd a0, 664(ra)<br>  |
| 341|[0x80008ab0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                                   |[0x800031e0]:c.addw a0, a1<br> [0x800031e2]:sd a0, 672(ra)<br>  |
| 342|[0x80008ab8]<br>0xFFFFFFFFA0506223|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                          |[0x80003216]:c.addw a0, a1<br> [0x80003218]:sd a0, 680(ra)<br>  |
| 343|[0x80008ac0]<br>0xFFFFFFFFF5A5B778|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                         |[0x8000324c]:c.addw a0, a1<br> [0x8000324e]:sd a0, 688(ra)<br>  |
| 344|[0x80008ac8]<br>0x000000004AFB0CD3|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                                            |[0x80003266]:c.addw a0, a1<br> [0x80003268]:sd a0, 696(ra)<br>  |
| 345|[0x80008ad0]<br>0x000000007E2E4001|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                          |[0x8000329c]:c.addw a0, a1<br> [0x8000329e]:sd a0, 704(ra)<br>  |
| 346|[0x80008ad8]<br>0xFFFFFFFFB1617334|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                          |[0x800032d2]:c.addw a0, a1<br> [0x800032d4]:sd a0, 712(ra)<br>  |
| 347|[0x80008ae0]<br>0xFFFFFFFF95F6199B|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                                  |[0x800032f8]:c.addw a0, a1<br> [0x800032fa]:sd a0, 720(ra)<br>  |
| 348|[0x80008ae8]<br>0x0000000000000001|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                                   |[0x8000331e]:c.addw a0, a1<br> [0x80003320]:sd a0, 728(ra)<br>  |
| 349|[0x80008af0]<br>0xFFFFFFFFB504F336|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                             |[0x80003338]:c.addw a0, a1<br> [0x8000333a]:sd a0, 736(ra)<br>  |
| 350|[0x80008af8]<br>0x000000000A5A4888|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                           |[0x8000336e]:c.addw a0, a1<br> [0x80003370]:sd a0, 744(ra)<br>  |
| 351|[0x80008b00]<br>0x000000005FAF9DDD|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                          |[0x800033a4]:c.addw a0, a1<br> [0x800033a6]:sd a0, 752(ra)<br>  |
| 352|[0x80008b08]<br>0xFFFFFFFFB504F338|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                             |[0x800033be]:c.addw a0, a1<br> [0x800033c0]:sd a0, 760(ra)<br>  |
| 353|[0x80008b10]<br>0xFFFFFFFFE8382666|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                           |[0x800033f4]:c.addw a0, a1<br> [0x800033f6]:sd a0, 768(ra)<br>  |
| 354|[0x80008b18]<br>0x000000001B6B5999|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                           |[0x8000342a]:c.addw a0, a1<br> [0x8000342c]:sd a0, 776(ra)<br>  |
| 355|[0x80008b20]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                                   |[0x80003450]:c.addw a0, a1<br> [0x80003452]:sd a0, 784(ra)<br>  |
| 356|[0x80008b28]<br>0x000000006A09E666|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                                    |[0x80003476]:c.addw a0, a1<br> [0x80003478]:sd a0, 792(ra)<br>  |
| 357|[0x80008b30]<br>0xFFFFFFFFB504F335|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                             |[0x80003490]:c.addw a0, a1<br> [0x80003492]:sd a0, 800(ra)<br>  |
| 358|[0x80008b38]<br>0x000000000A5A4887|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                           |[0x800034c6]:c.addw a0, a1<br> [0x800034c8]:sd a0, 808(ra)<br>  |
| 359|[0x80008b40]<br>0xFFFFFFFFB504F333|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                             |[0x800034e0]:c.addw a0, a1<br> [0x800034e2]:sd a0, 816(ra)<br>  |
| 360|[0x80008b48]<br>0xFFFFFFFFB504F337|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                             |[0x800034fa]:c.addw a0, a1<br> [0x800034fc]:sd a0, 824(ra)<br>  |
| 361|[0x80008b50]<br>0xFFFFFFFFE8382665|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                           |[0x80003530]:c.addw a0, a1<br> [0x80003532]:sd a0, 832(ra)<br>  |
| 362|[0x80008b58]<br>0x000000001B6B5998|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                           |[0x80003566]:c.addw a0, a1<br> [0x80003568]:sd a0, 840(ra)<br>  |
| 363|[0x80008b60]<br>0x000000006A09E665|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                                    |[0x8000358c]:c.addw a0, a1<br> [0x8000358e]:sd a0, 848(ra)<br>  |
| 364|[0x80008b68]<br>0x000000000A5A4889|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                           |[0x800035c2]:c.addw a0, a1<br> [0x800035c4]:sd a0, 856(ra)<br>  |
| 365|[0x80008b70]<br>0x000000005FAF9DDE|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                          |[0x800035f8]:c.addw a0, a1<br> [0x800035fa]:sd a0, 864(ra)<br>  |
| 366|[0x80008b78]<br>0xFFFFFFFFB504F339|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                             |[0x80003612]:c.addw a0, a1<br> [0x80003614]:sd a0, 872(ra)<br>  |
| 367|[0x80008b80]<br>0xFFFFFFFFE8382667|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                           |[0x80003648]:c.addw a0, a1<br> [0x8000364a]:sd a0, 880(ra)<br>  |
| 368|[0x80008b88]<br>0x000000001B6B599A|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                           |[0x8000367e]:c.addw a0, a1<br> [0x80003680]:sd a0, 888(ra)<br>  |
| 369|[0x80008b90]<br>0x0000000000000001|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                                   |[0x800036a4]:c.addw a0, a1<br> [0x800036a6]:sd a0, 896(ra)<br>  |
| 370|[0x80008b98]<br>0x000000006A09E667|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                                    |[0x800036ca]:c.addw a0, a1<br> [0x800036cc]:sd a0, 904(ra)<br>  |
| 371|[0x80008ba0]<br>0x0000000000000005|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                                      |[0x800036d8]:c.addw a0, a1<br> [0x800036da]:sd a0, 912(ra)<br>  |
| 372|[0x80008ba8]<br>0x0000000055555557|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                                    |[0x80003702]:c.addw a0, a1<br> [0x80003704]:sd a0, 920(ra)<br>  |
| 373|[0x80008bb0]<br>0xFFFFFFFFAAAAAAAC|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                                   |[0x8000372c]:c.addw a0, a1<br> [0x8000372e]:sd a0, 928(ra)<br>  |
| 374|[0x80008bb8]<br>0x0000000000000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                      |[0x8000373a]:c.addw a0, a1<br> [0x8000373c]:sd a0, 936(ra)<br>  |
| 375|[0x80008bc0]<br>0x0000000033333335|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                                    |[0x80003764]:c.addw a0, a1<br> [0x80003766]:sd a0, 944(ra)<br>  |
| 376|[0x80008bc8]<br>0x0000000066666668|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                                    |[0x8000378e]:c.addw a0, a1<br> [0x80003790]:sd a0, 952(ra)<br>  |
| 377|[0x80008bd0]<br>0x000000004AFB0CCF|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                                            |[0x800037a8]:c.addw a0, a1<br> [0x800037aa]:sd a0, 960(ra)<br>  |
| 378|[0x80008bd8]<br>0xFFFFFFFFB504F335|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                             |[0x800037c2]:c.addw a0, a1<br> [0x800037c4]:sd a0, 968(ra)<br>  |
| 379|[0x80008be0]<br>0x0000000000000004|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                      |[0x800037d0]:c.addw a0, a1<br> [0x800037d2]:sd a0, 976(ra)<br>  |
| 380|[0x80008be8]<br>0x0000000055555556|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                                    |[0x800037fa]:c.addw a0, a1<br> [0x800037fc]:sd a0, 984(ra)<br>  |
| 381|[0x80008bf0]<br>0x0000000000000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                                      |[0x80003808]:c.addw a0, a1<br> [0x8000380a]:sd a0, 992(ra)<br>  |
| 382|[0x80008bf8]<br>0x0000000000000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                      |[0x80003816]:c.addw a0, a1<br> [0x80003818]:sd a0, 1000(ra)<br> |
| 383|[0x80008c00]<br>0x0000000033333334|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                                    |[0x80003840]:c.addw a0, a1<br> [0x80003842]:sd a0, 1008(ra)<br> |
| 384|[0x80008c08]<br>0x0000000066666667|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                                    |[0x8000386a]:c.addw a0, a1<br> [0x8000386c]:sd a0, 1016(ra)<br> |
| 385|[0x80008c10]<br>0xFFFFFFFFB504F334|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                             |[0x80003884]:c.addw a0, a1<br> [0x80003886]:sd a0, 1024(ra)<br> |
| 386|[0x80008c18]<br>0x0000000055555558|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                                    |[0x800038ae]:c.addw a0, a1<br> [0x800038b0]:sd a0, 1032(ra)<br> |
| 387|[0x80008c20]<br>0xFFFFFFFFAAAAAAAD|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                                   |[0x800038d8]:c.addw a0, a1<br> [0x800038da]:sd a0, 1040(ra)<br> |
| 388|[0x80008c28]<br>0x0000000000000008|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                      |[0x800038e6]:c.addw a0, a1<br> [0x800038e8]:sd a0, 1048(ra)<br> |
| 389|[0x80008c30]<br>0x0000000033333336|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                                    |[0x80003910]:c.addw a0, a1<br> [0x80003912]:sd a0, 1056(ra)<br> |
| 390|[0x80008c38]<br>0x0000000066666669|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                                    |[0x8000393a]:c.addw a0, a1<br> [0x8000393c]:sd a0, 1064(ra)<br> |
| 391|[0x80008c40]<br>0x000000004AFB0CD0|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                                            |[0x80003954]:c.addw a0, a1<br> [0x80003956]:sd a0, 1072(ra)<br> |
| 392|[0x80008c48]<br>0xFFFFFFFFB504F336|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                             |[0x8000396e]:c.addw a0, a1<br> [0x80003970]:sd a0, 1080(ra)<br> |
| 393|[0x80008c50]<br>0x0000000055555557|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                                    |[0x80003998]:c.addw a0, a1<br> [0x8000399a]:sd a0, 1088(ra)<br> |
| 394|[0x80008c58]<br>0xFFFFFFFFAAAAAAA9|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x800039de]:c.addw a0, a1<br> [0x800039e0]:sd a0, 1096(ra)<br> |
| 395|[0x80008c60]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x80003a24]:c.addw a0, a1<br> [0x80003a26]:sd a0, 1104(ra)<br> |
| 396|[0x80008c68]<br>0x0000000055555559|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                                    |[0x80003a4e]:c.addw a0, a1<br> [0x80003a50]:sd a0, 1112(ra)<br> |
| 397|[0x80008c70]<br>0xFFFFFFFF88888887|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x80003a94]:c.addw a0, a1<br> [0x80003a96]:sd a0, 1120(ra)<br> |
| 398|[0x80008c78]<br>0xFFFFFFFFBBBBBBBA|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x80003ada]:c.addw a0, a1<br> [0x80003adc]:sd a0, 1128(ra)<br> |
| 399|[0x80008c80]<br>0xFFFFFFFFA0506221|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                                          |[0x80003b10]:c.addw a0, a1<br> [0x80003b12]:sd a0, 1136(ra)<br> |
| 400|[0x80008c88]<br>0x000000000A5A4887|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                                           |[0x80003b46]:c.addw a0, a1<br> [0x80003b48]:sd a0, 1144(ra)<br> |
| 401|[0x80008c90]<br>0x0000000055555556|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                                    |[0x80003b70]:c.addw a0, a1<br> [0x80003b72]:sd a0, 1152(ra)<br> |
| 402|[0x80008c98]<br>0xFFFFFFFFAAAAAAA8|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x80003bb6]:c.addw a0, a1<br> [0x80003bb8]:sd a0, 1160(ra)<br> |
| 403|[0x80008ca0]<br>0x0000000055555554|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                                    |[0x80003be0]:c.addw a0, a1<br> [0x80003be2]:sd a0, 1168(ra)<br> |
| 404|[0x80008ca8]<br>0x0000000055555558|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                                    |[0x80003c0a]:c.addw a0, a1<br> [0x80003c0c]:sd a0, 1176(ra)<br> |
| 405|[0x80008cb0]<br>0xFFFFFFFF88888886|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x80003c50]:c.addw a0, a1<br> [0x80003c52]:sd a0, 1184(ra)<br> |
| 406|[0x80008cb8]<br>0xFFFFFFFFBBBBBBB9|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x80003c96]:c.addw a0, a1<br> [0x80003c98]:sd a0, 1192(ra)<br> |
| 407|[0x80008cc0]<br>0x000000000A5A4886|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                                           |[0x80003ccc]:c.addw a0, a1<br> [0x80003cce]:sd a0, 1200(ra)<br> |
| 408|[0x80008cc8]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x80003d12]:c.addw a0, a1<br> [0x80003d14]:sd a0, 1208(ra)<br> |
| 409|[0x80008cd0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x80003d58]:c.addw a0, a1<br> [0x80003d5a]:sd a0, 1216(ra)<br> |
| 410|[0x80008cd8]<br>0x000000005555555A|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                                    |[0x80003d82]:c.addw a0, a1<br> [0x80003d84]:sd a0, 1224(ra)<br> |
| 411|[0x80008ce0]<br>0xFFFFFFFF88888888|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x80003dc8]:c.addw a0, a1<br> [0x80003dca]:sd a0, 1232(ra)<br> |
| 412|[0x80008ce8]<br>0xFFFFFFFFBBBBBBBB|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x80003e0e]:c.addw a0, a1<br> [0x80003e10]:sd a0, 1240(ra)<br> |
| 413|[0x80008cf0]<br>0xFFFFFFFFA0506222|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                                          |[0x80003e44]:c.addw a0, a1<br> [0x80003e46]:sd a0, 1248(ra)<br> |
| 414|[0x80008cf8]<br>0x000000000A5A4888|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                                           |[0x80003e7a]:c.addw a0, a1<br> [0x80003e7c]:sd a0, 1256(ra)<br> |
| 415|[0x80008d00]<br>0x0000000000000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                      |[0x80003e88]:c.addw a0, a1<br> [0x80003e8a]:sd a0, 1264(ra)<br> |
| 416|[0x80008d08]<br>0x0000000055555555|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                                    |[0x80003eb2]:c.addw a0, a1<br> [0x80003eb4]:sd a0, 1272(ra)<br> |
| 417|[0x80008d10]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                                   |[0x80003edc]:c.addw a0, a1<br> [0x80003ede]:sd a0, 1280(ra)<br> |
| 418|[0x80008d18]<br>0x0000000000000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                      |[0x80003eea]:c.addw a0, a1<br> [0x80003eec]:sd a0, 1288(ra)<br> |
| 419|[0x80008d20]<br>0x0000000033333333|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                                    |[0x80003f14]:c.addw a0, a1<br> [0x80003f16]:sd a0, 1296(ra)<br> |
| 420|[0x80008d28]<br>0x0000000066666666|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                                    |[0x80003f3e]:c.addw a0, a1<br> [0x80003f40]:sd a0, 1304(ra)<br> |
| 421|[0x80008d30]<br>0x000000004AFB0CCD|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                                            |[0x80003f58]:c.addw a0, a1<br> [0x80003f5a]:sd a0, 1312(ra)<br> |
| 422|[0x80008d38]<br>0xFFFFFFFFB504F333|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                             |[0x80003f72]:c.addw a0, a1<br> [0x80003f74]:sd a0, 1320(ra)<br> |
| 423|[0x80008d40]<br>0x0000000000000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                                      |[0x80003f80]:c.addw a0, a1<br> [0x80003f82]:sd a0, 1328(ra)<br> |
| 424|[0x80008d48]<br>0xFFFFFFFFAAAAAAAE|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                                   |[0x80003faa]:c.addw a0, a1<br> [0x80003fac]:sd a0, 1336(ra)<br> |
| 425|[0x80008d50]<br>0x0000000000000009|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                      |[0x80003fb8]:c.addw a0, a1<br> [0x80003fba]:sd a0, 1344(ra)<br> |
| 426|[0x80008d58]<br>0x0000000033333337|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                                    |[0x80003fe2]:c.addw a0, a1<br> [0x80003fe4]:sd a0, 1352(ra)<br> |
| 427|[0x80008d60]<br>0x000000006666666A|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                                    |[0x8000400c]:c.addw a0, a1<br> [0x8000400e]:sd a0, 1360(ra)<br> |
| 428|[0x80008d68]<br>0x000000004AFB0CD1|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                                            |[0x80004026]:c.addw a0, a1<br> [0x80004028]:sd a0, 1368(ra)<br> |
| 429|[0x80008d70]<br>0xFFFFFFFFB504F337|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                             |[0x80004040]:c.addw a0, a1<br> [0x80004042]:sd a0, 1376(ra)<br> |
| 430|[0x80008d78]<br>0x0000000000000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                      |[0x8000404e]:c.addw a0, a1<br> [0x80004050]:sd a0, 1384(ra)<br> |
| 431|[0x80008d80]<br>0x0000000055555558|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                                    |[0x80004078]:c.addw a0, a1<br> [0x8000407a]:sd a0, 1392(ra)<br> |
| 432|[0x80008d88]<br>0x0000000000000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                      |[0x80004086]:c.addw a0, a1<br> [0x80004088]:sd a0, 1400(ra)<br> |
| 433|[0x80008d90]<br>0x0000000000000008|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                      |[0x80004094]:c.addw a0, a1<br> [0x80004096]:sd a0, 1408(ra)<br> |
| 434|[0x80008d98]<br>0x0000000033333336|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                                    |[0x800040be]:c.addw a0, a1<br> [0x800040c0]:sd a0, 1416(ra)<br> |
| 435|[0x80008da0]<br>0x0000000066666669|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                                    |[0x800040e8]:c.addw a0, a1<br> [0x800040ea]:sd a0, 1424(ra)<br> |
| 436|[0x80008da8]<br>0xFFFFFFFFB504F336|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                             |[0x80004102]:c.addw a0, a1<br> [0x80004104]:sd a0, 1432(ra)<br> |
| 437|[0x80008db0]<br>0x000000005555555A|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                                    |[0x8000412c]:c.addw a0, a1<br> [0x8000412e]:sd a0, 1440(ra)<br> |
| 438|[0x80008db8]<br>0xFFFFFFFFAAAAAAAF|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                                   |[0x80004156]:c.addw a0, a1<br> [0x80004158]:sd a0, 1448(ra)<br> |
| 439|[0x80008dc0]<br>0x000000000000000A|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                      |[0x80004164]:c.addw a0, a1<br> [0x80004166]:sd a0, 1456(ra)<br> |
| 440|[0x80008dc8]<br>0x0000000033333338|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                                    |[0x8000418e]:c.addw a0, a1<br> [0x80004190]:sd a0, 1464(ra)<br> |
| 441|[0x80008dd0]<br>0x000000006666666B|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                                    |[0x800041b8]:c.addw a0, a1<br> [0x800041ba]:sd a0, 1472(ra)<br> |
| 442|[0x80008dd8]<br>0x000000004AFB0CD2|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                                            |[0x800041d2]:c.addw a0, a1<br> [0x800041d4]:sd a0, 1480(ra)<br> |
| 443|[0x80008de0]<br>0xFFFFFFFFB504F338|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                             |[0x800041ec]:c.addw a0, a1<br> [0x800041ee]:sd a0, 1488(ra)<br> |
| 444|[0x80008de8]<br>0x0000000033333335|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                                    |[0x80004216]:c.addw a0, a1<br> [0x80004218]:sd a0, 1496(ra)<br> |
| 445|[0x80008df0]<br>0xFFFFFFFF88888887|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x8000425c]:c.addw a0, a1<br> [0x8000425e]:sd a0, 1504(ra)<br> |
| 446|[0x80008df8]<br>0xFFFFFFFFDDDDDDDC|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x800042a2]:c.addw a0, a1<br> [0x800042a4]:sd a0, 1512(ra)<br> |
| 447|[0x80008e00]<br>0x0000000033333337|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                                    |[0x800042cc]:c.addw a0, a1<br> [0x800042ce]:sd a0, 1520(ra)<br> |
| 448|[0x80008e08]<br>0x0000000066666665|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x80004312]:c.addw a0, a1<br> [0x80004314]:sd a0, 1528(ra)<br> |
| 449|[0x80008e10]<br>0xFFFFFFFF99999998|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x80004358]:c.addw a0, a1<br> [0x8000435a]:sd a0, 1536(ra)<br> |
| 450|[0x80008e18]<br>0x000000007E2E3FFF|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                                          |[0x8000438e]:c.addw a0, a1<br> [0x80004390]:sd a0, 1544(ra)<br> |
| 451|[0x80008e20]<br>0xFFFFFFFFE8382665|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                                           |[0x800043c4]:c.addw a0, a1<br> [0x800043c6]:sd a0, 1552(ra)<br> |
| 452|[0x80008e28]<br>0x0000000033333334|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                                    |[0x800043ee]:c.addw a0, a1<br> [0x800043f0]:sd a0, 1560(ra)<br> |
| 453|[0x80008e30]<br>0xFFFFFFFF88888886|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x80004434]:c.addw a0, a1<br> [0x80004436]:sd a0, 1568(ra)<br> |
| 454|[0x80008e38]<br>0x0000000033333332|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                                    |[0x8000445e]:c.addw a0, a1<br> [0x80004460]:sd a0, 1576(ra)<br> |
| 455|[0x80008e40]<br>0x0000000033333336|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                                    |[0x80004488]:c.addw a0, a1<br> [0x8000448a]:sd a0, 1584(ra)<br> |
| 456|[0x80008e48]<br>0x0000000066666664|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x800044ce]:c.addw a0, a1<br> [0x800044d0]:sd a0, 1592(ra)<br> |
| 457|[0x80008e50]<br>0xFFFFFFFF99999997|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x80004514]:c.addw a0, a1<br> [0x80004516]:sd a0, 1600(ra)<br> |
| 458|[0x80008e58]<br>0xFFFFFFFFE8382664|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                                           |[0x8000454a]:c.addw a0, a1<br> [0x8000454c]:sd a0, 1608(ra)<br> |
| 459|[0x80008e60]<br>0xFFFFFFFF88888888|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x80004590]:c.addw a0, a1<br> [0x80004592]:sd a0, 1616(ra)<br> |
| 460|[0x80008e68]<br>0xFFFFFFFFDDDDDDDD|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x800045d6]:c.addw a0, a1<br> [0x800045d8]:sd a0, 1624(ra)<br> |
| 461|[0x80008e70]<br>0x0000000033333338|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                                    |[0x80004600]:c.addw a0, a1<br> [0x80004602]:sd a0, 1632(ra)<br> |
| 462|[0x80008e78]<br>0x0000000066666666|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x80004646]:c.addw a0, a1<br> [0x80004648]:sd a0, 1640(ra)<br> |
| 463|[0x80008e80]<br>0xFFFFFFFF99999999|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x8000468c]:c.addw a0, a1<br> [0x8000468e]:sd a0, 1648(ra)<br> |
| 464|[0x80008e88]<br>0x000000007E2E4000|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                                          |[0x800046c2]:c.addw a0, a1<br> [0x800046c4]:sd a0, 1656(ra)<br> |
| 465|[0x80008e90]<br>0xFFFFFFFFE8382666|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                                           |[0x800046f8]:c.addw a0, a1<br> [0x800046fa]:sd a0, 1664(ra)<br> |
| 466|[0x80008e98]<br>0x0000000066666668|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                                    |[0x80004722]:c.addw a0, a1<br> [0x80004724]:sd a0, 1672(ra)<br> |
| 467|[0x80008ea0]<br>0xFFFFFFFFBBBBBBBA|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x80004768]:c.addw a0, a1<br> [0x8000476a]:sd a0, 1680(ra)<br> |
| 468|[0x80008ea8]<br>0x000000001111110F|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x800047ae]:c.addw a0, a1<br> [0x800047b0]:sd a0, 1688(ra)<br> |
| 469|[0x80008eb0]<br>0x000000006666666A|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                                    |[0x800047d8]:c.addw a0, a1<br> [0x800047da]:sd a0, 1696(ra)<br> |
| 470|[0x80008eb8]<br>0xFFFFFFFF99999998|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x8000481e]:c.addw a0, a1<br> [0x80004820]:sd a0, 1704(ra)<br> |
| 471|[0x80008ec0]<br>0xFFFFFFFFCCCCCCCB|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x80004864]:c.addw a0, a1<br> [0x80004866]:sd a0, 1712(ra)<br> |
| 472|[0x80008ec8]<br>0xFFFFFFFFB1617332|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                                          |[0x8000489a]:c.addw a0, a1<br> [0x8000489c]:sd a0, 1720(ra)<br> |
| 473|[0x80008ed0]<br>0x000000001B6B5998|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                                           |[0x800048d0]:c.addw a0, a1<br> [0x800048d2]:sd a0, 1728(ra)<br> |
| 474|[0x80008ed8]<br>0x0000000066666667|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                                    |[0x800048fa]:c.addw a0, a1<br> [0x800048fc]:sd a0, 1736(ra)<br> |
| 475|[0x80008ee0]<br>0xFFFFFFFFBBBBBBB9|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x80004940]:c.addw a0, a1<br> [0x80004942]:sd a0, 1744(ra)<br> |
| 476|[0x80008ee8]<br>0x0000000066666665|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                                    |[0x8000496a]:c.addw a0, a1<br> [0x8000496c]:sd a0, 1752(ra)<br> |
| 477|[0x80008ef0]<br>0x0000000066666669|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                                    |[0x80004994]:c.addw a0, a1<br> [0x80004996]:sd a0, 1760(ra)<br> |
| 478|[0x80008ef8]<br>0xFFFFFFFF99999997|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x800049da]:c.addw a0, a1<br> [0x800049dc]:sd a0, 1768(ra)<br> |
| 479|[0x80008f00]<br>0xFFFFFFFFCCCCCCCA|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x80004a20]:c.addw a0, a1<br> [0x80004a22]:sd a0, 1776(ra)<br> |
| 480|[0x80008f08]<br>0x000000001B6B5997|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                                           |[0x80004a56]:c.addw a0, a1<br> [0x80004a58]:sd a0, 1784(ra)<br> |
| 481|[0x80008f10]<br>0xFFFFFFFFBBBBBBBB|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x80004a9c]:c.addw a0, a1<br> [0x80004a9e]:sd a0, 1792(ra)<br> |
| 482|[0x80008f18]<br>0x0000000011111110|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x80004ae2]:c.addw a0, a1<br> [0x80004ae4]:sd a0, 1800(ra)<br> |
| 483|[0x80008f20]<br>0x000000006666666B|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                                    |[0x80004b0c]:c.addw a0, a1<br> [0x80004b0e]:sd a0, 1808(ra)<br> |
| 484|[0x80008f28]<br>0xFFFFFFFF99999999|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x80004b52]:c.addw a0, a1<br> [0x80004b54]:sd a0, 1816(ra)<br> |
| 485|[0x80008f30]<br>0xFFFFFFFFCCCCCCCC|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x80004b98]:c.addw a0, a1<br> [0x80004b9a]:sd a0, 1824(ra)<br> |
| 486|[0x80008f38]<br>0xFFFFFFFFB1617333|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                                          |[0x80004bce]:c.addw a0, a1<br> [0x80004bd0]:sd a0, 1832(ra)<br> |
| 487|[0x80008f40]<br>0x000000001B6B5999|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                                           |[0x80004c04]:c.addw a0, a1<br> [0x80004c06]:sd a0, 1840(ra)<br> |
| 488|[0x80008f48]<br>0xFFFFFFFFB504F335|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                             |[0x80004c1e]:c.addw a0, a1<br> [0x80004c20]:sd a0, 1848(ra)<br> |
| 489|[0x80008f50]<br>0x000000000A5A4887|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                           |[0x80004c54]:c.addw a0, a1<br> [0x80004c56]:sd a0, 1856(ra)<br> |
| 490|[0x80008f58]<br>0x000000005FAF9DDC|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                          |[0x80004c8a]:c.addw a0, a1<br> [0x80004c8c]:sd a0, 1864(ra)<br> |
| 491|[0x80008f60]<br>0xFFFFFFFFB504F337|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                             |[0x80004ca4]:c.addw a0, a1<br> [0x80004ca6]:sd a0, 1872(ra)<br> |
| 492|[0x80008f68]<br>0xFFFFFFFFE8382665|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                           |[0x80004cda]:c.addw a0, a1<br> [0x80004cdc]:sd a0, 1880(ra)<br> |
| 493|[0x80008f70]<br>0x000000001B6B5998|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                           |[0x80004d10]:c.addw a0, a1<br> [0x80004d12]:sd a0, 1888(ra)<br> |
| 494|[0x80008f78]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                                   |[0x80004d36]:c.addw a0, a1<br> [0x80004d38]:sd a0, 1896(ra)<br> |
| 495|[0x80008f80]<br>0x000000006A09E665|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                                    |[0x80004d5c]:c.addw a0, a1<br> [0x80004d5e]:sd a0, 1904(ra)<br> |
| 496|[0x80008f88]<br>0xFFFFFFFFB504F334|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                             |[0x80004d76]:c.addw a0, a1<br> [0x80004d78]:sd a0, 1912(ra)<br> |
| 497|[0x80008f90]<br>0x000000000A5A4886|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                           |[0x80004dac]:c.addw a0, a1<br> [0x80004dae]:sd a0, 1920(ra)<br> |
| 498|[0x80008f98]<br>0xFFFFFFFFB504F332|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                             |[0x80004dc6]:c.addw a0, a1<br> [0x80004dc8]:sd a0, 1928(ra)<br> |
| 499|[0x80008fa0]<br>0xFFFFFFFFB504F336|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                             |[0x80004de0]:c.addw a0, a1<br> [0x80004de2]:sd a0, 1936(ra)<br> |
| 500|[0x80008fa8]<br>0xFFFFFFFFE8382664|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                           |[0x80004e16]:c.addw a0, a1<br> [0x80004e18]:sd a0, 1944(ra)<br> |
| 501|[0x80008fb0]<br>0x000000001B6B5997|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                           |[0x80004e4c]:c.addw a0, a1<br> [0x80004e4e]:sd a0, 1952(ra)<br> |
| 502|[0x80008fb8]<br>0x000000006A09E664|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                                    |[0x80004e72]:c.addw a0, a1<br> [0x80004e74]:sd a0, 1960(ra)<br> |
| 503|[0x80008fc0]<br>0x000000000A5A4888|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                           |[0x80004ea8]:c.addw a0, a1<br> [0x80004eaa]:sd a0, 1968(ra)<br> |
| 504|[0x80008fc8]<br>0x000000005FAF9DDD|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                          |[0x80004ede]:c.addw a0, a1<br> [0x80004ee0]:sd a0, 1976(ra)<br> |
| 505|[0x80008fd0]<br>0xFFFFFFFFB504F338|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                             |[0x80004ef8]:c.addw a0, a1<br> [0x80004efa]:sd a0, 1984(ra)<br> |
| 506|[0x80008fd8]<br>0xFFFFFFFFE8382666|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                           |[0x80004f2e]:c.addw a0, a1<br> [0x80004f30]:sd a0, 1992(ra)<br> |
| 507|[0x80008fe0]<br>0x000000001B6B5999|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                           |[0x80004f64]:c.addw a0, a1<br> [0x80004f66]:sd a0, 2000(ra)<br> |
| 508|[0x80008fe8]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                                   |[0x80004f8a]:c.addw a0, a1<br> [0x80004f8c]:sd a0, 2008(ra)<br> |
| 509|[0x80008ff0]<br>0x000000006A09E666|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                                    |[0x80004fb0]:c.addw a0, a1<br> [0x80004fb2]:sd a0, 2016(ra)<br> |
| 510|[0x80008ff8]<br>0x0000000055555559|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                                    |[0x80004fda]:c.addw a0, a1<br> [0x80004fdc]:sd a0, 2024(ra)<br> |
| 511|[0x80009000]<br>0xFFFFFFFFAAAAAAAB|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x80005020]:c.addw a0, a1<br> [0x80005022]:sd a0, 2032(ra)<br> |
| 512|[0x80009008]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x80005066]:c.addw a0, a1<br> [0x80005068]:sd a0, 2040(ra)<br> |
| 513|[0x80009010]<br>0x000000005555555B|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                                    |[0x80005098]:c.addw a0, a1<br> [0x8000509a]:sd a0, 0(ra)<br>    |
| 514|[0x80009018]<br>0xFFFFFFFF88888889|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x800050de]:c.addw a0, a1<br> [0x800050e0]:sd a0, 8(ra)<br>    |
| 515|[0x80009020]<br>0xFFFFFFFFBBBBBBBC|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x80005124]:c.addw a0, a1<br> [0x80005126]:sd a0, 16(ra)<br>   |
| 516|[0x80009028]<br>0xFFFFFFFFA0506223|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                          |[0x8000515a]:c.addw a0, a1<br> [0x8000515c]:sd a0, 24(ra)<br>   |
| 517|[0x80009030]<br>0x000000000A5A4889|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                           |[0x80005190]:c.addw a0, a1<br> [0x80005192]:sd a0, 32(ra)<br>   |
| 518|[0x80009038]<br>0x0000000055555558|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                                    |[0x800051ba]:c.addw a0, a1<br> [0x800051bc]:sd a0, 40(ra)<br>   |
| 519|[0x80009040]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x80005200]:c.addw a0, a1<br> [0x80005202]:sd a0, 48(ra)<br>   |
| 520|[0x80009048]<br>0x0000000055555556|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                                    |[0x8000522a]:c.addw a0, a1<br> [0x8000522c]:sd a0, 56(ra)<br>   |
| 521|[0x80009050]<br>0x000000005555555A|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                                    |[0x80005254]:c.addw a0, a1<br> [0x80005256]:sd a0, 64(ra)<br>   |
| 522|[0x80009058]<br>0xFFFFFFFF88888888|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x8000529a]:c.addw a0, a1<br> [0x8000529c]:sd a0, 72(ra)<br>   |
| 523|[0x80009060]<br>0xFFFFFFFFBBBBBBBB|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x800052e0]:c.addw a0, a1<br> [0x800052e2]:sd a0, 80(ra)<br>   |
| 524|[0x80009068]<br>0x000000000A5A4888|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                           |[0x80005316]:c.addw a0, a1<br> [0x80005318]:sd a0, 88(ra)<br>   |
| 525|[0x80009070]<br>0xFFFFFFFFAAAAAAAC|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x8000535c]:c.addw a0, a1<br> [0x8000535e]:sd a0, 96(ra)<br>   |
| 526|[0x80009078]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x800053a2]:c.addw a0, a1<br> [0x800053a4]:sd a0, 104(ra)<br>  |
| 527|[0x80009080]<br>0x000000005555555C|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                                    |[0x800053cc]:c.addw a0, a1<br> [0x800053ce]:sd a0, 112(ra)<br>  |
| 528|[0x80009088]<br>0xFFFFFFFF8888888A|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x80005412]:c.addw a0, a1<br> [0x80005414]:sd a0, 120(ra)<br>  |
| 529|[0x80009090]<br>0xFFFFFFFFBBBBBBBD|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x80005458]:c.addw a0, a1<br> [0x8000545a]:sd a0, 128(ra)<br>  |
| 530|[0x80009098]<br>0xFFFFFFFFA0506224|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                          |[0x8000548e]:c.addw a0, a1<br> [0x80005490]:sd a0, 136(ra)<br>  |
| 531|[0x800090a0]<br>0x000000000A5A488A|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                           |[0x800054c4]:c.addw a0, a1<br> [0x800054c6]:sd a0, 144(ra)<br>  |
| 532|[0x800090a8]<br>0xFFFFFFFFAAAAAAAE|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                                   |[0x800054ee]:c.addw a0, a1<br> [0x800054f0]:sd a0, 152(ra)<br>  |
| 533|[0x800090b0]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80005534]:c.addw a0, a1<br> [0x80005536]:sd a0, 160(ra)<br>  |
| 534|[0x800090b8]<br>0x0000000055555555|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x8000557a]:c.addw a0, a1<br> [0x8000557c]:sd a0, 168(ra)<br>  |
| 535|[0x800090c0]<br>0xFFFFFFFFAAAAAAB0|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                                   |[0x800055a4]:c.addw a0, a1<br> [0x800055a6]:sd a0, 176(ra)<br>  |
| 536|[0x800090c8]<br>0xFFFFFFFFDDDDDDDE|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x800055ea]:c.addw a0, a1<br> [0x800055ec]:sd a0, 184(ra)<br>  |
| 537|[0x800090d0]<br>0x0000000011111111|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80005630]:c.addw a0, a1<br> [0x80005632]:sd a0, 192(ra)<br>  |
| 538|[0x800090d8]<br>0xFFFFFFFFF5A5B778|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80005666]:c.addw a0, a1<br> [0x80005668]:sd a0, 200(ra)<br>  |
| 539|[0x800090e0]<br>0x000000005FAF9DDE|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                          |[0x8000569c]:c.addw a0, a1<br> [0x8000569e]:sd a0, 208(ra)<br>  |
| 540|[0x800090e8]<br>0xFFFFFFFFAAAAAAAD|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                                   |[0x800056c6]:c.addw a0, a1<br> [0x800056c8]:sd a0, 216(ra)<br>  |
| 541|[0x800090f0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x8000570c]:c.addw a0, a1<br> [0x8000570e]:sd a0, 224(ra)<br>  |
| 542|[0x800090f8]<br>0xFFFFFFFFAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                                   |[0x80005736]:c.addw a0, a1<br> [0x80005738]:sd a0, 232(ra)<br>  |
| 543|[0x80009100]<br>0xFFFFFFFFAAAAAAAF|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                                   |[0x80005760]:c.addw a0, a1<br> [0x80005762]:sd a0, 240(ra)<br>  |
| 544|[0x80009108]<br>0xFFFFFFFFDDDDDDDD|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x800057a6]:c.addw a0, a1<br> [0x800057a8]:sd a0, 248(ra)<br>  |
| 545|[0x80009110]<br>0x0000000011111110|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x800057ec]:c.addw a0, a1<br> [0x800057ee]:sd a0, 256(ra)<br>  |
| 546|[0x80009118]<br>0x000000005FAF9DDD|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                          |[0x80005822]:c.addw a0, a1<br> [0x80005824]:sd a0, 264(ra)<br>  |
| 547|[0x80009120]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80005868]:c.addw a0, a1<br> [0x8000586a]:sd a0, 272(ra)<br>  |
| 548|[0x80009128]<br>0x0000000055555556|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x800058ae]:c.addw a0, a1<br> [0x800058b0]:sd a0, 280(ra)<br>  |
| 549|[0x80009130]<br>0xFFFFFFFFAAAAAAB1|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                                   |[0x800058d8]:c.addw a0, a1<br> [0x800058da]:sd a0, 288(ra)<br>  |
| 550|[0x80009138]<br>0xFFFFFFFFDDDDDDDF|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x8000591e]:c.addw a0, a1<br> [0x80005920]:sd a0, 296(ra)<br>  |
| 551|[0x80009140]<br>0x0000000011111112|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80005964]:c.addw a0, a1<br> [0x80005966]:sd a0, 304(ra)<br>  |
| 552|[0x80009148]<br>0xFFFFFFFFF5A5B779|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                         |[0x8000599a]:c.addw a0, a1<br> [0x8000599c]:sd a0, 312(ra)<br>  |
| 553|[0x80009150]<br>0x000000005FAF9DDF|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                          |[0x800059d0]:c.addw a0, a1<br> [0x800059d2]:sd a0, 320(ra)<br>  |
| 554|[0x80009158]<br>0x0000000000000009|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                      |[0x800059de]:c.addw a0, a1<br> [0x800059e0]:sd a0, 328(ra)<br>  |
| 555|[0x80009160]<br>0x000000005555555B|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                                    |[0x80005a08]:c.addw a0, a1<br> [0x80005a0a]:sd a0, 336(ra)<br>  |
| 556|[0x80009168]<br>0xFFFFFFFFAAAAAAB0|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                                   |[0x80005a32]:c.addw a0, a1<br> [0x80005a34]:sd a0, 344(ra)<br>  |
| 557|[0x80009170]<br>0x000000000000000B|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                      |[0x80005a40]:c.addw a0, a1<br> [0x80005a42]:sd a0, 352(ra)<br>  |
| 558|[0x80009178]<br>0x0000000033333339|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                                    |[0x80005a6a]:c.addw a0, a1<br> [0x80005a6c]:sd a0, 360(ra)<br>  |
| 559|[0x80009180]<br>0x000000006666666C|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                                    |[0x80005a94]:c.addw a0, a1<br> [0x80005a96]:sd a0, 368(ra)<br>  |
| 560|[0x80009188]<br>0x000000004AFB0CD3|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                                            |[0x80005aae]:c.addw a0, a1<br> [0x80005ab0]:sd a0, 376(ra)<br>  |
| 561|[0x80009190]<br>0xFFFFFFFFB504F339|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                             |[0x80005ac8]:c.addw a0, a1<br> [0x80005aca]:sd a0, 384(ra)<br>  |
| 562|[0x80009198]<br>0x0000000000000008|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                      |[0x80005ad6]:c.addw a0, a1<br> [0x80005ad8]:sd a0, 392(ra)<br>  |
| 563|[0x800091a0]<br>0x000000005555555A|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                                    |[0x80005b00]:c.addw a0, a1<br> [0x80005b02]:sd a0, 400(ra)<br>  |
| 564|[0x800091a8]<br>0x0000000000000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                      |[0x80005b0e]:c.addw a0, a1<br> [0x80005b10]:sd a0, 408(ra)<br>  |
| 565|[0x800091b0]<br>0x000000000000000A|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                                      |[0x80005b1c]:c.addw a0, a1<br> [0x80005b1e]:sd a0, 416(ra)<br>  |
| 566|[0x800091b8]<br>0x0000000033333338|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                                    |[0x80005b46]:c.addw a0, a1<br> [0x80005b48]:sd a0, 424(ra)<br>  |
| 567|[0x800091c0]<br>0x000000006666666B|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                                    |[0x80005b70]:c.addw a0, a1<br> [0x80005b72]:sd a0, 432(ra)<br>  |
| 568|[0x800091c8]<br>0xFFFFFFFFB504F338|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                             |[0x80005b8a]:c.addw a0, a1<br> [0x80005b8c]:sd a0, 440(ra)<br>  |
| 569|[0x800091d0]<br>0x000000005555555C|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                                    |[0x80005bb4]:c.addw a0, a1<br> [0x80005bb6]:sd a0, 448(ra)<br>  |
| 570|[0x800091d8]<br>0xFFFFFFFFAAAAAAB1|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                                   |[0x80005bde]:c.addw a0, a1<br> [0x80005be0]:sd a0, 456(ra)<br>  |
| 571|[0x800091e0]<br>0x000000000000000C|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                      |[0x80005bec]:c.addw a0, a1<br> [0x80005bee]:sd a0, 464(ra)<br>  |
| 572|[0x800091e8]<br>0x000000003333333A|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                                    |[0x80005c16]:c.addw a0, a1<br> [0x80005c18]:sd a0, 472(ra)<br>  |
| 573|[0x800091f0]<br>0x000000006666666D|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                                    |[0x80005c40]:c.addw a0, a1<br> [0x80005c42]:sd a0, 480(ra)<br>  |
| 574|[0x800091f8]<br>0x000000004AFB0CD4|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                                            |[0x80005c5a]:c.addw a0, a1<br> [0x80005c5c]:sd a0, 488(ra)<br>  |
| 575|[0x80009200]<br>0xFFFFFFFFB504F33A|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                             |[0x80005c74]:c.addw a0, a1<br> [0x80005c76]:sd a0, 496(ra)<br>  |
| 576|[0x80009208]<br>0x0000000033333337|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                                    |[0x80005c9e]:c.addw a0, a1<br> [0x80005ca0]:sd a0, 504(ra)<br>  |
| 577|[0x80009210]<br>0xFFFFFFFF88888889|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x80005ce4]:c.addw a0, a1<br> [0x80005ce6]:sd a0, 512(ra)<br>  |
| 578|[0x80009218]<br>0xFFFFFFFFDDDDDDDE|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x80005d2a]:c.addw a0, a1<br> [0x80005d2c]:sd a0, 520(ra)<br>  |
| 579|[0x80009220]<br>0x0000000033333339|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                                    |[0x80005d54]:c.addw a0, a1<br> [0x80005d56]:sd a0, 528(ra)<br>  |
| 580|[0x80009228]<br>0x0000000066666667|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x80005d9a]:c.addw a0, a1<br> [0x80005d9c]:sd a0, 536(ra)<br>  |
| 581|[0x80009230]<br>0xFFFFFFFF9999999A|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x80005de0]:c.addw a0, a1<br> [0x80005de2]:sd a0, 544(ra)<br>  |
| 582|[0x80009238]<br>0x000000007E2E4001|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                                          |[0x80005e16]:c.addw a0, a1<br> [0x80005e18]:sd a0, 552(ra)<br>  |
| 583|[0x80009240]<br>0xFFFFFFFFE8382667|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                                           |[0x80005e4c]:c.addw a0, a1<br> [0x80005e4e]:sd a0, 560(ra)<br>  |
| 584|[0x80009248]<br>0x0000000033333336|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                                    |[0x80005e76]:c.addw a0, a1<br> [0x80005e78]:sd a0, 568(ra)<br>  |
| 585|[0x80009250]<br>0xFFFFFFFF88888888|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x80005ebc]:c.addw a0, a1<br> [0x80005ebe]:sd a0, 576(ra)<br>  |
| 586|[0x80009258]<br>0x0000000033333334|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                                    |[0x80005ee6]:c.addw a0, a1<br> [0x80005ee8]:sd a0, 584(ra)<br>  |
| 587|[0x80009260]<br>0x0000000033333338|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                                    |[0x80005f10]:c.addw a0, a1<br> [0x80005f12]:sd a0, 592(ra)<br>  |
| 588|[0x80009268]<br>0x0000000066666666|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x80005f56]:c.addw a0, a1<br> [0x80005f58]:sd a0, 600(ra)<br>  |
| 589|[0x80009270]<br>0xFFFFFFFF99999999|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x80005f9c]:c.addw a0, a1<br> [0x80005f9e]:sd a0, 608(ra)<br>  |
| 590|[0x80009278]<br>0xFFFFFFFFE8382666|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                                           |[0x80005fd2]:c.addw a0, a1<br> [0x80005fd4]:sd a0, 616(ra)<br>  |
| 591|[0x80009280]<br>0xFFFFFFFF8888888A|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x80006018]:c.addw a0, a1<br> [0x8000601a]:sd a0, 624(ra)<br>  |
| 592|[0x80009288]<br>0xFFFFFFFFDDDDDDDF|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x8000605e]:c.addw a0, a1<br> [0x80006060]:sd a0, 632(ra)<br>  |
| 593|[0x80009290]<br>0x000000003333333A|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                                    |[0x80006088]:c.addw a0, a1<br> [0x8000608a]:sd a0, 640(ra)<br>  |
| 594|[0x80009298]<br>0x0000000066666668|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x800060ce]:c.addw a0, a1<br> [0x800060d0]:sd a0, 648(ra)<br>  |
| 595|[0x800092a0]<br>0xFFFFFFFF9999999B|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x80006114]:c.addw a0, a1<br> [0x80006116]:sd a0, 656(ra)<br>  |
| 596|[0x800092a8]<br>0x000000007E2E4002|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                                          |[0x8000614a]:c.addw a0, a1<br> [0x8000614c]:sd a0, 664(ra)<br>  |
| 597|[0x800092b0]<br>0xFFFFFFFFE8382668|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                                           |[0x80006180]:c.addw a0, a1<br> [0x80006182]:sd a0, 672(ra)<br>  |
| 598|[0x800092b8]<br>0x000000006666666A|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                                    |[0x800061aa]:c.addw a0, a1<br> [0x800061ac]:sd a0, 680(ra)<br>  |
| 599|[0x800092c0]<br>0xFFFFFFFFBBBBBBBC|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                                  |[0x800061f0]:c.addw a0, a1<br> [0x800061f2]:sd a0, 688(ra)<br>  |
| 600|[0x800092c8]<br>0x0000000011111111|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                                 |[0x80006236]:c.addw a0, a1<br> [0x80006238]:sd a0, 696(ra)<br>  |
| 601|[0x800092d0]<br>0x000000006666666C|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                                    |[0x80006260]:c.addw a0, a1<br> [0x80006262]:sd a0, 704(ra)<br>  |
| 602|[0x800092d8]<br>0xFFFFFFFF9999999A|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                                  |[0x800062a6]:c.addw a0, a1<br> [0x800062a8]:sd a0, 712(ra)<br>  |
| 603|[0x800092e0]<br>0xFFFFFFFFCCCCCCCD|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                                  |[0x800062ec]:c.addw a0, a1<br> [0x800062ee]:sd a0, 720(ra)<br>  |
| 604|[0x800092e8]<br>0xFFFFFFFFB1617334|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                                          |[0x80006322]:c.addw a0, a1<br> [0x80006324]:sd a0, 728(ra)<br>  |
| 605|[0x800092f0]<br>0x000000001B6B599A|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                                           |[0x80006358]:c.addw a0, a1<br> [0x8000635a]:sd a0, 736(ra)<br>  |
| 606|[0x800092f8]<br>0x0000000066666669|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                                    |[0x80006382]:c.addw a0, a1<br> [0x80006384]:sd a0, 744(ra)<br>  |
| 607|[0x80009300]<br>0xFFFFFFFFBBBBBBBB|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                                  |[0x800063c8]:c.addw a0, a1<br> [0x800063ca]:sd a0, 752(ra)<br>  |
| 608|[0x80009308]<br>0x0000000066666667|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                                    |[0x800063f2]:c.addw a0, a1<br> [0x800063f4]:sd a0, 760(ra)<br>  |
| 609|[0x80009310]<br>0x000000006666666B|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                                    |[0x8000641c]:c.addw a0, a1<br> [0x8000641e]:sd a0, 768(ra)<br>  |
| 610|[0x80009318]<br>0xFFFFFFFF99999999|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                                  |[0x80006462]:c.addw a0, a1<br> [0x80006464]:sd a0, 776(ra)<br>  |
| 611|[0x80009320]<br>0xFFFFFFFFCCCCCCCC|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                                  |[0x800064a8]:c.addw a0, a1<br> [0x800064aa]:sd a0, 784(ra)<br>  |
| 612|[0x80009328]<br>0x000000001B6B5999|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                                           |[0x800064de]:c.addw a0, a1<br> [0x800064e0]:sd a0, 792(ra)<br>  |
| 613|[0x80009330]<br>0xFFFFFFFFBBBBBBBD|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                                  |[0x80006524]:c.addw a0, a1<br> [0x80006526]:sd a0, 800(ra)<br>  |
| 614|[0x80009338]<br>0x0000000011111112|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                                 |[0x8000656a]:c.addw a0, a1<br> [0x8000656c]:sd a0, 808(ra)<br>  |
| 615|[0x80009340]<br>0x000000006666666D|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                                    |[0x80006594]:c.addw a0, a1<br> [0x80006596]:sd a0, 816(ra)<br>  |
| 616|[0x80009348]<br>0xFFFFFFFF9999999B|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                                  |[0x800065da]:c.addw a0, a1<br> [0x800065dc]:sd a0, 824(ra)<br>  |
| 617|[0x80009350]<br>0xFFFFFFFFCCCCCCCE|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                                  |[0x80006620]:c.addw a0, a1<br> [0x80006622]:sd a0, 832(ra)<br>  |
| 618|[0x80009358]<br>0xFFFFFFFFB1617335|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                                          |[0x80006656]:c.addw a0, a1<br> [0x80006658]:sd a0, 840(ra)<br>  |
| 619|[0x80009360]<br>0x000000001B6B599B|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                                           |[0x8000668c]:c.addw a0, a1<br> [0x8000668e]:sd a0, 848(ra)<br>  |
| 620|[0x80009368]<br>0x000000004AFB0CD1|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                                            |[0x800066a6]:c.addw a0, a1<br> [0x800066a8]:sd a0, 856(ra)<br>  |
| 621|[0x80009370]<br>0xFFFFFFFFA0506223|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                          |[0x800066dc]:c.addw a0, a1<br> [0x800066de]:sd a0, 864(ra)<br>  |
| 622|[0x80009378]<br>0xFFFFFFFFF5A5B778|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                         |[0x80006712]:c.addw a0, a1<br> [0x80006714]:sd a0, 872(ra)<br>  |
| 623|[0x80009380]<br>0x000000004AFB0CD3|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                                            |[0x8000672c]:c.addw a0, a1<br> [0x8000672e]:sd a0, 880(ra)<br>  |
| 624|[0x80009388]<br>0x000000007E2E4001|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                          |[0x80006762]:c.addw a0, a1<br> [0x80006764]:sd a0, 888(ra)<br>  |
| 625|[0x80009390]<br>0xFFFFFFFFB1617334|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                          |[0x80006798]:c.addw a0, a1<br> [0x8000679a]:sd a0, 896(ra)<br>  |
| 626|[0x80009398]<br>0xFFFFFFFF95F6199B|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                                  |[0x800067be]:c.addw a0, a1<br> [0x800067c0]:sd a0, 904(ra)<br>  |
| 627|[0x800093a0]<br>0x0000000000000001|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                                   |[0x800067e4]:c.addw a0, a1<br> [0x800067e6]:sd a0, 912(ra)<br>  |
| 628|[0x800093a8]<br>0x000000004AFB0CD0|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                                            |[0x800067fe]:c.addw a0, a1<br> [0x80006800]:sd a0, 920(ra)<br>  |
| 629|[0x800093b0]<br>0xFFFFFFFFA0506222|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                          |[0x80006834]:c.addw a0, a1<br> [0x80006836]:sd a0, 928(ra)<br>  |
| 630|[0x800093b8]<br>0x000000004AFB0CCE|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                                            |[0x8000684e]:c.addw a0, a1<br> [0x80006850]:sd a0, 936(ra)<br>  |
| 631|[0x800093c0]<br>0x000000004AFB0CD2|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                                            |[0x80006868]:c.addw a0, a1<br> [0x8000686a]:sd a0, 944(ra)<br>  |
| 632|[0x800093c8]<br>0x000000007E2E4000|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                          |[0x8000689e]:c.addw a0, a1<br> [0x800068a0]:sd a0, 952(ra)<br>  |
| 633|[0x800093d0]<br>0xFFFFFFFFB1617333|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                          |[0x800068d4]:c.addw a0, a1<br> [0x800068d6]:sd a0, 960(ra)<br>  |
| 634|[0x800093d8]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                                   |[0x800068fa]:c.addw a0, a1<br> [0x800068fc]:sd a0, 968(ra)<br>  |
| 635|[0x800093e0]<br>0xFFFFFFFFA0506224|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                          |[0x80006930]:c.addw a0, a1<br> [0x80006932]:sd a0, 976(ra)<br>  |
| 636|[0x800093e8]<br>0xFFFFFFFFF5A5B779|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                         |[0x80006966]:c.addw a0, a1<br> [0x80006968]:sd a0, 984(ra)<br>  |
| 637|[0x800093f0]<br>0x000000004AFB0CD4|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                                            |[0x80006980]:c.addw a0, a1<br> [0x80006982]:sd a0, 992(ra)<br>  |
| 638|[0x800093f8]<br>0x000000007E2E4002|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                          |[0x800069b6]:c.addw a0, a1<br> [0x800069b8]:sd a0, 1000(ra)<br> |
| 639|[0x80009400]<br>0xFFFFFFFFB1617335|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                          |[0x800069ec]:c.addw a0, a1<br> [0x800069ee]:sd a0, 1008(ra)<br> |
| 640|[0x80009408]<br>0xFFFFFFFF95F6199C|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                                  |[0x80006a12]:c.addw a0, a1<br> [0x80006a14]:sd a0, 1016(ra)<br> |
| 641|[0x80009410]<br>0x0000000000000002|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                                   |[0x80006a38]:c.addw a0, a1<br> [0x80006a3a]:sd a0, 1024(ra)<br> |
| 642|[0x80009418]<br>0xFFFFFFFFB504F337|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                             |[0x80006a52]:c.addw a0, a1<br> [0x80006a54]:sd a0, 1032(ra)<br> |
| 643|[0x80009420]<br>0x000000000A5A4889|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                                           |[0x80006a88]:c.addw a0, a1<br> [0x80006a8a]:sd a0, 1040(ra)<br> |
| 644|[0x80009428]<br>0x000000005FAF9DDE|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                                          |[0x80006abe]:c.addw a0, a1<br> [0x80006ac0]:sd a0, 1048(ra)<br> |
| 645|[0x80009430]<br>0xFFFFFFFFB504F339|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                             |[0x80006ad8]:c.addw a0, a1<br> [0x80006ada]:sd a0, 1056(ra)<br> |
| 646|[0x80009438]<br>0xFFFFFFFFE8382667|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                                           |[0x80006b0e]:c.addw a0, a1<br> [0x80006b10]:sd a0, 1064(ra)<br> |
| 647|[0x80009440]<br>0x000000001B6B599A|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                                           |[0x80006b44]:c.addw a0, a1<br> [0x80006b46]:sd a0, 1072(ra)<br> |
| 648|[0x80009448]<br>0x0000000000000001|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                                   |[0x80006b6a]:c.addw a0, a1<br> [0x80006b6c]:sd a0, 1080(ra)<br> |
| 649|[0x80009450]<br>0x000000006A09E667|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                                    |[0x80006b90]:c.addw a0, a1<br> [0x80006b92]:sd a0, 1088(ra)<br> |
| 650|[0x80009458]<br>0xFFFFFFFFB504F336|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                             |[0x80006baa]:c.addw a0, a1<br> [0x80006bac]:sd a0, 1096(ra)<br> |
| 651|[0x80009460]<br>0x000000000A5A4888|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                                           |[0x80006be0]:c.addw a0, a1<br> [0x80006be2]:sd a0, 1104(ra)<br> |
| 652|[0x80009468]<br>0xFFFFFFFFB504F334|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                             |[0x80006bfa]:c.addw a0, a1<br> [0x80006bfc]:sd a0, 1112(ra)<br> |
| 653|[0x80009470]<br>0xFFFFFFFFB504F338|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                             |[0x80006c14]:c.addw a0, a1<br> [0x80006c16]:sd a0, 1120(ra)<br> |
| 654|[0x80009478]<br>0xFFFFFFFFE8382666|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                                           |[0x80006c4a]:c.addw a0, a1<br> [0x80006c4c]:sd a0, 1128(ra)<br> |
| 655|[0x80009480]<br>0x000000001B6B5999|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                                           |[0x80006c80]:c.addw a0, a1<br> [0x80006c82]:sd a0, 1136(ra)<br> |
| 656|[0x80009488]<br>0x000000006A09E666|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                                    |[0x80006ca6]:c.addw a0, a1<br> [0x80006ca8]:sd a0, 1144(ra)<br> |
| 657|[0x80009490]<br>0x000000000A5A488A|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                                           |[0x80006cdc]:c.addw a0, a1<br> [0x80006cde]:sd a0, 1152(ra)<br> |
| 658|[0x80009498]<br>0x000000005FAF9DDF|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                                          |[0x80006d12]:c.addw a0, a1<br> [0x80006d14]:sd a0, 1160(ra)<br> |
| 659|[0x800094a0]<br>0xFFFFFFFFB504F33A|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                             |[0x80006d2c]:c.addw a0, a1<br> [0x80006d2e]:sd a0, 1168(ra)<br> |
| 660|[0x800094a8]<br>0xFFFFFFFFE8382668|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                                           |[0x80006d62]:c.addw a0, a1<br> [0x80006d64]:sd a0, 1176(ra)<br> |
| 661|[0x800094b0]<br>0x000000001B6B599B|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                                           |[0x80006d98]:c.addw a0, a1<br> [0x80006d9a]:sd a0, 1184(ra)<br> |
| 662|[0x800094b8]<br>0x0000000000000002|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                                   |[0x80006dbe]:c.addw a0, a1<br> [0x80006dc0]:sd a0, 1192(ra)<br> |
| 663|[0x800094c0]<br>0x000000006A09E668|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                                    |[0x80006de4]:c.addw a0, a1<br> [0x80006de6]:sd a0, 1200(ra)<br> |
| 664|[0x800094c8]<br>0x0000000055555554|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                                    |[0x80006e0e]:c.addw a0, a1<br> [0x80006e10]:sd a0, 1208(ra)<br> |
| 665|[0x800094d0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                                      |[0x80006e1c]:c.addw a0, a1<br> [0x80006e1e]:sd a0, 1216(ra)<br> |
| 666|[0x800094d8]<br>0x0000000000000004|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                      |[0x80006e2a]:c.addw a0, a1<br> [0x80006e2c]:sd a0, 1224(ra)<br> |
| 667|[0x800094e0]<br>0x0000000033333332|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                                    |[0x80006e54]:c.addw a0, a1<br> [0x80006e56]:sd a0, 1232(ra)<br> |
| 668|[0x800094e8]<br>0x0000000066666665|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                                    |[0x80006e7e]:c.addw a0, a1<br> [0x80006e80]:sd a0, 1240(ra)<br> |
| 669|[0x800094f0]<br>0xFFFFFFFFB504F332|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                             |[0x80006e98]:c.addw a0, a1<br> [0x80006e9a]:sd a0, 1248(ra)<br> |
| 670|[0x800094f8]<br>0x0000000055555556|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                                    |[0x80006ec2]:c.addw a0, a1<br> [0x80006ec4]:sd a0, 1256(ra)<br> |
| 671|[0x80009500]<br>0xFFFFFFFFAAAAAAAB|- rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                                                                                   |[0x80006eec]:c.addw a0, a1<br> [0x80006eee]:sd a0, 1264(ra)<br> |
| 672|[0x80009508]<br>0x0000000000000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                      |[0x80006efa]:c.addw a0, a1<br> [0x80006efc]:sd a0, 1272(ra)<br> |
| 673|[0x80009510]<br>0x0000000033333334|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                                    |[0x80006f24]:c.addw a0, a1<br> [0x80006f26]:sd a0, 1280(ra)<br> |
| 674|[0x80009518]<br>0x0000000066666667|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                                    |[0x80006f4e]:c.addw a0, a1<br> [0x80006f50]:sd a0, 1288(ra)<br> |
| 675|[0x80009520]<br>0x000000004AFB0CCE|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                                            |[0x80006f68]:c.addw a0, a1<br> [0x80006f6a]:sd a0, 1296(ra)<br> |
| 676|[0x80009528]<br>0xFFFFFFFFB504F334|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                             |[0x80006f82]:c.addw a0, a1<br> [0x80006f84]:sd a0, 1304(ra)<br> |
| 677|[0x80009530]<br>0x0000000000000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                                      |[0x80006f90]:c.addw a0, a1<br> [0x80006f92]:sd a0, 1312(ra)<br> |
| 678|[0x80009538]<br>0x0000000055555559|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                                    |[0x80006fba]:c.addw a0, a1<br> [0x80006fbc]:sd a0, 1320(ra)<br> |
